freedombox (24.20) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * upgrades: Treat n/a release as testing
  * debian: tests: Wait for systemd-resolved to be started
  * action_utils: Remove extra empty line
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * config, names: Move setting hostname from config to names
  * config, names: Move domain name configuration to names app
  * tests: functional: Don't timeout when web server restarts
  * service: Add privileged utility for 'try-reload-or-restart' action
  * letsencrypt: Allow reloading daemons after cert changes
  * apache: Don't restart daemon when changing certificates
  * users: Don't cache NSS user indentity information
  * action_utils: Update outdated docstrings
  * action_utils: Add a method to reset services in 'failed' state
  * miniflux: Workaround a packaging bug with DB connection

  [ Veiko Aasa ]
  * users: Invalidate nscd cache after nslcd service startup

  [ Benedek Nagy ]
  * nextcloud: Fix issue with upgrading to next version

  [ ikmaak ]
  * Translated using Weblate (Dutch)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Sep 2024 20:22:01 -0400

freedombox (24.19) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Hemanth Kumar Veeranki ]
  * Translated using Weblate (Telugu)

  [ James Valleroy ]
  * storage: Handle grub-pc package not available
  * upgrades: Add repair step for held packages
  * letsencrypt: Handle both standard and custom repairs
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * names: Use systemd-resolved for DNS resolution
  * names, network: Re-feed DNS known to network-manager to resolved
  * privacy: Implement a way to disable fallback DNS servers
  * privacy: Show notification again so that users see the new setting
  * makefile: Workaround problems with systemd-resolved package
  * networks: Declare a need for DHCP/DNS ports to be open in firewall
  * bind: Don't start a stopped daemon during changes/upgrades
  * bind: Set default forwarder as systemd-resolved
  * container: Re-run failed provisioning even if container is running
  * networks: Groups fields in create/edit connection form
  * networks: Add support for DNS-over-TLS for individual connections
  * networks: Add more options for IPv6 configuration method
  * networks: Set 'auto' as default IPv6 method in new connection form
  * names: Add option for setting global DNS-over-TLS preference
  * names: Implement a diagnostic check for checking name resolution
  * names: Restart instead of reload for systemd-resolved changes
  * names: Add option for setting global DNSSEC preference
  * networks: Show current global value of DNS-over-TLS and link to it
  * names: Show systemd-resolved status in the names page
  * networks: Fix focusing on network interface field on error
  * bind: Fix port number clash with 'shared' network connections

  [ Joseph Nuthalapati ]
  * mediawiki: Increase PHP maximum execution time to 100 seconds

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 09 Sep 2024 21:08:17 -0400

freedombox (24.18) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Petter Reinholdtsen ]
  * featherwiki, tiddlywiki: Remove redundant </p> in template
  * Translated using Weblate (Norwegian Bokmål)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Telugu)
  * d/control: Remove haveged as it no longer relevant on latest kernels
    (Closes: #961733)
  * *.md, pyproject.toml: Update default branch from 'master' to 'main'
  * d/control: Don't recommend libnss-gw-name (Closes: #877935, #1069240)
  * doc/dev: Update copyright year
  * doc/dev: Fix Django related errors with auto-documentation
  * doc/dev: Limit table of contents depth to 2 for clarity

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Joseph Nuthalapati ]
  * ttrss: Remove unavailable Android client - org.fox.tttrss

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * upgrades: Add diagnostic for held packages
  * locale: Update translation strings
  * debian: Set gbp default branch to main
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * plinth: Fix translating app operations

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Aug 2024 20:25:43 -0400

freedombox (24.17) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Sunil Mohan Adapa ]
  * gitweb: Don't backup/restore a drop-in configuration file
  * tests: functional: Allow submitting form buttons along with inputs
  * tests: functional: Name the background fixture
  * nextcloud: Redirect to URL nextcloud/ if ending slash is not given
  * nextcloud: Prevent process restart when nextcloud is uninstalled
  * nextcloud: tests: functional: Add base and interface tests
  * rssbridge: tests: Add missing __init__.py
  * base.html: Drop dependency on modernizr.js library
  * apache: Enable dav and dav_fs modules
  * COPYING.md: Update copyright years
  * featherwiki: Fix a type check failure
  * makefile: Don't fail while building and installing multiple versions
  * actions: Define and allow a new alias for str; secret_str
  * bepasty: Mark secret strings in privileged actions
  * ssh: Mark secret strings in privileged actions
  * pagekite: Mark secret strings in privileged actions
  * nextcloud: Mark secret strings in privileged actions
  * mumble: Mark secret strings in privileged actions
  * miniflux: Mark secret strings in privileged actions
  * shadowsocks: Mark secret strings in privileged actions
  * shadowsocksserver: Mark secret strings in privileged actions
  * mediawiki: Mark secret strings in privileged actions
  * ikiwiki: Mark secret strings in privileged actions
  * users: Mark secret strings in privileged actions
  * backups: Mark secret strings in privileged actions
  * actions: Log arguments without secret strings in privileged calls
  * actions: Add error when likely parameters are not marked as secret
  * django: settings: Don't set USE_L10N on newer versions
  * templates: Fix warning about using default.html for form template

  [ Joseph Nuthalapati ]
  * featherwiki: Add new app
  * featherwiki: Proxy download through freedombox.org
  * tiddlywiki: Add new app

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * storage: Add diagnostic for grub config issue
  * firewall: Setup inter-zone forwarding
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Aug 2024 22:07:34 -0400

freedombox (24.16) unstable; urgency=medium

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Joseph Nuthalapati ]
  * miniflux: Add new app
  * miniflux: Fix regression in creating admin user
  * miniflux: Fix error handling for reset password
  * readme: Mention the AGPLv3+ license
  * miniflux: Trim error messages when creating user

  [ Sunil Mohan Adapa ]
  * miniflux: Drop postgres-contrib package as it seem redundant
  * miniflux: Add list of client apps from upstream clients list
  * miniflux: Remove a spurious error message after resetting password
  * miniflux: Fix issues with running the CLI in a pseudo-terminal
  * miniflux: tests: functional: Fix failing tests when run out of order
  * miniflux, ttrss: Factor out duplicated postgres utility methods
  * tests: functional: Handle click failure when waiting for page update
  * tests: functional: Handle obscured elements when submitting forms

  [ Ricky From Hong Kong ]
  * Translated using Weblate (Chinese (Traditional))

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Jul 2024 22:02:09 -0400

freedombox (24.15) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]
  * make: Ignore .mypy_cache folders while copying files

  [ Monika ]
  * Translated using Weblate (Polish)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 16 Jul 2024 20:41:25 -0400

freedombox (24.14) unstable; urgency=medium

  [ John Doe ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * diagnostics: Add option for automatic repair
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * container: Allow podman containers to run inside the container

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jul 2024 20:44:53 -0400

freedombox (24.13) unstable; urgency=medium

  [ Tymofii Lytvynenko ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Ukrainian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Jun 2024 20:44:51 -0400

freedombox (24.12) unstable; urgency=medium

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gfbdrgng ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 03 Jun 2024 20:35:33 -0400

freedombox (24.11) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 May 2024 20:34:48 -0400

freedombox (24.10) unstable; urgency=medium

  [ Veiko Aasa ]
  * storage: Add an option to include help text to directory selection form
  * minidlna: Add media directory selection form
  * minidlna: Explicitly include ssdp service to firewall configuration
  * minidlna: Do not proxy minidlna web interface over Apache
  * minidlna: Restart app when upgrading to reconfigure firewall

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))

  [ James Valleroy ]
  * diagnostics: Add optional component_id to DiagnosticCheck
  * app, component: Add repair method
  * setup: Add method to run app repair
  * diagnostics: Change "Re-run setup" to "Try to repair"
  * letsencrypt: Re-obtain certificates during repair
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * letsencrypt: Remove unused imports
  * nextcloud: Use systemd generator for creating container service
  * nextcloud: Create network using systemd generator
  * nextcloud: Drop network namespacing in container, use host network
  * nextcloud: Use php-fpm container instead of apache container
  * nextcloud: Wait on init sync lock
  * nextcloud: Pull the image separately before starting systemd unit
  * nextcloud: Ship instead of create cron timer related units
  * nextcloud: Restart container when dependent services are restarted
  * nextcloud: Allow re-running setup
  * nextcloud: Implement enable/disable container
  * nextcloud: Enable pretty URLs without /index.php in them
  * notification: Handle more formatting errors
  * nextcloud: Allow re-running setup when app is disabled
  * nextcloud: Populated and maintain a list of trusted domains
  * nextcloud: Enable app with experimental warning
  * nextcloud: Warn that community provides the container not team
  * nextcloud: Add fallback for when quadlet is not available

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 May 2024 21:00:03 -0400

freedombox (24.9) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Joseph Nuthalapati ]
  * tests: functional: Disable functional tests

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))

  [ Sunil Mohan Adapa ]
  * nextcloud: Rename the systemd service names
  * nextcloud: Add network interface to firewall zone after creating it
  * nextcloud: Refactor container creation code
  * nextcloud: Fix configuring trusted proxies setting
  * nextcloud: Drop a repeated creation of systemd service file
  * nextcloud: Connect to mysql using socket instead of TCP
  * nextcloud: Fail on errors when configuring the app
  * nextcloud: Improve check used to test if installation wizard is done
  * nextcloud: Improve setting up LDAP configuration
  * nextcloud: Ensure that database is running when running setup
  * nextcloud: Don't fail uninstall if DB or user do not exist
  * action_utils, nextcloud: Make podman util more generic
  * nextcloud: Improve database permission granting
  * nextcloud: Connect to redis using Unix socket
  * nextcloud: Connect to slapd for LDAP using Unix socket
  * nextcloud: Refactor setting admin password
  * nextcloud: Don't show incorrect phone region when it is not set
  * nextcloud: Minor refactoring
  * nextcloud: Retrieve database password in a more robust way
  * nextcloud: Don't set password on redis server
  * nextcloud: Use a separate DB for redis
  * nextcloud: Use secrets module generate passwords
  * nextcloud: Minor changes to cron timer units
  * nextcloud: When backup fails, unset the maintenance mode
  * nextcloud: Remove fail2ban jail, brute force protection present
  * nextcloud: Expand on the warning about container usage
  * nextcloud: Add warning that the app is experimental
  * nextcloud: Minor update to description regarding users' usage
  * nextcloud: Allow backup/restore when app is disabled
  * config: Handle dropin config files with limited permissions

  [ Yurt Page ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Apr 2024 20:29:07 -0400

freedombox (24.8) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ John Doe ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * gitweb: Fix an issue when cloning existing repository

  [ Benedek Nagy ]
  * network: Skip of bridge interfaces in connections list
  * action_utils: Add generic utils for managing podman containers
  * nextcloud: Add new app based on podman container
  * nextcloud: Add backup/restore
  * nextcloud: Add option to configure the default phone region
  * nextcloud: Configure redis caching, create static PHP file

  [ Sunil Mohan Adapa ]
  * nextcloud: Diasble app until more testing and review changes
  * zoph: Re-add a safety check when reading the setup state of the app
  * zoph: Include dbconfig configuration file in backup
  * ttrss: Include dbconfig configuration file in backup
  * ttrss: tests: functional: Uninstall during backup/restore test
  * ttrss: Improve backup and restore of the database
  * ttrss: Ensure that database is removed after uninstall
  * actions: Don't repeat action traceback in stderr
  * doc: Fetch latest manual

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * upgrades: Re-enable unattended-upgrade during dist-upgrade
  * diagnostics: Don't store list of app objects with results
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 09 Apr 2024 07:24:57 -0400

freedombox (24.7) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * actions: Move most of the privileged action code to main directory
  * tests: Remove unused fixture for testing actions
  * tests: Move test configuration to plinth directory
  * tests: Merge actions related test files
  * tests: Automatically create pytest marks for apps
  * users: Add email address field when creating/updating user accounts
  * users: Add email address field during first boot
  * system: Organize items into sections
  * views: Fix alignment of close button in error messages
  * actions: Minor refactor to action error logging
  * actions: Provide HTML error message with action error
  * views: Implement a utility to easily show error message
  * middleware: Show HTML exception message as extra detail in messages
  * package: Drop special error message handling for package errors
  * backups: Adjust to changes in privileged errors
  * letsencrypt: Simplify error warning when certificate revoke fails
  * letsencrypt: Show better error messages
  * storage: Adjust to changes in privileged errors
  * letsencrypt: Remove unnecessary processing of the error messages
  * storage: Show better error message
  * upgrades: Show better error messages
  * snapshot: Show better error messages
  * package: Don't remove packages of other apps on uninstall
  * matrixsynapse: Prevent setup page from being shown during uninstall

  [ Veiko Aasa ]
  * samba: Fix Samba not accessible from IPv6 localhost ::1 address
  * samba: Disable nmbd NetBIOS service

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Mar 2024 21:12:59 -0400

freedombox (24.6) unstable; urgency=medium

  [ Veiko Aasa ]
  * gitweb: Fix modifying git repositories when gitweb app is disabled
  * users: tests: Do not remove LDAP user when testing views
  * samba: Ignore non-existent users who are in freedombox-share group

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * diagnostics: Add tests for get_results
  * diagnostics: Handle TypeError when copying results
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * users: Fix creating users with initial set of groups
  * users: Minor refactor when creating django groups
  * log: Don't log with in color inside actions scripts
  * actions: Fix log message when action return can't be decoded
  * actions: When action errors out, log a better message
  * *: Add type hints for app init methods
  * *: Add type hints for diagnose method
  * action_utils: Implement method for starting a service temporarily
  * zoph: Don't fail setup if mysql installed but not running
  * wordpress: Don't fail setup if mysql installed but not running
  * app: Add ability to hide configuration form when app is disabled
  * zoph: Hide configuration form when app is disabled
  * app: views: Expose method to get enabled/disabled state and cache it
  * zoph: Don't redirect to setup page when app is disabled
  * zoph: Don't fail with backup/restore if app is disabled
  * zoph: Uninstall fully so that reinstall works
  * daemon: Added method to ensure a daemon is running in component
  * zoph: Ensure that database server is running when setting up app
  * wordpress: Fix backup, restore and uninstall when db is not running
  * wordpress: Drop database user when app is uninstalled
  * tests: functional: Uninstall app after backup and before restore
  * zoph: Restore database password to old value after restore operation
  * wordpress: tests: Uninstall app after backup and before restore
  * tests: functional: Refactor install/setup fixture for apps
  * wordpress: Fix minor issue in restoring database

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Mar 2024 20:40:48 -0400

freedombox (24.5) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * container: Fix issue with missing make command on stable image
  * setup: Minor refactoring of force upgrader class instantiation
  * setup: Ensure that force upgrade won't run when app is not installed
  * setup: Ensure that apt is updated before checking force upgrade
  * firewalld: Implement force upgrading to any 2.x versions
  * backups: tests: Don't use pytest marks on fixtures
  * tor: tests: Fix issue with pytest 8.x versions
  * tor: tests: Convert to pytest style tests from class based tests
  * pyproject.toml: Exclude the build directory from mypy checks
  * gitweb, users: Minor fixes for newer pycodestyle
  * daemon: Add new component for daemons shared across apps
  * wordpress: Add shared daemon component for mariadb/mysql
  * zoph: Add shared daemon component for mariadb/mysql

  [ James Valleroy ]
  * setup: Try force upgrade before running app setup
  * tests: Patch apps_init for enable/disable daemon test
  * doc: Fetch latest manual

  [ Olaf Schaf ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Feb 2024 20:58:45 -0500

freedombox (24.4) unstable; urgency=medium

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Faraaz M.d ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Kesava Manikanta ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ SAI MANIKANTA ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Soumika Devarakonda ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Sarath Chandra ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Latheesh kumar ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Vijay Gopu ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Mahi Reddy ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Nistchal sri ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Likhil Chowdary ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Sri Harsha ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Muntha Veera ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Aswith Varma ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ visruth vardhan thokala ]
  * Translated using Weblate (Telugu)

  [ Bhavishya nitha ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ ABHI RAM POTNURU ]
  * Translated using Weblate (Telugu)

  [ VINAY K.V.N.S ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ M Jagadeesh ]
  * Translated using Weblate (Telugu)

  [ Sreehitha Velivela ]
  * Translated using Weblate (Telugu)

  [ James Valleroy ]
  * Translated using Weblate (Telugu)
  * debian: Remove lintian override for init script
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Telugu)
  * d/copyright: Update copyright year
  * help: tests: Run tests using doc in current dir instead of /usr
  * actions: Drop legacy placeholders for unused actions
  * doc: Install man1 page using Makefile
  * pyproject.toml: Move project meta data from setup.py
  * *: Introduce make file based build, eliminate setup.py
  * doc: dev: Update all references to setup.py
  * Makefile: Move most of the provision process into build system
  * Makefile: Move various tests into build system

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Feb 2024 21:24:20 -0500

freedombox (24.3) unstable; urgency=medium

  [ James Valleroy ]
  * diagnostics: Add parameters to DiagnosticCheck
  * diagnostics: Add method to translate checks
  * diagnostics: Translate descriptions only in view
  * diagnostics: Store results of full run in database
  * diagnostics: Add option to toggle daily run
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * diagnostics: Simplify getting translated description in results
  * diagnostics: Safely access results when showing notification
  * diagnostics: Fix a potential iteration of None value in error cases
  * glib: Change API for repeating an in-thread scheduled task

  [ Benedek Nagy ]
  * zoph: Fix failing PHP configuration requirements

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Jan 2024 20:48:12 -0500

freedombox (24.2) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Сергій ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Jan 2024 21:30:58 -0500

freedombox (24.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ kopatych ]
  * Added translation using Weblate (Belarusian)

  [ James Valleroy ]
  * tests: operation: Fix mock has_calls assertion (Closes: #1058421)
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ rsquared ]
  * storage: Show notification when rootfs is read-only

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jan 2024 21:00:25 -0500

freedombox (23.21) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 Nov 2023 21:08:03 -0500

freedombox (23.20) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * app: Update diagnose() docstring
  * diagnostics: Add shortcut to re-run setup for app
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * datetime: Fix diagnostic test for checking NTP server sync
  * apache: tests: Update to use DiagnosticCheck class
  * backups: Don't leave services stopped if backup fails
  * operation: Fix issue with re-running setup when it fails first time
  * coturn: Fix incorrectly passing transport argument to STUN URIs
  * matrixsynapse: Update old STUN URIs to remove 'transport' parameter
  * ejabberd: Update old STUN URIs to remove 'transport' parameter
  * email: Increase the size of the message to 100MiB

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Joseph Nuthalapati ]
  * tests: functional: Run tests on two app servers

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Nov 2023 21:03:50 -0500

freedombox (23.19) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * email: Fix issue with install caused by missing drop-in config file
  * operation: Add unique ID for each operation
  * diagnostics: Refactor check IDs, tests and background checks
  * diagnostics: Refactor background diagnostics task
  * upgrades: Allow matrix-synapse to be installed from bookworm
  * matrix-synapse: Update warning on how to change domain name
  * kiwix: Fix various issues after review
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * kiwix: Drop unnecessary file in /etc/plinth/modules-enabled
  * glib: Refactor schedule debugging in a central place
  * glib: Add a jitter to the interval by default when scheduling tasks
  * db: Serialize most of the database queries using locks

  [ Benedek Nagy ]
  * backup: Fix bug in adding existing unencrypted backup location

  [ James Valleroy ]
  * diagnostics: Run daily check and notify on failures
  * diagnostics: Add DiagnosticCheck dataclass
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sripath Roy Koganti ]
  * Translated using Weblate (Telugu)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ Nikitha1960 ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Sanjanaa2703 ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Joseph Nuthalapati ]
  * kiwix: Add app for Kiwix offline Wikipedia reader
  * Translated using Weblate (Telugu)
  * kiwix: Do not require login to access the app
  * Translated using Weblate (Telugu)

  [ Ajay ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)

  [ Nellore Mohan ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ L.sandeep Kumar Reddy ]
  * Translated using Weblate (Telugu)

  [ KOMALA gunji ]
  * Translated using Weblate (Telugu)

  [ Harshitha Chandra ]
  * Translated using Weblate (Telugu)

  [ Vayaluru koushik ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Siddhartha vadlapalli ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ M.venkateswarlu ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Kumarkalva manaswini ]
  * Translated using Weblate (Telugu)

  [ Dega chakradhar ]
  * Translated using Weblate (Telugu)

  [ Avisa sudheer ]
  * Translated using Weblate (Telugu)

  [ Santha Sumanth ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Sarvepalli sathwika ]
  * Translated using Weblate (Telugu)

  [ V.Sunil ]
  * Translated using Weblate (Telugu)

  [ Nikhil kumar chowdary ]
  * Translated using Weblate (Telugu)

  [ O SIDDHARDHA ]
  * Translated using Weblate (Telugu)

  [ Sk juber ]
  * Translated using Weblate (Telugu)

  [ G Praharsha ]
  * Translated using Weblate (Telugu)

  [ Thop Siva ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ anudeep kumar ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Harshitha Chainur ]
  * Translated using Weblate (Telugu)

  [ Shaik ]
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Hindi)

  [ Anvitha Pachwa ]
  * Translated using Weblate (Telugu)

  [ SHAIK.FAMILABANU ]
  * Translated using Weblate (Telugu)

  [ Lohitha _Durga ]
  * Translated using Weblate (Telugu)

  [ B.Nandhini ]
  * Translated using Weblate (Telugu)

  [ Cheshma Golla ]
  * Translated using Weblate (Telugu)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Oct 2023 20:35:46 -0400

freedombox (23.18) unstable; urgency=medium

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Brian Ó Donnell ]
  * middleware: Add new middleware to handle common errors like DB busy

  [ James Valleroy ]
  * middleware: tests: Add tests for common error middleware
  * locale: Update translations strings
  * doc: Fetch latest manual

  [ rsquared ]
  * ikiwiki: Disable discussion pages by default for new wiki/blog

  [ Sunil Mohan Adapa ]
  * wordpress: Use absolute path in service file
  * upgrades: Fix detecting apt over tor during upgrade
  * gitlab-ci: Perform backports tests on bookworm instead of bullseye
  * *: Fix all typing hint related errors
  * gitlab-ci: Make passing mypy checks mandatory
  * *: Utilize newer 3.10 syntax for type hints
  * *: Add some additional type annotations
  * pyproject: Add configuration for mypy to ignore some libraries

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Sep 2023 20:47:20 -0400

freedombox (23.17) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Sep 2023 20:46:43 -0400

freedombox (23.16) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Joseph Nuthalapati ]
  * l10n: Fix error in Czech translation string

  [ Sunil Mohan Adapa ]
  * django: Remove use of X-XSS-Protection header
  * backups: Remove use of length_is template function
  * users, networks: Use the autofocus HTML attribute sparingly
  * sso: Use POST method for logout
  * sso: Switch to django-axes >= 5.0
  * networks, samba: tests: functional: Fix setting firewall zone
  * openvpn: Fix app not installing Debian testing
  * openvpn: Correctly set expiry of server/client certs to 10 years
  * openvpn: Minor refactoring in setting up easy-rsa
  * openvpn: Use config file instead of env vars for easy-rsa
  * openvpn: Ensure that re-running setup works as expected
  * openpvn: Renew server/client certificates

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 28 Aug 2023 20:47:10 -0400

freedombox (23.15) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * debian: Add Swedish translation for debconf (Closes: #1041735)
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 14 Aug 2023 21:08:16 -0400

freedombox (23.14) unstable; urgency=medium

  [ James Valleroy ]
  * users: Add diagnostics check for nslcd config
  * users: Add diagnostic checks for nsswitch config
  * firewall: Add diagnostic for default zone
  * firewall: Add diagnostic check for backend
  * firewall: Add diagnostic check for passthroughs
  * torproxy: Add separate app for Tor Proxy
  * HACKING: Add instructions for container on Raspberry Pi
  * ci: Add mypy static type check
  * upgrades: Use codename= in apt preferences
  * upgrades: Use n= for unattended-upgrades origin pattern
  * container: Update for bookworm images
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Sunil Mohan Adapa ]
  * torproxy: Rename icon from tor to torproxy
  * torproxy: Remove unnecessary load tags in template file
  * torproxy: Add shortcut to home page for logged in users
  * tor: Minor refactor to remove code the check for need to restart
  * tor, torproxy: Update description for info on services provided
  * tor: tests: Make functional test check for running service
  * torproxy: Drop irrelavant 'ExitPolicy' configuration directive
  * kvstore: Optionally, don't throw exception when deleting key
  * tor, torproxy: Export settings from old to new app
  * bepasty: Don't enable app when setup is rerun
  * bind: Don't enable app when setup is rerun
  * deluge: Don't enable app when setup is rerun
  * ejabberd: Don't enable app when setup is rerun
  * gitweb: Don't enable app when setup is rerun
  * ikiwiki: Don't enable app when setup is rerun
  * infinoted: Don't enable app when setup is rerun
  * janus: Don't enable app when setup is rerun
  * jsxc: Don't enable app when setup is rerun
  * mediawiki: Don't enable app when setup is rerun
  * minetest: Don't enable app when setup is rerun
  * openvpn: Don't enable app when setup is rerun
  * performance: Don't enable app when setup is rerun
  * privoxy: Don't enable app when setup is rerun
  * quassel: Don't enable app when setup is rerun
  * radicale: Don't enable app when setup is rerun
  * rssbridge: Don't enable app when setup is rerun
  * shaarli: Don't enable app when setup is rerun
  * sharing: Don't enable app when setup is rerun
  * ttrss: Don't enable app when setup is rerun
  * wireguard: Don't enable app when setup is rerun
  * zoph: Don't enable app when setup is rerun
  * app: Implement advanced option to rerun app setup

  [ fliu ]
  * container: Add support for retrieving GPG keys using wget

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Jul 2023 20:39:40 -0400

freedombox (23.13) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]
  * HACKING: Instructions for macOS on Apple Silicon
  * container: Add support for ARM64 containers

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Jul 2023 22:02:21 -0400

freedombox (23.12) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Sunil Mohan Adapa ]
  * gitweb: Fix issue with service startup when gitweb is not enabled
  * packages: Purge packages on uninstall
  * searx: Fix typo in method name
  * samba: Remove additional configuration files on uninstall
  * mediawiki: Utilize purging of packages and don't remove explicitly
  * shaarli: Utilize purging of packages and don't remove explicitly
  * deluge: Utilize purging of packages and don't remove explicitly
  * uninstall: Remove experimental warning
  * roundcube: Clarify description for local mail only option
  * mediawiki: Increment version to run update.php automatically

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Jun 2023 20:44:30 -0400

freedombox (23.11) experimental; urgency=medium

  [ James Valleroy ]
  * shadowsocksserver: Add separate app for Shadowsocks server
  * shadowsocksserver: Use shared manual page with Client
  * debian: Remove drop-in configs from version <23.11
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * *: Fix icons not present in the generated .deb
  * config: Add new component for managing drop-in /etc/ config files
  * debian/install: Add new place in /usr to keep drop-in config files
  * gitweb: Use drop-in config component for /etc files
  * deluge: Use drop-in config comonents for /etc files
  * email: Use drop-in config component for /etc files
  * i2p: Use drop-in config component for /etc files
  * ikiwiki: Use drop-in config component for /etc files
  * janus: Use drop-in config component for /etc files
  * letsencrypt: Use drop-in config component for /etc files
  * matrixsynapse: Use drop-in config component for /etc files
  * mediawiki: Use drop-in config component for /etc files
  * minidlna: Use drop-in config component for /etc files
  * networks: Use drop-in config component for /etc files
  * pagekite: Drop the config file for forcing use of Debian certs
  * privacy: Use drop-in config component for /etc files
  * radicale: Use drop-in config component for /etc files
  * roundcube: Use drop-in config component for /etc files
  * rssbridge: Use drop-in config component for /etc files
  * searx: Use drop-in config component for /etc files
  * security: Use drop-in config component for /etc files
  * sharing: Use drop-in config component for /etc files
  * ssh: Use drop-in config component for /etc files
  * sso: Use drop-in config component for /etc files
  * syncthing: Use drop-in config component for /etc files
  * transmission: Use drop-in config component for /etc files
  * ttrss: Use drop-in config component for /etc files
  * upgrades: Use drop-in config component for /etc files
  * users: Use drop-in config component for /etc files
  * wordpress: Use drop-in config component for /etc files
  * apache: Use drop-in config component for /etc files
  * bepasty: Use drop-in config component for /etc files
  * calibre: Use drop-in config component for /etc files
  * cockpit: Use drop-in config component for /etc files
  * ejabberd: Use drop-in config component for /etc files
  * apache: Fix failure during app update

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 Jun 2023 22:07:02 -0400

freedombox (23.10) experimental; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Sunil Mohan Adapa ]
  * *: Move modules-enabled files to /usr/share
  * doc/dev: Set language code explicitly in Sphinx configuration

  [ James Valleroy ]
  * gitweb: Disable gpg signing in tests

  [ Frederico Gomes ]
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 May 2023 21:14:24 -0400

freedombox (23.9) experimental; urgency=medium

  [ nbenedek ]
  * ttrss: Allow apps to use /tt-rss URL instead of separate one

  [ James Valleroy ]
  * debian: Update copyright years
  * debian: Follows policy v4.6.2
  * tor: Only diagnose relay ports if feature enabled
  * tor: Check if Hidden service is version 3
  * tor: Rename Hidden service to Onion service
  * help: Add information on obtaining source code
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * mediawiki: Make a utility method public
  * mediawiki: Make retrieving list of supported languages robust
  * mediawiki: Simplify retrieving the default language
  * ttrss: Update list of clients
  * ttrss: Don't show app in enabled list of apps if install fails
  * apache: Reload apache using component if config changes
  * transmission: Allow remote UIs to connect
  * transmission: Add Tremotesf to list of client apps
  * ttrss: Use the apache component to restart apache on config change
  * storage: Handle mount error properly
  * uninstall: Fix issue with uninstall of apps that have no backup
  * service: Remove reference to managed_services in a message
  * zoph: Don't fail at showing app view during uninstall
  * theme: Move icons to app folders
  * minidlna: Resize icon and export to PNG also
  * doc/dev: Update copyright year

  [ Nobuhiro Iwamatsu ]
  * Translated using Weblate (Japanese)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 08 May 2023 20:39:20 -0400

freedombox (23.8) experimental; urgency=medium

  [ James Valleroy ]
  * Revert "locale: Update translation strings"
  * HACKING: Force pip to install packages to system environment
  * ci: Force pip install for functional tests
  * datetime: Use unique component ID for related daemon
  * upgrades: Check apt result during dist-upgrade
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * tests: Don't error during collection if selenium is not installed
  * tests: functional: Make install script work for Bullseye
  * datetime: Re-implement backup/restore for timezone
  * coturn: Prevent package removal when roundcube is uninstalled
  * tests: functional: Remove handling for custom enable/disable buttons
  * tests: functional: Update detecting page changes
  * gitweb: Simplify handling shortcut for front page
  * searx: Simplify handling shortcut for front page

  [ nbenedek ]
  * calibre: Remove libraries during uninstallation
  * mediawiki: Fix broken view on Bullseye due to language selection
  * bepasty: Completely uninstall app
  * coturn: Completely uninstall app
  * deluge: Completely uninstall app
  * gitweb: Completely uninstall app, remove repositories
  * ikiwiki: Completely uninstall app
  * matrixsynapse: Completely uninstall app
  * roundcube: Completely uninstall app
  * rssbridge: Completely uninstall app
  * searx: Completely uninstall app
  * shaarli: Completely uninstall app
  * shadowsocks: Completely uninstall app
  * sharing: Completely uninstall app
  * syncthing: Completely uninstall app
  * wordpress: Completely uninstall app
  * mediawiki: Completely uninstall app
  * syncthing: Remove unused pathlib import so job code-quality can pass
  * tor: Completely uninstall app
  * ttrss: Completely uninstall app
  * infinoted: Completely uninstall app
  * openvpn: Completely uninstall app
  * samba: Completely uninstall app

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Veiko Aasa ]
  * gitweb: Disable snapshot feature
  * gitweb: Make globally configured features overridable per-repository

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Apr 2023 21:46:50 -0400

freedombox (23.7) experimental; urgency=medium

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Veiko Aasa ]
  * container: Force pip to install packages to system environment
  * tests: functional: Fix setting first ethernet connection as internal

  [ Sunil Mohan Adapa ]
  * container: Fix resizing disk image containing multiple partitions
  * container: Increase wait time to accommodate slower architectures
  * matrixsynapse: Add token based registration verification

  [ nbenedek ]
  * mediawiki: Allow setting site language code

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Mar 2023 20:51:28 -0400

freedombox (23.6) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * ci: Force pip to install packages to system environment
  * /etc/issue: Update message to reflect that all users can login
  * datetime: Use timedatectl to read current timezone

  [ nbenedek ]
  * samba: make sure shares are not accessible from the internet
  * ttrss: fix failing backup

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Mar 2023 21:52:56 -0400

freedombox (23.5) unstable; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ James Valleroy ]
  * mediawiki: Fix app view error
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * samba: tests: Fix enable share view test

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Feb 2023 20:33:22 -0500

freedombox (23.4) unstable; urgency=medium

  [ James Valleroy ]
  * matrixsynapse: Add python3-psycopg2 to packages
  * searx: Add libjs-bootstrap to packages
  * ikiwiki: Re-run setup for each site after restore
  * matrixsynapse: Use yaml.safe_load
  * dynamicdns: Skip uninstall test
  * uninstall: Fix spelling in warning message
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ nbenedek ]
  * email: Redirect to the app page if roundcube isn't installed

  [ Sunil Mohan Adapa ]
  * ejabberd: Fix making call connections when using TURN
  * snapshot: Fix issue with snapshot rollbacks
  * snapshot: Fix mounting /.snapshots subvolume and use automounting
  * config: Drop RuntimeMaxUse=5% for journal logging
  * templates: Show better title for 404 page
  * backups: Allow selecting a single app from URL when creating backup
  * app: Add backup and restore menu items to toolbar menu
  * vagrant: Mount source in /freedombox instead of /vagrant
  * vagrant: Switch to /freedombox before running service with alias
  * vagrant: Drop unnecessary script that deletes sqlite file
  * vagrant: Hide the vagrant-script directory
  * matrixsnapse: Minor refactor in getting/setting public registrations
  * matrixsynapse: Disable verification to fix public registrations
  * ejabberd: Add Monal and Siskin for iOS and remove ChatSecure

  [ Juan ]
  * Translated using Weblate (Spanish)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Feb 2023 21:06:24 -0500

freedombox (23.3) unstable; urgency=medium

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ James Valleroy ]
  * tor: Remove workaround for old Augeas bug
  * upgrades: Add augeas lens for Deb822 apt sources
  * tor: Also use Aptsources822 augeas lens
  * firewalld: Allow upgrade to version 2*
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * config: Fix showing the value of the default home page
  * tests: functional: Fix submitting forms with notifications present
  * views: Use dedicated view when showing an app with operations
  * gitweb: tests: Skip tests using git when git is not installed
  * email: Revert workaround for error on finishing uninstall

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Jan 2023 20:36:37 -0500

freedombox (23.2) unstable; urgency=medium

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ James Valleroy ]
  * upgrades: Stop quassel during dist upgrade
  * ssh: Add sudo to allowed groups
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * ssh: Update existing setups to add sudo group to allowed SSH groups

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Jan 2023 20:33:02 -0500

freedombox (23.1) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * janus: Allow upgrade to 1.1
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * gitweb: Run git commands as a web user

  [ Sunil Mohan Adapa ]
  * operation: tests: Fix warning when test helpers start with 'Test'
  * package: Don't uninstall packages that are in use by other apps
  * email: Workaround an issue with error on finishing uninstall
  * zoph: Add explicit dependency on default-mysql-server

  [ nbenedek ]
  * tor: Add onion location to apache

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 03 Jan 2023 11:54:58 -0500

freedombox (22.27) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Joseph Nuthalapati ]
  * container: Drop free tag from image URLs
  * tests: functional: Set timeout to 3 hours

  [ Sunil Mohan Adapa ]
  * users: tests: Fix privileged tests
  * minidlna: Fix incorrect marking for firewall local protection
  * snapshot: Fix showing unsupported message on non-btrfs filesystems
  * d/control: Don't recommend libpam-tmpdir
  * package, email: Move conflicting package removal to framework
  * zoph, wordpress: Add conflicts on libpam-tmpdir

  [ James Valleroy ]
  * upgrades: dist-upgrade: Don't change apt security line
  * wordpress: Redirect Webfinger queries
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Dec 2022 20:59:17 -0500

freedombox (22.26) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * i2p: Remove donation URL that is no longer available
  * searx: Ensure that socket is only reachable by Apache and root
  * firewall: Create a mechanism for protecting local services
  * firewall: Introduce component for local service protection
  * calibre: Add protection to local service using firewall
  * deluge: Add protection to local service using firewall
  * transmission: Add protection to local service using firewall
  * syncthing: Add protection to local service using firewall
  * minidlna: Add protection to local service using firewall
  * i2p: Add protection to local service using firewall
  * email: Add protection to local service using firewall
  * ssh: Restrict logins to groups root, admin and freedombox-ssh
  * ssh: Add checkbox to remove login group restrictions
  * security: Remove restricted access setting and configuration

  [ James Valleroy ]
  * ejabberd: Enable mod_http_upload
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 Dec 2022 21:37:21 -0500

freedombox (22.25.1) unstable; urgency=medium

  * Re-upload to unstable.

 -- Sunil Mohan Adapa <sunil@medhas.org>  Fri, 02 Dec 2022 08:21:34 -0800

freedombox (22.25) unstable; urgency=medium

  [ nbenedek ]
  * email: dovecot: Add fail2ban jail

  [ Sunil Mohan Adapa ]
  * email: Fix creation of aliases for security@ and usenet@

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- Sunil Mohan Adapa <sunil@medhas.org>  Mon, 28 Nov 2022 15:41:46 -0800

freedombox (22.24) unstable; urgency=medium

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ James Valleroy ]
  * storage: Drop skip_recommends
  * minetest: Handle upgrade from 5.3.0 to 5.6.1
  * upgrades: Update list of holds during dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * debian/lintian-overrides: Fix mismatch patterns and new messages
  * upgrades: Add documentation link to upgrades service file

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 07 Nov 2022 20:57:48 -0500

freedombox (22.23) unstable; urgency=medium

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ James Valleroy ]
  * upgrades: Allow FreedomBox vendor when adding backports
  * upgrades: Skip unattended-upgrade in dist-upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)

  [ tunebes ]
  * storage: Handle file systems on non-physical devices

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Hungarian)
  * upgrades: Fix a minor flake8 pipeline failure
  * letsencrypt: Fix regression with comparing certificate

  [ nbenedek ]
  * rssbridge: add option to allow public access

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Oct 2022 20:37:54 -0400

freedombox (22.22.1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * privacy: Remove unused import, fix pipeline

  [ James Valleroy ]
  * debian: tests: Fix PYTHONPATH
  * doc: Fetch latest manual

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Tymofii Lytvynenko ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 16 Oct 2022 10:55:59 -0400

freedombox (22.22) unstable; urgency=medium

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Tymofii Lytvynenko ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * templates: Update HTML meta tags for better description and app-name
  * doc: dev: Minor example code refactor
  * actions: Allow nested and top-level actions
  * actions: Use separate IPC for communicating results
  * actions: Implement getting raw output from the process
  * actions: Allow actions to be called by other users
  * config: Drop ability to set hostname on systems without systemd
  * dynamicdns: Check action script with flake8
  * tests: Add fixture to help in testing privileged actions
  * apache: Use privileged decorator for actions
  * bepasty: Use privileged decorator for actions
  * bind: Use privileged decorator for actions
  * calibre: Use privileged decorator for actions
  * config: Minor update to privileged method signature
  * config: Use privileged decorator for actions
  * config: Use privileged decorator for set-hostname action
  * config: Use privileged decorator for set domainname action
  * config: Minor refactor
  * coturn: Use privileged decorator for actions
  * datetime: Use privileged decorator for actions
  * deluge: Use privileged decorator for actions
  * dynamicdns: Use privileged decorator for actions
  * ejabberd: Use privileged decorator for actions
  * email: Use privileged decorator for actions
  * firewall: Use privileged decorator, drop showing running status
  * gitweb: Use privileged decorator for actions
  * help: Use privileged decorator for actions
  * i2p: Use privileged decorator for actions
  * ikiwiki: Use privileged decorator for actions
  * infinoted: Use privileged decorator for actions
  * letsencrypt: Use privileged decorator for actions
  * matrixsynapse: Use privileged decorator for actions
  * mediawiki: Use privileged decorator for actions
  * minetest: Use privileged decorator for actions
  * minidlna: Use privileged decorator for actions
  * minidlna: Use the exposed URL for diagnostic test
  * networks: Use privileged decorator for actions
  * openvpn: Use privileged decorator for actions
  * openvpn: Drop RSA to ECC migration code and two-step setup
  * pagekite: Use privileged decorator for actions
  * power: Use privileged decorator for actions
  * quassel: Use privileged decorator for actions
  * radicale: Use privileged decorator for actions
  * roundcube: Minor update to comment in privileged actions
  * searx: Use privileged decorator for actions
  * searx: Show status of public access irrespective of enabled state
  * security: Use privileged decorator for actions
  * shadowsocks: Use privileged decorator for actions
  * sharing: Use privileged decorator for actions
  * snapshot: Use privileged decorator for actions
  * ssh: Use privileged decorator for actions
  * sso: Use privileged decorator for actions
  * syncthing: Use privileged decorator for actions
  * tor: Use privileged decorator for actions
  * transmission: Minor update to privileged method signature
  * ttrss: Use privileged decorator for actions
  * upgrades: Use privileged decorator for actions
  * wireguard: Us privileged decorator for actions
  * wordpress: Use privileged decorator for actions
  * zoph: Use privileged decorator for actions
  * backups: Use privileged decorator for sshfs actions
  * samba: Use privileged decorator for actions
  * storage: Use privileged decorator for actions
  * users: Use privileged decorator for actions
  * *: Use privileged decorator for service actions
  * backups: Use privileged decorator for backup actions
  * *: Use privileged decorator for package actions
  * actions: Drop unused superuser_run and related methods
  * action_utils: Drop unused progress requests from apt-get
  * bind: Drop enabling DNSSEC (deprecated) as it is always enabled
  * config: Drop legacy migration of Apache homepage settings
  * action_utils: Drop support for non-systemd environments
  * apache: Fix logs still going into /var/log files
  * wordpress: Update fail2ban filter
  * fail2ban: Make fail2ban log to journald
  * privacy: Set vendor as FreedomBox for dpkg and popularity-contest

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ nbenedek ]
  * matrix: Add fail2ban jail
  * privacy: Add new system app for popularity-contest

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Oct 2022 21:38:11 -0400

freedombox (22.21.1) unstable; urgency=medium

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Sunil Mohan Adapa ]
  * notification: Don't fail when formatting message strings

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 01 Oct 2022 10:07:08 -0400

freedombox (22.21) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Persian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Serbian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Latvian)

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ James Valleroy ]
  * janus: Enable systemd sandboxing
  * janus: Allow AF_UNIX and AF_NETLINK
  * locale: Update translation strings
  * doc: Fetch latest manual
  * setup.py: Move distutils import after setuptools import

  [ nbenedek ]
  * wordpress: disable readme.html, xmlrpc.php, wp-cron.php
  * wordpress: Add fail2ban filter and jail
  * mediawiki: Add powered by freedombox logo

  [ Sunil Mohan Adapa ]
  * wordpress: Reload apache after app update
  * d/install: mediawiki: Install the new powered by file

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Sep 2022 20:47:48 -0400

freedombox (22.20) unstable; urgency=medium

  [ atilluF ]
  * Translated using Weblate (Italian)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Veiko Aasa ]
  * tests: functional: Assert app is not installed after uninstallation
  * samba: Ignore mounted files when listing mounts
  * samba: Update client apps information

  [ Sunil Mohan Adapa ]
  * ejabberd: tests: functional: Ensure jsxc is installed
  * zoph: tests: functional: Simplify finding the form to submit
  * shaarli: tests: functional: Specify setup form submission button
  * ikiwiki: tests: functional: Find forms more accurately
  * gitweb: Use generic form template for create/edit repository
  * gitweb: tests: functional: Find forms more accurately
  * gitweb: Fix issue with page not refreshing during uninstall
  * calibre: tests: functional: Find forms more specifically
  * bepasty: Use generic form template for add password view
  * bepasty: tests: functional: Minor refactor for form submission
  * first_boot: tests: functional: Find form more specifically
  * sharing: tests: functional: Find forms more accurately
  * sso: tests: functional: Find forms more accurately
  * backups: Use generic form template for create and schedule views
  * backups: tests: functional: Find forms more accurately
  * templates: form: Specify a form class for use with functional tests
  * snapshot: tests: functional: Minor refactoring for form submission
  * wordpress: tests: functional: Find forms more specifically
  * users: tests: functional: Find forms more accurately
  * tests: functional: Force specifying form to submit more accurately
  * tests: functional: Wait for installation to complete fully

  [ James Valleroy ]
  * debian: Add Italian debconf translation (Closes: #1019157)
  * version: Compare Debian package version numbers
  * firewall: Allow upgrade from any version to 1.2.*
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ nbenedek ]
  * matrixsynapse: Allow matrix-synapse >= 1.65 to install successfully
  * d/maintscript: remove tahoe and mldonkey apache conf files

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Sep 2022 21:07:14 -0400

freedombox (22.19) unstable; urgency=medium

  [ James Valleroy ]
  * debian: Update Spanish translation template (Closes: #1017452)
  * avahi: Don't disable after tests
  * ejabberd: Set hostname for test that relies on it
  * upgrades: Add button to test dist-upgrade in development mode
  * Translated using Weblate (French)
  * janus: Convert action to privileged
  * janus: Handle upgrades to 1.0.*
  * upgrades: Hold janus during dist-upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Joseph Nuthalapati ]
  * tests: Make functional.is_available check faster

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Maxime Leroy ]
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ nbenedek ]
  * ttrss: add donation url
  * d/control: Break ufw as we use firewalld

  [ Veiko Aasa ]
  * container: Display help message when no args are passed
  * container: Show default values in command help

  [ Hugel ]
  * Translated using Weblate (Chinese (Simplified))

  [ Sunil Mohan Adapa ]
  * operation: Factor out template code into a separate file
  * operation: Show operations on app page in addition to setup page
  * package: Implement low-level methods for uninstalling
  * forms: Implement form for uninstallation
  * setup: Drop check for already running operation
  * app: Add API to uninstall an app
  * package: Implement uninstall in Package component
  * setup: Implement operation to uninstall an app
  * views: Implement a view to uninstall an app
  * app: Add a menu item to trigger uninstallation
  * tests: functional: Add install/uninstall test for all apps
  * backups: Use AppView for the main app page
  * diagnostics: Use AppView for app page
  * names: Use AppView for app page
  * networks: Use AppView for app page
  * power: Use AppView for app page
  * security: Use AppView for app page
  * snapshot: Use AppView for app page
  * letsencrypt: Use AppView for app page
  * tor: Use AppView and Operation for app page
  * jsxc: Allow disabling the app

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Aug 2022 22:33:54 -0400

freedombox (22.18) unstable; urgency=medium

  [ Maxime Leroy ]
  * Translated using Weblate (French)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * networks: Remove DNSSEC diagnostics
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Cosmin Humeniuc ]
  * container: Add IdentitiesOnly option to SSH

  [ Veiko Aasa ]
  * container: Ignore flake8 error 'line too long' in bash script text
  * storage: Fix enumerating partitions without mount points

  [ Sunil Mohan Adapa ]
  * coturn: Fix link to ejabberd in description
  * notification: Pass full context when rendering body template
  * package: Run installation operation using app_id instead of module
  * operation: Add module to manage threaded operations
  * *: Make setup method part of App class for all apps
  * *: Add setup method on all apps that don't have it
  * *: Make force upgrading part of app rather than a module
  * app: Drop optimization that skips setup process
  * setup: Fix issue with immediate refresh after installation
  * *: Drop module level app property
  * setup: Drop setup_helper and use the new Operation API
  * setup: Allow starting installation when package manager is busy
  * backups: tests: Mark need for Django database during API tests
  * matrixsynapse: Fix showing the status messages
  * ejabberd: Fix showing the status messages
  * ssh: tests: functional: Keep service enabled after tests
  * sharing: tests: functional: Fix a flaky test by waiting
  * sharing: Add installing and enable/disable like other apps
  * wireguard: Fix module.app usage that is no longer available
  * doc: dev: Document previously undocumented components

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Aug 2022 20:54:46 -0400

freedombox (22.17) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Maxime Leroy ]
  * Translated using Weblate (French)

  [ nbenedek ]
  * wordpress: Don't install php-ssh2

  [ James Valleroy ]
  * help: Add "How can I help?" section to Contribute page
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * help: Update test for contribute view
  * help: tests: Fix about page test by mocking version calls

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Aug 2022 21:01:41 -0400

freedombox (22.16) unstable; urgency=medium

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Maxime Leroy ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Sunil Mohan Adapa ]
  * cockpit: Depend on apache and setup after it
  * privoxy: Use privileged decorator for actions
  * cockpit: Reconfigure to allow any origin
  * cockpit: Use decorator for privileged actions
  * rssbridge: Whitelist all bridges by default
  * rssbridge: Add functional tests
  * apache: Merge old configuration files into a better location
  * apache: Also configure to serve on /freedombox
  * apache: Redirect all logs to systemd journal
  * config: Add option to set logging mode: none/volatile/persistent
  * config: Set volatile logging by default
  * roundcube: Configure to log to journald
  * roundcube: Use privileged to simplify actions

  [ nbenedek ]
  * privoxy: Restrict to private IPs, prevent access over the internet
  * rssbridge: New app to generate RSS feeds for websites
  * roundcube: Add fail2ban jail

  [ Veiko Aasa ]
  * gitweb: Switch default branch name to main for new repositories

  [ James Valleroy ]
  * janus: Change short description to "Video Room"
  * rssbridge: Fix flake8 errors
  * debian: Update copyright year
  * debian: Follows policy version 4.6.1
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 18 Jul 2022 20:50:09 -0400

freedombox (22.15) unstable; urgency=medium

  [ nbenedek ]
  * mediawiki: Remove Buster specific code not needed in Bullseye
  * mediawiki: Remove wgLogo as it is not needed in Bullseye
  * mediawiki: Add regex validator to the domain field
  * users: create home directories for newly created users

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Joseph Nuthalapati ]
  * tests: functional: Simplify GitLabCI configuration
  * ci: Use compatible versions of Selenium and Splinter

  [ Artem ]
  * Translated using Weblate (Ukrainian)

  [ Guillermo Lopez Alejos ]
  * backups: Add options to keep sshfs shares responsive
  * backups: Unmount repositories before and after backup

  [ James Valleroy ]
  * upgrades: Re-add workaround for grub
  * upgrades: Hold packages one at a time
  * datetime: Fix typo from pylint fix
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * *: pylint: Explicitly specify encoding when open a file
  * *: pylint: Suppress unused argument warnings
  * *: pylint: Don't inherit from 'object'
  * *: pylint: Avoid calling super() with arguments
  * *: pylint: Drop unnecessary 'pass' statements
  * pyproject.toml: Ignore some refactoring messages with pylint
  * static: js: css: Make multiple select fields work with Django 4.0
  * views: Add a comment about change in Django 4.0

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 Jul 2022 21:30:09 -0400

freedombox (22.14.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Sunil Mohan Adapa ]
  * matrixsynapse: Allow new dependency to be installed from backports
  * mumble: Use privileged decorator for superuser actions
  * actions: Note that privileged actions can't output to stdout
  * mumble: Backup/restore the configuration file
  * mumble: Don't set the root channel name unless it is changed
  * mumble: tests: Add functional tests for setting the passwords

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Jun 2022 07:13:07 -0400

freedombox (22.14) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ schiriki ]
  * Add char field to set a password that is required to join the server

  [ nbenedek ]
  * janus: improve description about coturn
  * mediawiki: Add option to change the site name

  [ Sunil Mohan Adapa ]
  * translation: Don't use session for storing lang pref in Django 4.0
  * users: Fix deleting user LDAP entry with Django 4.0
  * ejabberd: Make localhost disabled option in domain selection
  * actions: Add a decorator for marking superuser actions
  * doc: dev: Use and recommend new privileged actions
  * transmission: Simplify actions using the privileged decorator
  * ejabberd: Revert changes to always keep localhost (aa5b1cea126d37)

  [ James Valleroy ]
  * tests: Add a dummy parameter for middlewares
  * ejabberd: Automatically use coturn
  * ejabberd: Add multi-select form for domains
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 Jun 2022 20:52:22 -0400

freedombox (22.13) unstable; urgency=medium

  [ D āvis ]
  * Added translation using Weblate (Latvian)

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Benedek Nagy ]
  * transmission: Add redirects to avoid 409 conflict

  [ Joseph Nuthalapati ]
  * tests: functional: Integrate into Salsa CI
  * tests: functional: Add jobs for bullseye-backports

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * wordpress: Allow installing/updating plugins and themes
  * wordpress: tests: Fix writing title for new post in newer versions
  * email: Add description about ISP and domain limitations
  * email: Make app available for all users (even without advanced flag)

  [ Kolja Gorter ]
  * Add function to change root chanel name of mumble server

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * wordpress: tests: Continue past language selection screen
  * janus: Add new app for lightweight WebRTC server
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Jun 2022 21:59:34 -0400

freedombox (22.12) unstable; urgency=medium

  [ Benedek Nagy ]
  * mediawiki: Add stricter sandbox rules for jobrunner service
  * mediawiki: Serve hidden service over http for .onion domains
  * tt-rss: Fix description about user access
  * ssh, bind: Show 'Learn More...' links

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Asle Næss ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * apache: Allow URL diagnostics to work with redirects
  * mediawiki: Fix URL diagnostics with redirects involved
  * frontpage: Reuse app header template for showing app description
  * frontpage: Allow showing links to manual pages
  * *: Show Learn More... links in frontpage with description
  * firewall: Show service name in port forwarding info table
  * tor: Show port forwarding information in consistent way

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 May 2022 20:48:11 -0400

freedombox (22.11) unstable; urgency=medium

  [ Veiko Aasa ]
  * samba: Fix functional tests when user is not logged in at start

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Benedek Nagy ]
  * transmission: Improve description
  * mediawiki: Check if admin password is at least 10 characters long

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * tests: functional: Get rid of dependency on xvfb
  * HACKING: Improve documentation on how to run tests

  [ Sunil Mohan Adapa ]
  * container: Show executed commands when setting up/running tests
  * email: Fix userdb lookups with LDAP
  * mediawiki: Handle password rejection from MediaWiki
  * matrixsynapse: Allow new dependencies to be installed from backports

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ ikmaak ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Hungarian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 09 May 2022 22:36:05 -0400

freedombox (22.10) unstable; urgency=medium

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Luna Jernberg ]
  * Translated using Weblate (Swedish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Giannis ]
  * Translated using Weblate (Greek)

  [ Benedek Nagy ]
  * sharing: put file path between quotation marks

  [ Sunil Mohan Adapa ]
  * sharing: Allow double quotes in path strings

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Apr 2022 20:47:52 -0400

freedombox (22.9) unstable; urgency=medium

  [ abidin toumi ]
  * Added translation using Weblate (Arabic)
  * Translated using Weblate (Arabic)

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)
  * plinth: Add forum to footer

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Paul Lettich ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * package: Add package expressions
  * package: Use package expressions in Packages component
  * package: Fail diagnostic when not able to resolve
  * minetest: Allow alternate name for 3d armor mod
  * package: Fix comment and type annotations
  * upgrades: Use python3-typing-extensions from bullseye-backports
  * upgrades: Split Explanation line
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * package: Update package expression API and fix regressions

  [ Aurélien Couderc ]
  * Fix description of the validation rule for calibre library names so it
    actually matches the pattern

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Apr 2022 20:29:12 -0400

freedombox (22.8) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Павел Протасов ]
  * Translated using Weblate (Russian)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Benedek Nagy ]
  * ikiwiki: add packages that are necessary for apt-get install
  * calibre: explain correct name format for new library

  [ Ma Yong ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ James Valleroy ]
  * upgrades: Allow backports from src:freedombox
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Jim Gregory ]
  * network: Fix showing wifi connection

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 28 Mar 2022 20:30:00 -0400

freedombox (22.7) unstable; urgency=medium

  [ Nathaniel Ramos Alexander ]
  * Translated using Weblate (Spanish)

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)

  [ ButterflyOfFire ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 14 Mar 2022 20:30:20 -0400

freedombox (22.6.1) unstable; urgency=medium

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 06 Mar 2022 06:25:27 -0500

freedombox (22.6) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sripath Roy Koganti ]
  * Translated using Weblate (Telugu)

  [ Hemchand Pidikiti ]
  * Translated using Weblate (Telugu)

  [ Revolutioners ]
  * Translated using Weblate (Telugu)

  [ Anusha.chennamsetti ]
  * Translated using Weblate (Telugu)

  [ Rohith ]
  * Translated using Weblate (Telugu)

  [ B Rohit ]
  * Translated using Weblate (Telugu)

  [ Sk Abdulaziz ]
  * Translated using Weblate (Telugu)

  [ Prudhvi varma ]
  * Translated using Weblate (Telugu)

  [ Lavanya Duddukuri ]
  * Translated using Weblate (Telugu)

  [ Revathi Pathiwada ]
  * Translated using Weblate (Telugu)

  [ Rushi Puttigumpala ]
  * Translated using Weblate (Telugu)

  [ Kotagiri Hardik Sai ]
  * Translated using Weblate (Telugu)

  [ Andhavarapu vamsi ]
  * Translated using Weblate (Telugu)

  [ VANTIPALLI HARINI DEVI ]
  * Translated using Weblate (Telugu)

  [ Mupparthi Rema Sharanya ]
  * Translated using Weblate (Telugu)

  [ Nishmitha Undavalli ]
  * Translated using Weblate (Telugu)

  [ l. Mamatha sahithi ]
  * Translated using Weblate (Telugu)

  [ N SIRI HARSHITHA ]
  * Translated using Weblate (Telugu)

  [ Sainadh Pragada ]
  * Translated using Weblate (Telugu)

  [ Kesava Manikanta ]
  * Translated using Weblate (Telugu)

  [ Padilam Sairam ]
  * Translated using Weblate (Telugu)

  [ Benedek Nagy ]
  * minidlna: add iOS VLC client
  * samba: add iOS VLC client
  * Translated using Weblate (Hungarian)

  [ James Valleroy ]
  * Translated using Weblate (Telugu)
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Sunil Mohan Adapa ]
  * email_server: List all listening ports of the daemons
  * email_server: Update donation URL to rspamd donation URL
  * email_server: Update short description
  * email_server: Add front page shortcut, update name and description
  * email: Rename app from email_server to email
  * email: Drop X-Robots-Tag on the auto-configuration URL
  * email: Backup/restore aliases and mailboxes
  * email: rspamd: Simplify installing configuration
  * email: Tweak client auto-configuration file
  * email: Drop unused Apache include freedombox-robots.conf
  * email: Simplify modifying headers proxied to rspamd web UI
  * email: Depend on and run redis server
  * email: Open firewall port for managesieve protocol
  * email: Narrowly match just rspamd's spam header
  * email: Add more special-use IMAP folders, set autoexpunge to 60days
  * email: Simplify setting milter configuration and running sievec
  * email: Drop special handling for reserved TLDs
  * email: Drop special handling for outbound filtering
  * email: Remove override for local addresses
  * email: Setup rspamd configuration to include FreedomBox config
  * email: Add basic functional tests
  * email: Add backup/restore component
  * email: Simplify setting up postfix
  * email: Drop unused diagnosis module
  * email: Minor indentation and docstring changes
  * email: Set an icon from Tango project
  * email: dkim: Implement setting up DKIM signing keys
  * email: dns: Show table for desired DNS entries
  * email: Enable as an advanced app
  * email: aliases: Drop ability to enable/disable aliases
  * email: Add shortcut for non-admin users to manage their aliases
  * email: Drop mentions of clamav as it is too memory intensive
  * email: Rename audit module to privileged
  * email: Drop use of mutex for postfix configuration operations
  * email: Simplify and rename postfix configuration module
  * email: Drop unused utility method for logging
  * email: Name module ldap to postfix
  * email: Drop postfix and dovecot LDAP packages
  * email: Drop atomic writing to a file
  * email: Update module docstrings
  * email: Use the term 'setup' rather than 'repair' for consistency
  * email: Don't start disabled daemons when setup is re-run
  * email: Implement adding common aliases for first admin user
  * email: Add various documentation links for future readability
  * email: postfix: Fix priority for authentication directives
  * email: aliases: Minor refactoring to form validation
  * email: clients: Make Thunderbird URLs language independent
  * email: Allow re-running setup
  * email: postfix: use inline map for TLS SNI maps
  * email: rspamd: Log to journald via syslog
  * email: Revert to LDAP auth as pam does not allow non-admin users
  * email: Fix issue with certs not being available
  * dynamicdns: Fix adding null domain into configuration

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 02 Mar 2022 08:44:45 -0500

freedombox (22.5) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Joseph Nuthalapati ]
  * tests: functional: Add plugin for HTML reports

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Jaime Marquínez Ferrándiz ]
  * Translated using Weblate (Spanish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)
  * tt-rss: Restrict access to `feed-reader` group in "/tt-rss-app"

  [ James Valleroy ]
  * dynamicdns: Replace ez-ipupdate
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * dynamicdns: Drop about page and merge into description
  * dynamicdns: Drop tabs and use single page
  * dynamicdns: Drop NAT detection as it is no longer used
  * app: Add component to store enabled state of an app in kvstore
  * backups: Implement backup/restore of key/value settings
  * dynamicdns: Rewrite configuration handling and update using URL
  * users: Fix typo in description
  * minetest: Reduce the number of configuration update messages

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 14 Feb 2022 20:41:06 -0500

freedombox (22.4) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Benedek Nagy ]
  * shaarli: Add android app to description
  * apache: Don't redirect to HTTPS for .onion domains
  * matrixsynapse: Add FluffyChat to client list
  * power: Add a link to power app in the system menu
  * Translated using Weblate (Hungarian)

  [ Sunil Mohan Adapa ]
  * mldonkey: Drop app not available in Debian Bullseye and Bookworm
  * tests: functional: Implement a workaround for issue with screenshots
  * wordpress: tests: functional: Add missing marks on tests
  * tests: functional: Set default screenshots dir as ./screenshots
  * doc: Fail when downloading images from Debian wiki fails
  * cockpit: Explicitly redirect to HTTPS as needed for WebSockets
  * apache: Don't set HSTS for .onion domain
  * wireguard: tests: Add functional tests
  * snapshots: Clarify that snapshots are take during updates too
  * coturn: Use wildcard listening address to fix startup issues
  * sso, users: Redirect to home page after logout
  * users: Clarify help message for authorization password
  * HACKING: Stop using setup.py as a way to run tests
  * email_server: Drop some unused code
  * roundcube: Add setting for local connection only
  * email_server: Drop showing diagnostics/repair and roundcube config

  [ James Valleroy ]
  * .gitignore: Add screenshots/
  * shaarli: Add backup component
  * shaarli: Add functional test
  * shaarli: Test adding a bookmark
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Coucouf ]
  * Translated using Weblate (French)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Jan 2022 20:04:57 -0500

freedombox (22.3) unstable; urgency=medium

  [ nautilusx ]
  * Translated using Weblate (German)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Benedek Nagy ]
  * tt-rss: Allow published articles to be publicly available
  * Translated using Weblate (Hungarian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * container: Avoid a warning that interactive mode is intended
  * sso: Add missing captcha/rate limiting on SSO login
  * sso: Adjust URL to CAPTCHA page needed by Django security fix
  * upgrades: Allow matrix's new dependency to be installed
  * tests: functional: Fix setting domain name with active notifications
  * help: tests: Fix functional test to check for status logs

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Jan 2022 20:17:22 -0500

freedombox (22.2) unstable; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)
  * wireguard: Fix spelling
  * transmission: Fix capitalization
  * openvpn: Add link to IOS app
  * mumble: Change description to include iOS client app
  * radicale: Update Thunderbird URLs
  * i2p: Fix grammar in description
  * backups: Correct spelling of encryption protocols
  * networks: Fix reference to an option

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * help: Fix failing setup when manual directory is not available
  * debian, setup.py: Add dependency on python3-tomli
  * ikiwiki: Initialize shortcuts during post-init setup

  [ James Valleroy ]
  * locale: Update translation strings

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 11 Jan 2022 20:09:59 -0500

freedombox (22.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)

  [ pesder ]
  * Translated using Weblate (Chinese (Traditional))

  [ James Valleroy ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)
  * backups: Capitalize 'SSH' in template
  * config, upgrades: Specify submit button for tests
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * upgrades: Relabel from 'Update' to 'Software Update'
  * datetime: Explicitly list systemd-timesyncd as a dependency
  * storage: Skip tests if not enough disk space is available
  * package: Add diagnostic to check if a package is the latest version

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 03 Jan 2022 19:51:35 -0500

freedombox (21.16) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]
  * tests: Fix app name in pytest.skip statement
  * cockpit: Make 'name' optional in Signal handlers
  * ejabberd: Make name option in Signal handlers
  * tests: functional: Skip MLDonkey app
  * monkeysphere: Drop app as it is not being used
  * diaspora: Drop app that was never finished.
  * tahoe-lafs: Drop app as it is not being used

  [ Sunil Mohan Adapa ]
  * roundcube: Allow upgrades using configuration file prompts
  * letsencrypt: Handle cert setup when an app wants all domains
  * email_server: Include postfix package in packages list
  * email_server: Fix issue with handling domain removal
  * email_server: Re-implement TLS configuration
  * email_server: Adjust TLS configuration parameters
  * email_server: Rename dovecot TLS configuration file for consistency
  * datetime: Fix checking when timesyncd will run on a system

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ pesder ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * upgrades: Refactor dist upgrade process
  * upgrades: Cleanup dist upgrade steps specific to bullseye release
  * upgrades: Add type annotations to action
  * pyproject: Add domain marker
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 Dec 2021 20:58:00 -0500

freedombox (21.15) unstable; urgency=medium

  [ trendspotter ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * shaarli: Enable app
  * tests: Add 'domain' mark for apps that add/remove domains
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * dynamicdns: Update URLs to the new dynamic DNS server
  * firewall: Allow configuration upgrade to version 1.0.x
  * *: Drop unused manual_page at module level
  * app: Introduce API to setup an app
  * package: Add parameter to specify skipping package recommendations
  * package: Implement installing packages in the component
  * actions: Get list of packages from Packages components
  * security: Get the list of packages from Packages component
  * *: Drop use of managed_packages and rely on Packages component
  * doc/dev: Update documentation to not refer to managed_packages
  * actions/service: Drop unused list action
  * bind: Drop alias handling unnecessary in >= Bullseye
  * security: Drop use of managed_services in security report
  * daemon: Add new component to hold information about related daemons
  * actions/service: Drop use of managed_services for Daemon component
  * *: Drop use of managed_services, rely on Daemon component
  * doc/dev: Remove mention of managed_services
  * actions/letsencrypt: Drop use of managed_paths and use LE component
  * *: Drop use of unnecessary managed_paths
  * doc/dev: Drop discussion on managed_paths
  * package: Introduce component API for package conflicts
  * *: Drop module level package_conflicts and use component API
  * packages: Move checking for unavailable packages to component
  * app: Introduce API for managing setup state of the app
  * doc/dev: Remove outdated reference to init() at module level
  * *: Use the App's state management API
  * setup: Drop unused API for app's state management
  * *: Drop use of module level is_essential flag
  * *: Drop use of module level version
  * middleware, views: Reduce use of setup_helper
  * web_server: Drop use of loaded_modules and use App.list
  * first_boot: Drop use of loaded_modules and use App.list
  * security: Drop use of loaded_modules and use App.list
  * main: List apps instead of modules
  * setup: Run setup on apps instead of modules
  * setup: List dependencies for apps instead of modules
  * setup: Use apps instead of modules to determine running first setup
  * setup: Work on apps instead of modules for force upgrade
  * module_loader, app: Move app init to app module
  * *: Drop module level depends declaration
  * doc/dev: Drop reference to module level depends declaration
  * forms: Fix regression with TLS domain form in quassel and tt-rss
  * email_server: Simplify domain configuration form
  * email_server: Merge domain configuration with app view
  * letsencrypt: On domain removal, don't revoke certificate, keep it

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Dec 2021 18:51:28 -0500

freedombox (21.14.1) unstable; urgency=high

  [ Sunil Mohan Adapa ]
  * config: Add packages component to a re-add zram-tools dependency

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 24 Nov 2021 10:36:25 -0500

freedombox (21.14) unstable; urgency=high

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * app: Introduce separate method for post initialization operations
  * module_loader: Split app initialization into separate steps
  * avahi: Split app initialization
  * backups: Split app initialization
  * cockpit: Split app initialization
  * diagnostics: Split app initialization
  * dynamicdns: Split app initialization
  * email_server: Don't get domain name during initialization
  * config: Split app configuration
  * letencrypt: Split app initialization
  * names: Split app initialization
  * pagekite: Split app initialization
  * storage: Split app initialization
  * tor: Split app initialziation
  * upgrades: Split app initialziation
  * ejabberd: Split app initialziation
  * gitweb: Split app initialization
  * frontpage: Avoid URL reverse during Shortcut component construction
  * menu: Avoid reversing URL during Menu component construction
  * main: Drop initializing Django when listing dependencies (Closes: #999484)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Joseph Nuthalapati ]
  * names: Create a generic TLS domain selection form
  * tt-rss: Allow selection of a domain name

  [ James Valleroy ]
  * debian: Fail build if no module dependencies found
  * datetime: Avoid error when systemctl is not available
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Nov 2021 18:45:33 -0500

freedombox (21.13) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ Joseph Nuthalapati ]
  * utils: Fix ruamel.yaml deprecation warnings
  * components: Introduce new component - Packages
  * setup: Use packages from Packages component
  * components: Add docstrings & tutorial for Packages

  [ Sunil Mohan Adapa ]
  * email_server: Refactor the home directory page
  * email_server: Add button for setting up home directory
  * email_server: Turn home view into a simple page rather than a tab
  * email_server: Add button for managing aliases
  * email_server: Remove aliases view from tabs list
  * email_server: Add heading for manage aliases page
  * email_server: Reduce the size of headings for aliases/homedir pages
  * email_server: aliases: Add method for checking of an alias is taken
  * email_server: aliases: Using Django forms instead of custom forms
  * email_server: aliases: Drop validation already done by form
  * email_server: aliases: Move sanitizing to form
  * email_server: aliases: Drop unnecessary sanitizing
  * email_server: aliases: Drop unused sanitizing method
  * email_server: aliases: Drop unused regex
  * email_server: yapf formatting
  * email_server: aliases: Drop hash DB and use sqlite3 directly
  * email_server: aliases: Minor refactoring
  * email_server: aliases: Minor refactoring to DB schema
  * email_server: aliases: Minor refactor to list view
  * email_server: aliases: Fix showing empty alias list message
  * email_server: aliases: Refactor for simpler organization
  * email_server: tls: Drop unimplemented TLS forms/view
  * email_server: rspamd: Turn spam management link to a button
  * email_server: domains: Add button for domain management form
  * email_server: Remove tabs from the interface
  * email_server: homedir: Fix styling to not show everything as header
  * email_server: Minor refactor of license statement in templates
  * email_server: domains: Use Django forms and views
  * email_server: domains: Add validation to form
  * email_server: action: Refactor for simplicity
  * email_server: yapf formatting
  * log, email_server: Don't use syslog instead of journald
  * email_server: action: Add argument type checking for extra safety
  * email_server: Don't use user IDs when performing lookups
  * email_server: Lookup LDAP local recipients via PAM
  * email_server: dovecot: Authenticate using PAM instead of LDAP
  * email_server: dovecot: Don't deliver mail to home directory
  * email_server: Setup /var/mail, drop home setup view
  * email_server: Use rollback journal for aliases sqlite DB
  * security: Properly handle sandbox analysis of timer units

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * tests: Use background fixture for each test
  * bepasty: Use BaseAppTests for functional tests
  * bind: Use BaseAppTests for functional tests
  * calibre: Use BaseAppTests for functional tests
  * deluge: Use BaseAppTests for functional tests
  * ejabberd: Use BaseAppTests for functional tests
  * gitweb: Use BaseAppTests for functional tests
  * ikiwiki: Use BaseAppTests for functional tests
  * mediawiki: Use BaseAppTests for functional tests
  * mldonkey: Use BaseAppTests for functional tests
  * openvpn: Use BaseAppTests for functional tests
  * pagekite: Use BaseAppTests for functional tests
  * radicale: Use BaseAppTests for functional tests
  * samba: Use BaseAppTests for functional tests
  * shadowsocks, syncthing: Use BaseAppTests for functional tests
  * transmission: Use BaseAppTests for functional tests
  * tahoe: Use BaseAppTests for functional tests
  * tor: Use BaseAppTests for functional tests
  * tests: functional: Add diagnostics delay parameter
  * avahi: Use systemd sandboxing
  * samba: Use systemd sandboxing for smbd/nmbd
  * debian: Add python3-openssl to autopkgtest depends
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 08 Nov 2021 21:34:27 -0500

freedombox (21.12) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ nautilusx ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * middleware: Don't show setup view to non-admin users
  * email_server: yapf formatting
  * email_server: Add a name for aliases view
  * email_server: Add heading for manage aliases page
  * email_server: Don't let the My Mail page to blank page
  * email_server: clients: Launch roundcube directly instead of app page
  * email_server: Move roundcube link from My Mail to description
  * storage: tests: Refactor disk tests for readability
  * storage: Pass optional mount point to partition expansion
  * storage: tests: Fix tests for expanding disk partitions
  * storage: tests: Convert class based tests to simple tests

  [ James Valleroy ]
  * tests: Add BaseAppTests class for common functional tests
  * tests: Add run diagnostics test to BaseAppTests
  * infinoted: Use BaseAppTests for functional tests
  * mumble: Use BaseAppTests for functional tests
  * roundcube: Use BaseAppTests for functional tests
  * avahi: Use BaseAppTests for functional tests
  * cockpit: Use BaseAppTests for functional tests
  * coturn: Use BaseAppTests for functional tests
  * i2p: Use BaseAppTests for functional tests
  * matrixsynapse: Use BaseAppTests for functional tests
  * minetest: Use BaseAppTests for functional tests
  * minidlna: Use BaseAppTests for functional tests
  * performance: Add backup support (no data)
  * performance: Use BaseAppTests for functional tests
  * privoxy: Use BaseAppTests for functional tests
  * quassel: Use BaseAppTests for functional tests
  * ssh: Use BaseAppTests for functional tests
  * zoph: Use BaseAppTests for functional tests
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ trendspotter ]
  * Translated using Weblate (Czech)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Oct 2021 19:19:33 -0400

freedombox (21.11) unstable; urgency=medium

  [ Fioddor Superconcentrado ]
  * test: help: Add help view tests
  * test: Add tests for action utilities
  * tests: Improve handling of tests skipped by default
  * package: Add functions for removing packages
  * setup: Show and remove conflicts before installation
  * email: Manage known installation conflicts

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * openvpn: Convert functional tests to non-BDD python format
  * pagekite: Convert functional tests to non-BDD python format
  * privoxy: Convert functional tests to non-BDD python format
  * tests: Add backups mark for openvpn, pagekite, privoxy
  * quassel: Convert functional tests to non-BDD python format
  * radicale: Convert functional tests to non-BDD python format
  * roundcube: Convert functional tests to non-BDD python format
  * searx: Convert functional tests to non-BDD python format
  * security: Convert functional tests to non-BDD python format
  * shadowsocks: Convert functional tests to non-BDD python format
  * sharing: Convert functional tests to non-BDD python format
  * snapshot: Convert functional tests to non-BDD python format
  * ssh: Convert functional tests to non-BDD python format
  * sso: Convert functional tests to non-BDD python format
  * storage: Convert functional tests to non-BDD python format
  * syncthing: Convert functional tests to non-BDD python format
  * tahoe: Convert functional tests to non-BDD python format
  * tor: Convert functional tests to non-BDD python format
  * transmission: Convert functional tests to non-BDD python format
  * ttrss: Convert functional tests to non-BDD python format
  * upgrades: Convert functional tests to non-BDD python format
  * zoph: Convert functional tests to non-BDD python format
  * users: Convert functional tests to non-BDD python format
  * tests: Add some missed marks for functional tests
  * tests: Drop step definitions
  * conftest: Skip functional tests if splinter not importable
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * d/control: Allow building with python interpreter of any arch
  * user: Accommodate Django 3.1 change for model choice iteration
  * settings: Choose password hashing complexity suitable for SBCs
  * pyproject.toml: Merge contents of pytest.ini
  * pyproject.toml: Merge contents of .converagerc
  * d/rules: Don't use setup.py to invoke tests, invoke directly instead
  * users: Help set language cookie when user profile is edited
  * sso, translation: Help set language cookie when user logins in
  * translation: Always set language cookie when switching language
  * *: Move all systemd service files from /lib to /usr
  * wordpress: Run service only if when installed and configured
  * calibre: Run service only if when installed
  * d/rules: Don't install and enable other systemd service files
  * storage: tests: functional: Fix tests always getting skipped
  * package: Remove unused import to fix pipeline
  * tests: Drop installation of pytest-bdd
  * performance: Cleanup code meant for cockpit version < 235
  * *: Always pass check= argument to subprocess.run()
  * ttrss: Fix daemon not running sometimes on startup
  * ttrss: Add systemd security hardening to daemon

  [ Joseph Nuthalapati ]
  * ttrss: tests: functional: Make subscription faster

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Oct 2021 18:55:20 -0400

freedombox (21.10) unstable; urgency=medium

  [ Veiko Aasa ]
  * samba: tests: Convert functional tests to non-BDD python format

  [ James Valleroy ]
  * tests: Show warning when app not available
  * bepasty: Convert functional tests to non-BDD python format
  * bind: Convert functional tests to non-BDD python format
  * config: Convert functional tests to non-BDD python format
  * coturn: Convert functional tests to non-BDD python format
  * datetime: Convert functional tests to non-BDD python format
  * deluge: Convert functional tests to non-BDD python format
  * dynamicdns: Convert functional tests to non-BDD python format
  * ejabberd: Convert functional tests to non-BDD python format
  * help: Convert functional tests to non-BDD python format
  * ikiwiki: Convert functional tests to non-BDD python format
  * mediawiki: Convert functional tests to non-BDD python format
  * mldonkey: Convert functional tests to non-BDD python format
  * monkeysphere: Convert functional tests to non-BDD python format
  * mumble: Convert functional tests to non-BDD python format
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Set Standards-Version to 4.6.0

  [ Sunil Mohan Adapa ]
  * ikiwiki: tests: functional: Use newer splinter API for finding links
  * openvpn: tests: functional: Use newer splinter API for finding links
  * backups: tests: functional: Use newer splinter API for finding links
  * users: tests: functional: Use newer splinter API for finding links
  * mediawiki: tests: functional: Use newer splinter API for finding links
  * dynamicdns: tests: functional: Use newer splinter API for finding links
  * calibre: tests: functional: Use newer splinter API for finding links
  * tests: functional: Use newer splinter API for finding links
  * *: Use Django gettext functions instead of ugettext
  * pyproject: Make isort consistent across execution environments
  * *: Various isort fixes
  * *: Use django.urls.re_path() instead of its alias url()
  * signals: Drop provider args when creating Signal object
  * settings: Set Django auto field type explicitly
  * *: Use allow/denylist instead white/blacklist in comments
  * tests: Introduce fixtures to make it easy to test actions
  * calibre: tests: Use common fixtures for testing actions module
  * sso: tests: Use common fixtures for testing actions module
  * gitweb: tests: Use common fixtures for testing actions module
  * openvpn: tests: Use common fixtures for testing actions module
  * matrixsynapse: tests: Use common fixtures for testing actions module
  * ejabberd: tests: Use common fixtures for testing actions module
  * mediawiki: tests: Use common fixtures for testing actions module
  * views: Update utility for checking URL safety
  * sso: Update usage of OpenSSL crypt signing API

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Sep 2021 19:10:05 -0400

freedombox (21.9) unstable; urgency=medium

  [ Fioddor Superconcentrado ]
  * container: Don't fail if there's no fbx network
  * container: freedombox-develop callable from anywhere
  * lintian: Overrides for remove-on-upgrade dpkg conffiles flag

  [ James Valleroy ]
  * debian: Add gbp tag config
  * container: Update stable image for bullseye
  * backups: Add functional test to disable schedule backups
  * avahi: Convert functional tests to non-BDD python format
  * cockpit: Convert functional tests to non-BDD python format
  * i2p: Convert functional tests to non-BDD python format
  * infinoted: Convert functional tests to non-BDD python format
  * minetest: Convert functional tests to non-BDD python format
  * minidlna: Convert functional tests to non-BDD python format
  * performance: Convert functional tests to non-BDD python format
  * matrixsynapse: Convert functional tests to non-BDD python format
  * jsxc: Convert functional tests to non-BDD python format
  * backups: Convert functional tests to non-BDD python format
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Tiago Zaniquelli ]
  * plinth: remove diagnose command

  [ Joseph Nuthalapati ]
  * apache: Drop support for SSLv3, TLSv1 and TLSv1.1
  * mediawiki: Backup and restore uploaded files
  * mediawiki: Bump version number for 1.35 upgrade
  * mediawiki: Enable a subset of default extensions
  * mediawiki: Switch to MediaWiki 2020 logo

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Sunil Mohan Adapa ]
  * mediawiki: tests: functional: Fix races after flipping flags
  * d/lintian-overrides: Drop override for a removed tag
  * d/lintian-overrides: Override message for not supporting sysvinit
  * d/lintian-overrides: Add override for manual outside .../doc/
  * d/lintian-overrides: Drop workaround for remove-on-upgrade dpkg flag
  * apache: Drop support for GnuTLS
  * apache: Enable and prioritize HTTP/2 protocol
  * apache: Setup Mozilla recommended configuration
  * container: Fix the update command for new web server
  * tests: Add some missing markers
  * web_framework, tests: Workaround captcha 0.5.6 vs. Django 3.2

  [ fliu ]
  * email: Fix self.critical not callable error
  * email: postconf.get_many_unsafe: batch query
  * email: configure postfix domain names

  [ Seyed mohammad ali Hosseinifard ]
  * Translated using Weblate (Persian)

  [ Veiko Aasa ]
  * gitweb: tests: Fix test failures if initial default branch is not master
  * gitweb: tests: Convert functional tests to non-BDD python format
  * gitweb: tests: functional: Fix test failure if initial default branch is not master

  [ Artem ]
  * Translated using Weblate (Russian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ 池边树下 ]
  * Translated using Weblate (Chinese (Simplified))

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 18 Sep 2021 09:47:06 -0400

freedombox (21.8) unstable; urgency=medium

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ fliu ]
  * diagnostics: Allow underscores (_) in app names
  * doc/dev: Using mocking instead of importing external modules
  * email: Basic app to manage an email server
  * email: Enable LDAP by calling postconf in a thread-safe way
  * email: Implement `email_server ipc set_sasl` and `set_submission`
  * email: Set up local delivery (no spam filtering)
  * email: Code quality fixes
  * email: Fix enabling SMTPS; check return value
  * email: dovecot: Support user lookup by UID number
  * email: Address some code review comments
  * email: Install rspamd; proxy its web interface
  * email: Parse command arguments with a mutually exclusive group
  * email: mutex: create lock file as plinth user
  * email, plinth.log: Write more information to syslog
  * email: postconf: Handle postconf returning an empty key
  * email: audit: improve the speed of post-installation setup
  * email: Open lock file as plinth user
  * email: Support UID number lookup in Dovecot
  * email: diagnostics: Fix sudo permission problem
  * email: views: Implement tab rendering
  * email: Implement alias management
  * email: aliases: Use bootstrap styles
  * email: Add UI for creating the home directory
  * email: Add templates for TLS and domains
  * email: Implement view for setting up domains
  * email: postfix: Install LDAP map support
  * email: Implement spam sorting with sieve
  * email: apache: X-Robots-Tag header, full URL match
  * email: Implement auto-discovery
  * email: LMTP: remove the recipient's UID number from email headers
  * email: Code cleanup
  * email: Implement outbound mail filtering
  * email: Reload postfix in domain view
  * email: Code cleanup, address reviews
  * email: Local delivery: use full email address
  * email: postfix: dovecot: Set strong security parameters
  * email: setup: Find Let's Encrypt certificates
  * email: Documentation, code cleanup
  * email: setup: Configure Roundcube
  * email: Sender spoofing patch 1/2: domain rewriting
  * email: implemented service alert

  [ Sunil Mohan Adapa ]
  * doc/dev: Drop seemingly irrelevant automodule reference
  * container: Use keyserver.ubuntu.com as the default keyserver
  * d/lintian-overrides: Allow all systemd services paths
  * d/control: Drop wireless-tools as recommends
  * tests: functional: Add a convenience method to logout
  * wordpress: New app to manage a WordPress site/blog

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ James Valleroy ]
  * security: Remove display of past vulnerabilities
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Aug 2021 20:01:46 -0400

freedombox (21.7) unstable; urgency=low

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)

  [ Jacque Fresco ]
  * Translated using Weblate (Indonesian)

  [ Reza Almanda ]
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ 池边树下 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Tiago Zaniquelli ]
  * tests: functional: storage: skip test List disks

  [ Oymate ]
  * Translated using Weblate (Bengali)

  [ whenwesober ]
  * Translated using Weblate (Indonesian)

  [ James Valleroy ]
  * ci: Disable autopkgtest
  * debian: Ensure fuse gets replaced by fuse3 (Closes: #990758)
    - Thanks to Andreas Beckmann <anbe@debian.org> for the patch.
  * action_utils: Separate function to hold freedombox package
  * action_utils: Use flag to indicate freedombox package has been held
    (Closes: #991292)
  * upgrades: Check for held freedombox package in manual update
  * upgrades: Check for held freedombox package daily
  * action_utils: Don't print when unholding freedombox package
  * vagrant: Update box name
  * ttrss: Allow upgrade to version 21
  * Update translation strings
  * doc: Fetch latest manual
  * Upload to unstable

  [ bruh ]
  * Translated using Weblate (Vietnamese)
  * Translated using Weblate (Vietnamese)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Aug 2021 19:18:59 -0400

freedombox (21.6) experimental; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ whenwesober ]
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)

  [ James Valleroy ]
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Chinese (Simplified))
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Weblate ]
  * Added translation using Weblate (Sinhala)
  * Added translation using Weblate (Vietnamese)

  [ James Pan ]
  * Translated using Weblate (Chinese (Traditional))

  [ HelaBasa ]
  * Translated using Weblate (Sinhala)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ ssantos ]
  * Translated using Weblate (Portuguese)

  [ 池边树下 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Reza Almanda ]
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)

  [ bruh ]
  * Translated using Weblate (Vietnamese)
  * Translated using Weblate (Vietnamese)
  * Translated using Weblate (Vietnamese)
  * Translated using Weblate (Vietnamese)

  [ Arshadashu ]
  * Translated using Weblate (Telugu)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ uday17 ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)

  [ Sandeepbasva ]
  * Translated using Weblate (Telugu)

  [ Aurélien Couderc ]
  * Change backups submit button to fix translation issues

  [ chilumula vamshi krishna ]
  * Translated using Weblate (Telugu)

  [ Jacque Fresco ]
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Japanese)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 May 2021 19:00:45 -0400

freedombox (21.5) experimental; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Karol Werner ]
  * Translated using Weblate (Polish)

  [ Michalis ]
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)

  [ Fioddor Superconcentrado ]
  * Generating developer documentation.
  * config: Fix tests related to user home directory
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Veiko Aasa ]
  * deluge, mldonkey, syncthing, transmission: Depend on nslcd.service
  * deluge: Fix daemon user not in freedombox-share group after installation
  * users: Fix unit test failures when LDAP is empty

  [ Sunil Mohan Adapa ]
  * ssh, apache: Make fail2ban use systemd journald backend by default
  * security: Move fail2ban default configuration to this app
  * security: Ensure that fail2ban is not re-enabled on version increment
  * security: Increment app version to reload fail2ban
  * action_utils: Introduce utility for masking services
  * config: Disable rsyslog and syslog forwarding
  * config: Install and configure zram for swap
  * Update copyright year

  [ James Valleroy ]
  * debian: Add coverage to autopkgtest
  * ci: Merge with Salsa CI pipeline
  * config: Convert entered domain name to lower case
  * dynamicdns: Wait after changing domain name in tests
  * dynamicdns: Convert entered domain name to lower case
  * pagekite: Convert entered kite name to lower case
  * config, dynamicdns, pagekite: Remove incorrect use of str
  * letsencrypt: Always return a diagnostics result
  * diagnostics: Use lock to protect results
  * coturn: Validate TURN URIs if provided in form
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Max Rockatansky ]
  * security: Clarify vulnerability count and provide link to more info

  [ Joseph Nuthalapati ]
  * docs: Improve Developer Documentation index page
  * container: distribution as environment variable
  * ejabberd: STUN/TURN configuration
  * coturn: Mention ejabberd in app description

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Reza Almanda ]
  * Translated using Weblate (Indonesian)

  [ Aditya Pratap Singh ]
  * container: Work in the absence of systemd in PATH, for eg. in Arch

  [ Kirill Schmidt ]
  * first_boot: Use session to verify first boot welcome step

  [ fliu ]
  * HACKING.md: added some troubleshooting information
  * container script: Must convert env. var. string to a Path object

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ whenwesober ]
  * Translated using Weblate (Indonesian)

  [ 池边树下 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Weblate ]
  * Added translation using Weblate (Albanian)

  [ Besnik Bleta ]
  * debian: Add Albanian (sq) locale
  * Translated using Weblate (Albanian)

  [ Carlos Henrique Lima Melara ]
  * doc: Add filename to code snippets in tutorial
  * docs: Add missing imports in tutorial
  * docs: Set the `version` attribute as required instead of optional

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Apr 2021 20:23:23 -0400

freedombox (21.4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ James Valleroy ]
  * plinth: Disable start rate limiting for service
  * upgrades: Disable searx during dist-upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * ui: Fix buttons jumping on click in snapshots page
  * matrix-synapse, coturn: Fix minor pipeline failures

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)

  [ Kornelijus Tvarijanavičius ]
  * Translated using Weblate (Lithuanian)

  [ Joseph Nuthalapati ]
  * coturn: Add new component for usage of coturn by other apps
  * coturn: Minor refactor view to use utility to generate URIs
  * coturn: Remove advanced flag, make app visible to all
  * matrix-synapse: Auto configure STUN/TURN using coturn server
  * matrix-synapse: Update description to talk about TURN configuration

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 28 Feb 2021 20:57:00 -0500

freedombox (21.3) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Michalis ]
  * Translated using Weblate (Greek)

  [ James Valleroy ]
  * upgrades: Mark string as no-python-format
  * locale: Update translation strings
  * upgrades: Only check free space bytes before dist upgrade
  * upgrades: Add 10 minute delay before apt update
  * upgrades: Disable apt snapshots during dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ John Lines ]
  * gitignore: Ignore files generated during package build
  * zoph: Add new app to organize photos

  [ Sunil Mohan Adapa ]
  * tests: functional: Introduce step def. to check if app is enabled
  * zoph: Make app unavailable in Buster

  [ Aurélien Couderc ]
  * sharing: Improve shares group access description

  [ Fioddor Superconcentrado ]
  * HACKING: Link download page for Geckodriver.
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 11 Feb 2021 17:59:49 -0500

freedombox (21.2) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Sunil Mohan Adapa ]
  * radicale: Allow older 2.x release to upgrade to 3.x
  * backups: schedule: tests: Fix failures due to long test run
  * minidlna: Minor refactor of media directory handling
  * minidlna: Implement force upgrading from older version
  * jsxc: Fix issues with jQuery >= 3.5.0

  [ Veiko Aasa ]
  * calibre: Fix freedombox.local inaccessible after enabling app
  * mediawiki: Fix app installation process doesn't display status information
  * plinth: Show running spinner when app installation is in progress

  [ James Valleroy ]
  * upgrades: Return reason when checking for dist upgrade
  * upgrades: Get result of start-dist-upgrade
  * upgrades: Move start-dist-upgrade result string to app
  * upgrades: Add notifications for dist upgrade
  * tests: Update functional tests default config
  * roundcube: Allow upgrade to 1.4.*
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ ikmaak ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Hungarian)

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Алексей Докучаев ]
  * Translated using Weblate (Russian)

  [ Stanisław Stefan Krukowski ]
  * Translated using Weblate (Polish)

  [ Oymate ]
  * Translated using Weblate (Bengali)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * matrix-synapse: python3-psycopg2 from backports
  * upgrades: Increment version for MatrixSynapse 1.26
  * mediawiki: Set default logo to mediawiki.png

  [ nautilusx ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 06 Feb 2021 00:33:34 -0500

freedombox (21.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Persian)
  * Translated using Weblate (Gujarati)
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Serbian)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ John Doe ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Ouvek Kostiva ]
  * Translated using Weblate (Chinese (Traditional))

  [ James Valleroy ]
  * tahoe: Disable app
  * setup: Enable essential apps that use firewall
  * upgrades: Requires at least 5 GB free space for dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * syncthing: Create LDAP group name different from system group
  * syncthing: Hide unnecessary security warning
  * sharing: Update functional test to use syncthing-access group
  * plinth: Fix disable daemon when service alias is provided
  * container script: Various improvements

  [ Sunil Mohan Adapa ]
  * ui: js: Make select all checkbox option available more broadly
  * ui: css: New style for select all checkbox
  * backups: tests: Fix a typo in test case name
  * backups: Allow comments to be added to archives during backup
  * backups: Allow storing root repository details
  * backups: repository: Introduce a prepare method
  * backups: repository: Simplify handling of remote repo properties
  * backups: Introduce backup scheduling
  * backups: Add a schedule to each repository
  * backups: Trigger schedules every hour
  * backups: Add UI to edit schedules
  * backups: Add a notification to suggest users to enable schedules
  * backups: Show notification on error during scheduled backups
  * networks: Remove unused import to fix flake8 failure
  * performance: Fix failure to start due to lru_cache in stable

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Fred LE MEUR ]
  * performance: Fix web client link to Cockpit

  [ Milan ]
  * Translated using Weblate (Czech)

  [ crlambda ]
  * Translated using Weblate (Chinese (Traditional))

  [ Fioddor Superconcentrado ]
  * networks: Separate the delete button and color it differently
  * network: Minor refactoring in a test
  * network: Minor refactoring, new is_primary() function
  * networks: Change connection type to a radio button
  * networks: Use radio buttons for network modes
  * networks: Prevent unintended changes to primary connection.
  * networks: Hide deactivate/remove buttons for primary connections
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Jan 2021 21:08:22 -0500

freedombox (21.0) unstable; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Veiko Aasa ]
  * functional tests: Make tests compatible with pytest-bdd v4.0
  * ejabberd: functional tests: Wait until the jsxc buddy list is loaded
  * users: Skip action script tests if LDAP is not set up
  * functional-tests: Fix installation errors in install.sh script
  * dev-container: Add subcommand to run tests
  * gitweb: tests: functional: Fix test failures in localized environment
  * dev-container: 'up' command: Show banner also when container is already
    running
  * dev-container: Add command to print container IP address
  * tests: functional: Improve creating users in tests
  * gitweb: Add functional tests for git-access group
  * plinth: Fix daemon is enabled check when service alias is provided

  [ ullli ]
  * mumble: Updated mumla and removed plumble from clients list

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * apache2: Allow downloads in openvpn and backups with latest browsers
  * backups: Don't open a new window for downloading backups
  * openvpn: Don't show running status on download profile button
  * app: component: Add app_id and app properties
  * app: Add locked flag
  * backups: Add new component for backup and restore
  * backups: Use the backup component in all apps
  * doc: dev: Update documentation for using backup component
  * app: info: Move client validation to info component
  * doc: dev: Update documentation on calling clients validation
  * doc: dev: Update the tutorial to reflect latest API/code
  * radicale: Fix backup and restore of configuration

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * users: Avoid test error if ldapsearch is not available
  * upgrades: Ensure freedombox package is upgraded during dist upgrade
  * upgrades: Add service for dist upgrade
  * upgrades: Install python3-systemd for unattended-upgrades
  * upgrades: Don't allow needrestart to restart freedombox-dist-upgrade
  * upgrades: Check before starting dist upgrade process
  * upgrades: Write dist-upgrade service file in /run
  * upgrades: Restart FreedomBox service at end of dist-upgrade
  * upgrades: Use full path to searx action script
  * upgrades: Hold tt-rss during dist upgrade, if available
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Stanisław Stefan Krukowski ]
  * Translated using Weblate (Polish)

  [ Joseph Nuthalapati ]
  * transmission: Show port forwarding information
  * transmission: Update description

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Jan 2021 19:57:44 -0500

freedombox (20.21) unstable; urgency=medium

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * deluge: Sync apache2 config with Transmission
  * deluge: Functional tests for bit-torrent group

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Veiko Aasa ]
  * apache: Create snake oil certificate if not exists
  * users: Remove timeout when creating Samba user
  * security: Fix access denied for user daemon from cron

  [ n0nie4HP ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ spectral ]
  * calibre: Fix manual page name

  [ James Valleroy ]
  * upgrades: Allow grub-pc upgrade without reinstalling grub
  * upgrades: Update searx search engines during dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Bump standards version to 4.5.1

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ ikmaak ]
  * Translated using Weblate (Polish)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 28 Dec 2020 21:08:41 -0500

freedombox (20.20.1) unstable; urgency=medium

  [ Reg Me ]
  * Translated using Weblate (Dutch)

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Sunil Mohan Adapa ]
  * pagekite: Drop unused subdomain widget
  * pagekite: cosmetic: Minor yapf changes
  * clients: Fix a duplicated HTML ID
  * ui: Adopt a consistent and new table style
  * ui: Make all tables responsive
  * ui: css: Use rem as the primary unit
  * ui: Drop italic style on app name and sections in card listing
  * jsxc: Drop loading text on the login button
  * firewall: New styling for status stable
  * ui: Consistently use the btn-toolbar class for all toolbars
  * help: Make the button normal size in about page
  * users: Drop cancel button show submit as danger in delete page
  * help, power, index: ui: Drop remaining uses of &raquo;
  * ui: index: Don't show too large a help message
  * HACKING: Add suggestion not over-use Bootstrap utility classes
  * ui: Fix form error styling using bootstrap 3 style
  * jslicense.html: Drop minor styling
  * ui: Introduce common styling for two column list group
  * calibre: Use common styling for libraries list
  * pagekite: Use common styling for custom services
  * ikiwiki: Use common styling for wiki/blog list
  * gitweb: Use common styling for repo list
  * users: Use common styling for users list
  * networks: Use common styling for showing network connection
  * networks: Use common styling for Wi-Fi network list
  * networks: Use table for styling network connection list
  * firewall: Split CSS styling into separate file
  * monkeysphere: Split CSS styling into a separate file
  * samba: Split CSS styling into separate file
  * upgrades: Split CSS styling into a separate file
  * backups: Split CSS styling into a separate file
  * storage: Split CSS styling into a separate file
  * sharing: Split CSS styling into a separate file
  * letsencrypt: Split CSS styling into a separate file
  * help: Split CSS styling into a separate file
  * first_setup: Use template variable to refresh page
  * ui: Use common styling to hide logo during firstboot
  * firstboot: Use bootstrap for logo styling
  * pagekite: Eliminate inline styling
  * help: Show version information as an alert
  * ui: Avoid inline styling for setting progress bar width
  * apache2: Disallow all inline styling in sandbox settings
  * ui: Fix warning button colors

  [ achalaramu ]
  * Migrate bootstrap 4 from bootstrap 3

  [ Veiko Aasa ]
  * gitweb: Make functional tests compatible with pytest-bdd v4.0
  * javascript: Fix disabled submit buttons when navigating back to a page

  [ James Valleroy ]
  * tests: Skip initial update
  * help: Update status log test
  * config: Skip homepage test on buildd (Closes: #977527)
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 19 Dec 2020 19:18:42 -0500

freedombox (20.20) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ ssantos ]
  * Translated using Weblate (Portuguese)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)
  * config: Add user websites as choices for homepage config
  * config: rename functions (improve readability)

  [ James Valleroy ]
  * config: Mark test_homepage_field as needs_root
  * mumble: Implement force upgrade for 1.3.*
  * upgrades: Hold mumble-server during dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * apache: Add app name
  * snapshot: Check that / is a btrfs subvolume before setup
  * diagnostics: Improve exception handling in app diagnostics
  * diagnostics: Show app name and fallback to app id if not exist
  * templates: Make toggle button responsive

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 14 Dec 2020 19:31:00 -0500

freedombox (20.19) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Fioddor Superconcentrado ]
  * networks: Apply translation to a tooltip.
  * bepasty: Apply translation to autogenerated comments.
  * snapshots: Translate snapshot types (field description)
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * OpenVPN: Create user group "vpn"
  * openvpn: Add functional tests for user group "vpn"
  * openvpn: Deny access to users not in group "vpn"

  [ James Valleroy ]
  * upgrades: Add first boot step to run initial update
  * upgrades: Add progress page for initial update
  * upgrades: Fix flag name in info message
  * upgrades: Hold freedombox package during dist upgrade
  * upgrades: Use apt_hold contextmanager
  * upgrades: Print steps in dist-upgrade
  * upgrades: Fix sources list for dist upgrade from buster
  * sso: Add test to generate ticket
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Add python3-openssl as build dependency for tests

  [ Veiko Aasa ]
  * Samba: UI: Show toggle buttons and share names

  [ Oymate ]
  * Translated using Weblate (Bengali)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Nov 2020 18:37:52 -0500

freedombox (20.18.1) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Hetgyl ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Reg Me ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Thomas Vincent ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * sso: Fix regression in auth-pubtkt configuration

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Diego Roversi ]
  * Translated using Weblate (Italian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * Translated using Weblate (French)
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Nov 2020 18:37:38 -0500

freedombox (20.18) unstable; urgency=medium

  [ Hetgyl ]
  * Translated using Weblate (French)

  [ Reg Me ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Joseph Nuthalapati ]
  * coverage: Omit files under tests/ directories
  * ci: Add --cov-config to the coverage command
  * openvpn: Cleanup easyrsa 2 to 3 upgrade code
  * openvpn: Function to detect ECC/RSA configuration
  * openvpn: ECC: Setup and Migration
  * openvpn: Remove explicit setup step
  * openvpn: Improve migrate_to_ecc template
  * openvpn: Remove opinion on which curve to use
  * openvpn: client configuration for RSA and ECC
  * gitlabci: Update Dockerfile and script

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Matthias Dellweg ]
  * Enable dynamicdns module to handle IPv6

  [ Dietmar ]
  * Translated using Weblate (Italian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Nov 2020 20:49:24 -0500

freedombox (20.17.1) experimental; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Joseph Nuthalapati ]
  * ci: Fix flake8 errors
  * pubtkt: Fix Python format language errors

  [ James Valleroy ]
  * debian: Rename source package to freedombox
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 07 Nov 2020 08:02:53 -0500

plinth (20.17) unstable; urgency=medium

  [ Fioddor Superconcentrado ]
  * package: i18n: Mark progress status strings for translation
  * networks: i18n: Mark string for translation on delete page
  * networks: i18n: Mark various strings for translation
  * notifications: i18n: Mark app names and extra data for translation
  * networks: css: Make button wider in network list
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * backups: i18n: Mark form success messages for translation
  * doc: wikiparser: Fix issue with running parser outside doc/ dir
  * upgrades: Disable the option when not able to dist upgrade
  * ci: Split testing stages into smaller stages

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Praveen Illa ]
  * Translated using Weblate (Telugu)

  [ James Valleroy ]
  * Translated using Weblate (Danish)
  * ci: Run wikiparser doctests
  * wikiparser: Exit with return value 1 on test failure
  * upgrades: Add a setting to enable dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ marklin0913 ]
  * Added translation using Weblate (Chinese (Traditional))

  [ Joseph Nuthalapati ]
  * mediawiki: Ensure password file is not empty
  * mediawiki: Add action to set domain name

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Onurb ]
  * apache: setup uwsgi by default

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Nov 2020 19:45:57 -0500

plinth (20.16) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * diagnostics: Show low system memory notifications
  * notifications: Show severity level on every notification

  [ Coucouf ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * app: Add donation links in dropdown menu
  * debian: Add Brazilian Portuguese debconf templates translation
    (Closes: #972449)
    - Thanks to Adriano Rafael Gomes for the translation.
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Fioddor Superconcentrado ]
  * upgrades: Add status section showing version and upgrade status
  * diagnostics: Lazy format all diagnostic test strings properly
  * Translated using Weblate (Spanish)
  * help: Link to updates page when new version is available
  * updates: Eliminate delay and better status for manual upgrade

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * calibre: Add link to donation page
  * app: Make the donation button more prominent
  * calibre: Update group description to reflect 'using' app

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Oct 2020 20:42:32 -0400

plinth (20.15) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * bepasty: Change default permissions to 'read'
  * calibre: Add new e-book library app
  * calibre: Minor changes to app description
  * container: Handle edge cases with container update

  [ Fioddor Superconcentrado ]
  * HACKING: Add extra development requirements
  * CONTRIBUTING: Require flake8 compliance
  * Translated using Weblate (Spanish)
  * HACKING.md: Re-organised contents according to onboarding journey
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * module_loader, web_framework: Update console log messages
  * dynamicdns: Drop unnecessary code to set app as enabled
  * pagekite: Don't announce unconfigured kite as a valid domain
  * pagekite: Don't update names module if not installed
  * tor: Don't check if enabled when not installed
  * tests: functional: Simplify calling the login helper
  * doc: Before fetching, drop all old to cleanup deleted pages/images
  * coturn: Don't handle certificates if not installed
  * quassel: Don't handle certificates if not installed
  * quassel: Fix minor typo
  * mumble: Store and use a single domain for TLS certificate setup
  * doc: dev: Link to list of potential apps from tutorial
  * coturn: Don't handle certificates if not installed
  * quassel: Don't handle certificates if not installed
  * users: Deal with admin user already existing during first boot
  * users: cosmetic: Yapf refactoring
  * *: Minor flake8 fixes
  * debian/control: Add sshpass as build dependency

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ ssantos ]
  * Translated using Weblate (Portuguese)

  [ Phil Morrell ]
  * mumble: configure letsencrypt component

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * ssh: action script: Require user credentials when editing ssh keys
  * users: Require admin credentials when creating or editing a user
  * container: Assign virtual network interface to trusted firewall zone

  [ James Valleroy ]
  * upgrades: Extend function to check for normal dist availability
  * upgrades: Detect and upgrade to next stable release
  * upgrades: Set a flag so interrupted dist-upgrade can be continued
  * upgrades: Check free space before dist-upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 Oct 2020 19:25:41 -0400

plinth (20.14.1) unstable; urgency=high

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ JC Staudt ]
  * minidlna: Fix typo DNLA -> DLNA

  [ Sunil Mohan Adapa ]
  * cockpit: Don't show home page icon to non-admin users
  * module_loader: Load/process all essential modules before others

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 23 Sep 2020 07:37:53 -0400

plinth (20.14) unstable; urgency=high

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * sudo user needed for container
  * Branch-out
  * Specify machine
  * Fix typo
  * post-processor: Solve 1908 fixing the wiki links fix
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * jsxc, sharing: Add 'Learn more...' link for help pages
  * wireguard: Add 'Learn more...' link for help page
  * doc: wikiparser: Resolve URLs for locally available pages
  * HACKING.md: Instructions for container-related troubleshooting
  * i18n: Mark strings missed for translation
  * snapshots: Clarify description for disabling yearly snapshots

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)

  [ Sunil Mohan Adapa ]
  * upgrades: Minor isort fix
  * upgrades: Remove unused context variable
  * security: Don't show report button as part of backports notice
  * upgrades: security: Don't with the technical term 'backports' in UI
  * matrixsynapse: Allow upgrade to version 1.17
  * backups: Make app available by default
  * samba: cosmetic: Minor yapf fixes
  * container: unstable: Handle interface naming for systemd < 245
  * storage: Fix expanding partitions on GPT partition tables
  * matrixsynapse: Rename Riot to Element
  * ejabberd, mumble, wireguard: Update Apple app links
  * menu: Update documentation to clarify that icons can be files
  * frontpage: Fix documentation related to renamed parameter
  * bepasty: Make description a private variable
  * bepasty: Expand app description
  * bepasty: Tighten permissions on the uwsgi socket
  * infinoted, syncthing: Fix minor typo in a comment
  * bepasty: Add diagnostics tests on app URL
  * bepasty: Minor fixes
  * bepasty: tests: functional: Add a password before removing all
  * bepasty: Resize SVG to 512x512 for consistency with other icons
  * bepasty: Add "Snippet" in category/short description
  * bepasty: Update UI strings for permissions
  * bepasty: Require at least one permission on a password
  * bepasty: Simplify configuration file handling
  * js: Don't show running status on buttons pulled to right
  * diagnostics: Prevent showing running status on diagnostics menu item
  * help, networks: Clarify i18n different contexts for "Manual"
  * radicale: Stop service during backup and restore
  * radicale: tests: functional: Add test for backup/restore
  * doc: Recompile when parser script changes
  * doc: wikiparser: Handle processing instructions
  * doc: wikiparser: Fix attachment URLs in regular links
  * doc: wikiparser: When processing single pages, ignore header/footer
  * doc: wikiparser: Generate colspec for tables
  * doc: wikiparser: Handle table of contents macro without parenthesis
  * doc: wikiparser: Handle more paragraph breakers
  * doc: wikiparser: Parse content inside a comment
  * doc: wikiparser: Allow empty lines between list items
  * doc: wikiparser: Fix parsing URLs, simplify plain text parsing
  * doc: wikiparser: Resolve relative URLs
  * doc: wikiparser: Preserve spaces during parsing and generation
  * doc: wikiparser: Handle existing # in links, don't append again
  * doc: wikiparser: Assign text to URLs that don't provide them
  * doc: wikiparser: Handle wiki links starting with a /
  * doc: wikiparser: Allow lists to started with just spaces
  * doc: wikiparser: Strip spaces from attachment's text
  * doc: wikiparser: Place anchors inside paragraphs
  * doc: wikiparser: Sort imagedata properties
  * doc: wikiparser: Retain the text for icons
  * doc: wikiparser: Set icon dimensions to old values (temporarily)
  * doc: wikiparser: Handle empty table cells
  * doc: wikiparser: Fix some flake8 warnings
  * doc: wikiparser: Improve links relative to included files
  * doc: wikiparser: Fix issue with parsing inline code blocks
  * doc: wikiparser: Handle markup inside italic/bold markup
  * doc: wikiparser: Format text inside admonitions properly
  * doc: Drop post processor as it is not needed anymore
  * doc: wikiparser: Incorporate post processing fixes
  * doc: Simplify make file by eliminating targets for intermediates
  * doc: wikiparser: Add note about some incorrect links
  * doc: Update the test script for wikiparser
  * manual: Fetch latest images
  * doc: Fetch latest manual
  * firewall: Use service files for showing port forwarding info
  * firewall: Show port forwarding info in tabular format
  * kvstore: Allow module to be imported before Django init
  * networks: Expose API to get/set network meta info
  * firewall: Show port forwarding info contextually
  * doc: wikiparser: Fix a minor flake8 issue
  * doc: wikiparser: Fix issue with some URL containing dup. lang part
  * doc: wikiparser: Make it easier to run with a #! at the top
  * doc: wikiparser: Reduce build verbosity
  * upgrades: Fix issue with checking if backports is current
  * upgrades: Separate concepts for backports enabled vs. requested
  * upgrades, security: Use consistent terminology 'activate'
  * backports: When upgrading from older version, assumed requested
  * package: Add ability to reinstall a package
  * matrixsynapse: Perform a one time conversion to new config format
  * doc: manual: Fetch latest manual, remove non-existent images/pages
  * doc: wikiparser: Use icons from the icons directory
  * doc: wikiparser: Show icons with full size
  * doc: manual: Replace manual icons to drop CC 2.5 license
  * deluge: Use older icon to drop CC 2.0 license

  [ Joseph Nuthalapati ]
  * searx: Add functional test for app availability
  * container: Add unstable distribution
  * functional-tests: Fix instructions for running functional tests
  * functional-tests: Use latest version of splinter
  * framework: Remove module init() functions
  * wireguard: Remove hardcoded Windows client version
  * functional-tests: splinter 0.14.0 is in PyPI
  * apps: Remove Coquelicot
  * matrix-synapse: Upgrade to 1.19
  * container: Use builds with build-deps included

  [ James Valleroy ]
  * ci: Allow fuse to be installed
  * tests: functional: Strip trailing / from FREEDOMBOX_URL
  * ejabberd: Use new ruamel.yaml API and allow duplicate keys
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Add gbp dch config
  * debian: Fix use of wildcard path in copyright
  * debian: Split copyright paragraph to avoid lintian error
  * radicale: Remove code to handle 1.x
  * doc: Fetch latest manual
  * bepasty: New app for file upload and sharing
  * bepasty: Add public access config form
  * bepasty: Fetch manual page
  * locale: Update translation strings
  * doc: Add moinmoin wiki parser
  * wikiparser: Fix spaces, multi-line, languages, icons
  * doc: Use Makefile to fetch raw wiki files
  * doc: Add icons used in manual
  * manual: Add raw wiki files of included pages
  * manual: Remove checked-in xml files
  * wikiparser: Don't render Admonition with style comment
  * test-wikiparser: Remove fixes.xslt step
  * debian: Add unit tests to autopkgtest
  * apache: Disable mod_status (CVE-2020-25073)
  * debian: Don't show first wizard secret on command line
  * debian: Remove unused vars from postinst
  * matrixsynapse: Use conf.d snippets
  * upgrades: Change backports activation message wording
  * upgrades: Display correct backports info for unstable
  * upgrades: Add first boot step to configure backports
  * upgrades: Use kvstore and then file to determine if backports are enabled
  * debian: Temporarily revert source package rename
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * samba: Hide common system partitions
  * ikiwiki: Validate a path when deleting wiki or blog
  * ssh: Disallow managing keys for the root user
  * debian: Add newline to end of /var/lib/plinth/firstboot-wizard-secret
  * functional-tests: snapshot: Skip if filesystem doesn't support snapshots
  * container: Randomize btrfs partition UUID
  * gitweb: Fix enable auth webserver component on app init
  * gitweb: Add ability to change default branch

  [ Павел Протасов ]
  * Translated using Weblate (Russian)

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Xosé M ]
  * Translated using Weblate (Galician)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Diego Roversi ]
  * Translated using Weblate (Italian)

  [ Artem ]
  * Translated using Weblate (Russian)

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ Reg Me ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Q.-A. Nick ]
  * upgrades, security: Update the messages describing backports

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 15 Sep 2020 17:03:43 -0400

freedombox (20.13) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Rename source package from plinth to freedombox.

  [ Veiko Aasa ]
  * minidlna: Do not expose statistics over public web

  [ Benjamin Ortiz ]
  * backups: Allow remote repository usernames to start with numbers

  [ James Valleroy ]
  * upgrades: Update apt cache before manual update
  * upgrades: Parameterize backports dist name
  * upgrades: Use current release codename when enabling backports
  * upgrades: Use codename to pin freedombox from backports
  * security: Move backports notice to security page
  * upgrades: Add button to activate backports
  * upgrades: Use only sources file to determine if backports enabled
  * upgrades: Check that backports is for current release
  * upgrades: Rewrite apt prefs file when activating backports
  * upgrades: Enable backports for testing only in development mode
  * upgrades: Show dist of backports to be activated
  * upgrades: Split apt preferences into 2 files
  * upgrades: Refactor use of lsb_release
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Tang Zongxun ]
  * Translated using Weblate (Chinese (Simplified))

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

 -- Federico Ceratto <federico@debian.org>  Sat, 18 Jul 2020 12:14:08 +0100

plinth (20.12.1) unstable; urgency=high

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Robert Pollak ]
  * Translated using Weblate (German)

  [ J. Lavoie ]
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * cfg, frontpage: Ignore errors while reading config and shortcuts

  [ Milo Ivir ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 05 Jul 2020 15:40:30 -0400

plinth (20.12) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Telugu)
  * transmission: tests: functional: Fix to wait properly
  * ttrss: tests: functional: Fix to wait properly
  * tor: tests: functional: Fix to wait properly on progress page
  * users: tests: functional: Leave no-language as final setting
  * mldonkey: tests: functional: Wait for frame to load properly
  * snapshot: tests: functional: Delete all snapshots properly
  * ejabberd: tests: functional: Fixes for no implicit waiting
  * syncthing: tests: functional: Fix to wait properly
  * tests: functional: Remove implicit and explicit wait times
  * tests: functional: Allow parallel installation of apps
  * d/control: Add python3-systemd as a dependency
  * apache: Add ssl-cert package as dependency
  * storage: Use DBus directly for listing disks
  * storage: Fix regression with showing error messages
  * storage: Use UDisks information as primary source
  * storage: Don't show empty progress bar for disks not mounted
  * storage: Remove rule to not automount system disks with no paritions
  * storage: Don't auto-mount loopback devices except in develop mode
  * storage: Allow ejecting any device not in fstab or crypttab
  * storage: Ignore eject failures if filesystems unmounted properly
  * backups: Remove an unnecessary print() statement
  * Translated using Weblate (Telugu)
  * container: Remove sqlite3 file early enough
  * storage: Don't log exception of disk space check fails
  * storage: Use mount info instead of disk info for free space warning
  * notifications: Fix issue with redirection on dismiss
  * views: Drop use of private Django utility
  * cfg: Don't fallback to develop config if main is not found
  * cfg: Drop the default configuration file
  * frontpage: Read custom shortcuts from multiple locations
  * frontpage: Drop empty custom shortcut files
  * cfg: Allow loading multiple configuration files
  * cfg: For develop mode, overlay on top of regular configuration
  * context_processor: tests: Use already available config fixture
  * cfg: Eliminate the need for 'root' directory in configuration
  * cfg: Move /plinth.config to plinth/develop.config
  * cfg: Rename configuration file to freedombox.config
  * d/tests/control: Rename Plinth to FreedomBox in a comment
  * cfg: Read configuration from .d files and multiple locations
  * frontpage: Load shortcuts from .d directories too
  * frontpage: Read from .d files too
  * cfg: Remove redundant data in develop.config
  * cfg: Remove comments in test data
  * cfg: In develop mode, use /var/lib for DB and sessions
  * web_framework: Split initialization into two parts
  * web_framework: Don't create Django secret key when listing depends
  * log: Allow setting the default log level before log configuration
  * main: List dependencies without writing to disk
  * d/rules: vagrant: INSTALL.md: Fix installing dependencies
  * *: Drop files paths in data/var
  * doc: Update manual page with configuration file changes
  * network: test: Fix race condition when deleting connections
  * storage: tests: Ignore cases needing loop devices when not available
  * actions: tests: Fix test failures due order of fixtures
  * tests: Use develop configuration for most tests
  * templates: Disable button and show spinner on submit for all forms
  * backups: Remove custom handling of progress on the restore button
  * js: Simplify auto-refresh page logic
  * jsxc: Remove inline javascript
  * apache: Set CSP and other common security headers
  * apache: Relax CSP to allow web workers for JSXC
  * locale: Update translation strings

  [ ferhad.necef ]
  * Translated using Weblate (Russian)

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)

  [ wind ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * upgrades: Combine into single page with manual update
  * upgrades: Skip enable-auto in develop mode
  * debian: Add nscd >= 2 as dependency
  * upgrades: Append unattended-upgrades-dpkg.log for more detail
  * storage: Handle multi-line text in functional test
  * apt: Run `apt-get -f install` before other commands
  * apt: Run `dpkg --configure -a` before other actions
  * upgrades: Skip enabling backports on testing and unstable
  * networks: Remove firewall zone warning
  * networks: Correct wording of internet connection form

  [ Veiko Aasa ]
  * functional-tests: Handle connection error when web server restarts
  * functional-tests: Skip tests if app is not available in distribution
  * functional-tests: Fix page not fully loaded errors when taking backups
  * functional-tests: Remove unnecessary wait when navigating to module

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Éfrit ]
  * Translated using Weblate (French)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

 -- Sunil Mohan Adapa <sunil@medhas.org>  Mon, 29 Jun 2020 16:39:33 -0700

plinth (20.11) unstable; urgency=medium

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * *: Remove use of Turbolinks library
  * web_framework: Reduce verbosity of DB migration process
  * container: Add script to manage systemd-nspawn containers for dev.
  * container: Fix upgrading of freedombox
  * matrixsynapse: Handle upgrade to versions 1.15.x

  [ James Valleroy ]
  * upgrades: Don't enable backports on Debian derivatives
  * upgrades: Use a custom service for manual update
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Update renamed lintian tag

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ aiman an ]
  * Added translation using Weblate (Arabic (Saudi Arabia))
  * Translated using Weblate (Arabic (Saudi Arabia))

  [ WaldiS ]
  * Translated using Weblate (Polish)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Jun 2020 19:55:45 -0400

plinth (20.10) unstable; urgency=high

  [ Joseph Nuthalapati ]
  * backups: Add optional field - Name
  * functional-tests: Use Name attribute in backups
  * functional-tests: Move @backups to Scenario level
  * functional-tests: Leave tor+http test disabled
  * tests: functional: Document running tests in parallel
  * tests: functional: Add pytest-xdist to install.sh

  [ Sunil Mohan Adapa ]
  * openvpn: Use app toggle button and common app view
  * tests: functional: Merge into main source hierarchy
  * storage: Fix failing path validation unit tests
  * tests: functional: cosmetic: flake8 fixes
  * tests: functional: Re-organize step definitions and helper methods
  * coturn: Fix functional test for backup/restore
  * ttrss: Fix functional tests
  * snapshot: Fix functional test to account for non-removable snapshots
  * test: functional: Fix for Apache restart after domain change
  * tor: Fix problems with running a relay
  * mldonkey: Add app to freedombox-share group
  * samba: Add clients information
  * cockpit: Promote for advanced storage/firewalld/networking ops
  * firewall: Mention that internal services are available over VPN
  * firewall: Don't show tun interface in internal zone warning
  * minidlna: Add link to manual page
  * minidlna: Fix i18n for name of the app
  * pagekite: Fix expired certificates causing connection failures

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Etienne ]
  * Translated using Weblate (French)

  [ Artem ]
  * Translated using Weblate (Russian)

  [ fred1m ]
  * ikiwiki: Enable 'attachment' plugin by default

  [ James Valleroy ]
  * utils: Handle removal of axes.get_version()
  * debian: Mark doc packages as Multi-Arch: foreign
  * firewall: Minor spelling fix
  * radicale: Fix link in description to clients
  * users: Avoid error when user's groups cannot be parsed
  * templates: Fix setup state check
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Greek)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jun 2020 20:06:53 -0400

plinth (20.9) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ James Valleroy ]
  * snapshot: Set as essential module
  * functional_tests: snapshot: Skip delete all when there are no snapshots
  * quassel: Use systemd sandboxing features
  * minidlna: Move sysctl config to /etc/sysctl.d/50-freedombox.conf
  * upgrades: Add needrestart to restart services as needed
  * upgrades: Enable Automatic-Reboot option of unattended-upgrades
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Fioddor Superconcentrado ]
  * Folder remained unrenamed. Should have changed along with git links.

  [ Sunil Mohan Adapa ]
  * snapshot: Fix issues with restore and delete
  * performance: Add basic functional tests
  * daemon: Allow using an alias when enabling a daemon
  * bind: Add daemon alias for bind9 -> named
  * daemon: bind: cosmetic: yapf, isort formatting
  * firewall: Reload firewalld so it works with newly installed services
  * glib: Allow scheduling non-repeating tasks in separate threads
  * notification: Expand and clarify restriction on id property
  * storage: Auto-mount disks, notify of failing disks
  * package: Fix error log when checking if package manager is busy
  * power: cosmetic: Fix flake8 warnings
  * first_setup: Fix regression with logo not showing
  * minidlna: cosmetic: isort fixes
  * mediawiki: Stop jobrunner during backup/restore
  * minidlna: Stop daemon during backup/restore
  * mumble: Stop server during backup/restore
  * quassel: Fix stopping server during backup/restore
  * tor: Fix stopping server during backup/restore
  * upgrades: Always schedule a reboot at 02:00 local time
  * upgrades: Add information about service restart and system reboot
  * performance: Launch the Cockpit graphs directly if possible

  [ Joseph Nuthalapati ]
  * samba: Change description to Network File Storage
  * functional-tests: Skip network setup wizard
  * functional-tests: Move Disable tests to the end

  [ fred1m ]
  * performance: Add app for system monitoring

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Artem ]
  * Translated using Weblate (Russian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 18 May 2020 19:42:49 -0400

plinth (20.8) unstable; urgency=medium

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Telugu)
  * HACKING: More detailed instructions for VirtualBox
  * HACKING: Correction to macOS package manager name

  [ Nektarios Katakis ]
  * syncthing: add to freedombox-share group

  [ Veiko Aasa ]
  * users: Try-restart service after service is added to the sharing group
  * datetime: Handle timesyncd service runs conditionally
  * minidlna: Add functional tests that enable and disable application
  * minidlna: Make app installable inside unprivileged container

  [ Sunil Mohan Adapa ]
  * web_server: Suppress warnings that static directories don't exist
  * debian: Remove timer to setup repositories properly
  * static: Use SVG logo during first wizard welcome step
  * static: Reduce the size of the background noise image
  * mediawiki: Reuse existing images in functional tests
  * setup.py: Don't install/ship .po files
  * static: Don't ship visual design file and unused images
  * storage: Fix tests by wrestling with auto-mounting of disks
  * HACKING: Minor indentation fix
  * *: Update links to repository and project page
  * ci: Update link to container in Docker registry
  * coturn: New app to manage Coturn TURN/STUN server
  * datetime: Refactor handling systemd-timesyncd not running in VMs
  * datetime: Don't expect synced time in diagnostics inside VMs
  * mediawiki: Partial fix for installing on testing
  * datetime: Disable diagnostics when no tests are available

  [ James Valleroy ]
  * d/copyright: Fix path to visual_design
  * data: Print hostname and IP addresses before console login
  * snapshot: Fix message when not available
  * snapshot: Fix title
  * locale: Update translation strings
  * debian: Use debhelper compat level 13
  * doc: Fetch latest manual

  [ Artem ]
  * Translated using Weblate (Russian)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Fioddor Superconcentrado ]
  * Directions to install VirtualBox when it's not part of the Debian-based
    distro, like Buster.

  [ Anonymous ]
  * Translated using Weblate (Spanish)

  [ Nathan ]
  * Translated using Weblate (French)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ fred1m ]
  * mumble: Add Mumla to the list of clients

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 May 2020 20:33:35 -0400

plinth (20.7) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)

  [ vihor ]
  * Translated using Weblate (Serbian)

  [ Localisation Lab ]
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)

  [ Veiko Aasa ]
  * gitweb: Improve error handling when creating repository

  [ James Valleroy ]
  * upgrades: Allow installation of python3-twisted from backports
  * matrixsynapse: Handle upgrade to 1.12.*
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Fioddor Superconcentrado ]
  * HACKING: Clarify where commands should be run

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 Apr 2020 18:38:52 -0400

plinth (20.6.1) unstable; urgency=medium

  [ James Valleroy ]
  * users: Fix regression where form help_text line was dropped
  * debian: Add firmware-ath9k-htc to Recommends
  * doc: Fetch latest manual

  [ Allan Nordhøy ]
  * gitweb: Use proper ellipsis char when showing clone progress
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (German)

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Manuela Silva ]
  * Translated using Weblate (Portuguese)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Jeannette L ]
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)

  [ wind ]
  * Translated using Weblate (Russian)

  [ vihor ]
  * Translated using Weblate (Serbian)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 11 Apr 2020 09:56:43 -0400

plinth (20.6) unstable; urgency=medium

  [ wind ]
  * Translated using Weblate (Russian)

  [ Thomas Vincent ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Alice Kile ]
  * app: Separate app enable/disable form from config form

  [ Sunil Mohan Adapa ]
  * pagekite: Fix functional tests
  * monkeysphere: Making styling more specific to avoid interference
  * networks: Make styling more specific to avoid interference
  * syncthing: Update description to mention 'syncthing' group

  [ Michael Breidenbach ]
  * Translated using Weblate (German)

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * radicale: Support upgrade to any 2.x version
  * packages: Mark freedombox package as held during package installs
  * packages: Keep existing hold if already set
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Cleanup overrides for jsxc symlinks

  [ Allan Nordhøy ]
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Hindi)

  [ Joseph Nuthalapati ]
  * users: Add component for managing users and groups
  * yapf: Update conf to add blank line before nested class/def
  * cosmetic: Minor yapf and other fixes
  * app: Fix grammar in developer documentation string
  * ikiwiki: Disable edits. Add moderation of comments
  * Translated using Weblate (Telugu)
  * vagrant: Skip upgrading freedombox dependencies
  * firewalld: Force upgrade anything in [0.7, 0.9)
  * infinoted: Fix permissions of sync directory

  [ vihor ]
  * Added translation using Weblate (Serbian)
  * Translated using Weblate (Serbian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Apr 2020 20:40:17 -0400

plinth (20.5.1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * networks: Update label wording in topology form: Choose → Specify
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * web_server: Introduce component to handle special static file dirs
  * jsxc: Fix issue with serving static files
  * help: Move custom static file handling into app from central place
  * debian: Update doc-base to include PDF
  * debian: Prepare for multiple binary packages
  * debian: Separate binary packages for each language manual
  * debian: Remove outdated TODO file

  [ Michael Breidenbach ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * debian: Correct doc package names in Recommends

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 26 Mar 2020 09:13:13 -0400

plinth (20.5) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * ci: Use pre-built container image to speed up CI
  * ci: Add maintenance script for updating images
  * ci: Optimize refreshing Docker image for GitLabCI

  [ James Valleroy ]
  * ci: Switch docker image to testing
  * Translated using Weblate (Swedish)
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * app: Fix name of the block in templates, used for overriding
  * views: Allow AppViews to set self.intial
  * pagekite: Simplify code for form adding custom service
  * pagekite: Remove unused templates
  * pagekite: Drop ineffective base template
  * pagekite: Minor cleanup
  * pagekite: Merge all the configuration retrieval actions
  * pagekite: Merge set-kite and set-frontend actions
  * pagekite: Use Daemon component to simplify handling daemon actions
  * pagekite: Don't signal new domain on init if app is disabled
  * pagekite: Simplify code notifying domain name changes
  * pagekite: Don't attempt to notify about domain if app is disabled
  * pagekite: Remove app enabled checking from getting configuration
  * pagekite: Fix functional tests by submitting the right form
  * pagekite: Fix styling issues for custom services section
  * pagekite: On enable/disable, add/remove domain from names module
  * pagekite: Fix an error message in custom services form
  * pagekite: Ensure transitioning for from old code
  * matrixsynapse: Handle release of matrix-synapse 1.11
  * setup: Fix regression to force-upgrade caused by Info changes
  * pagekite: Don't allow non-unique custom services
  * toolbar: Factor out the clients buttons into a separate template
  * index: Reintroduce clients button in front page
  * upgrades: Don't ship apt backport preferences file
  * setup.py: Remove files shipped in the past
  * upgrades: Use internal scheduler instead of systemd timer
  * shadowsocks: Change default configuration
  * action_utils: Add utility to call systemd daemon-reload
  * shadowsocks: Fix incorrect setting of state directory
  * shadowsocks: When editing configuration, don't re-enable
  * mediawiki: Don't allow anonymous edits

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Fred ]
  * Translated using Weblate (French)

  [ Veiko Aasa ]
  * names: Fix Local Network Domain is not shown

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Nektarios Katakis ]
  * shadowshocks: Fix setting configuration on Buster

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Mar 2020 19:42:28 -0400

plinth (20.4) unstable; urgency=medium

  [ Thomas Vincent ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Sunil Mohan Adapa ]
  * networks: Fixes for networks wizards
  * avahi: Use generic app view
  * privoxy: Use generic app view
  * infinoted: Move views to a separate views module
  * help: Rename views modules as 'views'
  * networks: Rename views modules as 'views'
  * diagnostics: Rename views modules, move utilities to main module
  * backups: cosmetic: Rename .inc file to .html
  * css: Merge responsive.css into main style file
  * css: cosmetic: Rename plinth.css to main.css
  * views: Don't send app to template context
  * app: Fix showing app name in port forwarding information
  * networks: Rename polkit JS authority rules file
  * firewalld: Add polkit JS authority rules files
  * networks: Show router wizard before Internet connection type wizard
  * networks: Don't show router wizard if not behind a router
  * networks: If topology wizard is skipped, skip router wizard too
  * apache: Handle transition to php 7.4

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * shadowsocks: Move user settings to state directory

  [ Veiko Aasa ]
  * storage: Directory selection form improvements
  * transmission: Allow one to submit download directory if it is creatable
  * plinth: Increase sqlite busy timeout from default 5s to 30s
  * upgrades: Clean apt cache every week
  * apps: Do not show status block if service is running
  * i2p: New style app page layout
  * quassel: Fix unable to disable application without choosing a domain name

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Nektarios Katakis ]
  * networks: Add form for network topology
  * networks: Add page for network topology form
  * networks: First boot view for network topology wizard
  * networks: First boot step for network topology wizard
  * networks: Save networks topology type to DB
  * networks: Update main networks page Internet connectivity section

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * ci: Switch to testing image
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 09 Mar 2020 20:01:44 -0400

plinth (20.3) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * web_framework: Separate out Django settings into module
  * doc/dev: Allow all modules to be imported by Sphinx
  * notification: Add developer documentation
  * doc/dev: Update copyright year
  * app: Update style for toggle button
  * app: Drop border shadow for app icon in mobile view
  * app: cosmetic: Minor refactoring of header styling
  * app: Simplify some header styling
  * app: cosmetic: Rename a CSS style class in app header
  * app: cosmetic: Rename header.html to app-header.html
  * app: Show short description as secondary title
  * networks: Fix i18n for wizard forms
  * networks: Minor changes to router/internet configuration forms
  * web_framework: Generate and retain a secret key
  * web_framework: Cleanup expired sessions every week

  [ Nektarios Katakis ]
  * networks: Add form for internet connection type
  * networks: Add network view and url for internet connection help page
  * networks: Link internet connection help page with networks page.
  * networks: All first step wizard form for internet connection type
  * networks: Add first boot step for internet connection type
  * networks: Save to kvstore internet connectivity type
  * networks: Refactor connections list template
  * networks: Show internet connectivity string in main page

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Dietmar ]
  * Translated using Weblate (Italian)

  [ Jaime Marquínez Ferrándiz ]
  * Translated using Weblate (Spanish)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * shadowsocks: Fix shadowsocks not able to start

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Feb 2020 20:16:12 -0500

plinth (20.2.1) unstable; urgency=high

  [ Veiko Aasa ]
  * apps: remove css filters and glow from app icons
  * config: Depends also on apache module

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * cards: Remove the transition delay on hover effect
  * system: Implement new style for cards
  * jsxc: Bypass issue with stronghold to get the app working again
  * jsxc: Fix functional test case failure
  * functional_tests: cosmetic: Minor yapf change
  * app: Introduce Info component to store basic app information
  * app: Add info property as shortcut to access basic information
  * app: Refactor all apps to use the Info component
  * app: Document the app_id property for App class
  * doc/dev: Include information on how to edit dev documentation
  * views: Document the AppView class properties
  * monkeysphere: Fix regression with reading Apache configuration
  * Translated using Weblate (Italian)
  * firewall: Use firewalld DBus API for most operations
  * *.py: Use SPDX license identifier
  * *.html: Use SPDX license identifier
  * actions/*: Use SPDX license identifier
  * functional_tests: Use SPDX license identifier
  * *.css: Use SPDX license identifier
  * *: Update misc build related files to use SPDX license identifier
  * doc/dev: Update tutorial to use SPDX license indentifier
  * *: Update remaining misc files to use SPDX license identifier
  * *.js: Use SPDX license identifier
  * help: Fix attribute on download manual button
  * css: Add missing license identifier on some CSS files
  * firewalld: Ignore errors with DBus API when firewalld is not running
  * deluge: Don't use code execution for editing configuration
  * deluge: More reliable initial configuration setup

  [ Joseph Nuthalapati ]
  * l10n: Fix gettext not detecting no-python-format
  * samba: Add link to manual page
  * searx: Update search engines for 0.16.0

  [ Allan Nordhøy ]
  * openvpn: Fix spelling for Tunnelblick
  * Translated using Weblate (Norwegian Bokmål)

  [ Nektarios Katakis ]
  * bind: parse zones files
  * bind: test for parsing zones file with specific format
  * bind: views show served domains in main view
  * bind: create zones directory on setup action

  [ James Valleroy ]
  * bind: Bump version and handle upgrade

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Lev Lamberov ]
  * debian: Update Russian translation for debconf (Closes: #951440)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Alice Kile ]
  * gitignore: Add .vscode & segregate editor settings

  [ Thomas Vincent ]
  * Translated using Weblate (French)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 21 Feb 2020 22:38:12 -0500

plinth (20.2) unstable; urgency=medium

  [ Veiko Aasa ]
  * networks: Support virtual Ethernet (veth) devices
  * diagnostics: Show firewall service status
  * users: Fix functional test delete user
  * storage: Show disks if FreedomBox is running in an unprivileged container
  * service: Stop service not before but after disabling it
  * users: More precise username validation
  * sso, users: Turn off autocapitalization on the username field
  * users: Add unit tests for views
  * help: Fix anchor hidden under navbar

  [ Joseph Nuthalapati ]
  * tests: Use the latest version of geckodriver
  * vagrant: Add alias for run --develop
  * l10n: Add blocktrans trimmed tag on a block
  * l10n: Add missing trimmed to blocktrans blocks
  * vagrant: Allocate cpus equal to the no. of cores
  * Translated using Weblate (Telugu)
  * searx: Fix installation issue for 0.16.0

  [ Sunil Mohan Adapa ]
  * firewall: Show Run Diagnostics button in app
  * help: Eliminate redundant HTML attribute in template
  * glib: Create a new module to deal with all things glib
  * glib: Introduce method to schedule an operation at regular intervals
  * web_framework: Set the timezone to UTC
  * log: Ability to log SQL queries (disabled by default)
  * tests: Allow adding test templates
  * models: Add model for storing notifications
  * notification: New API for showing better notifications
  * notification: Add tests for notification API
  * views: A view to dismiss notifications
  * notification: Show a drop down from main navbar for notifications
  * storage: Show low disk space warning using notifications API
  * upgrades: Show notification when FreedomBox is updated
  * storage: In develop mode check for low disk space more frequently

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * users: Make help text translatable
  * security: Add Sandbox Coverage to report page
  * bind: Add CapabilityBoundingSet and ReadWritePaths to service file
  * matrixsynapse: Enable systemd sandboxing
  * security: Drop PrivateUsers=yes from all service files
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Feb 2020 19:22:55 -0500

plinth (20.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Allan Nordhøy ]
  * samba: Fix spelling
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Swedish)

  [ Veiko Aasa ]
  * samba: Add unit and functional tests
  * deluge: Allow one to set a download directory
  * deluge: Fix installation failure on slow machine
  * storage: Make external disk mounts accessible by other users
  * gitweb: Add link to the manual page
  * gitweb: Fix functional tests if git user and email is not configured

  [ Sunil Mohan Adapa ]
  * style: Fix incorrect margins for containers in mobile view
  * style: Fix responsiveness for app header
  * network: Fix activating connections that don't have real devices
  * network: Allow setting the auto-connect property on a connection
  * network: Add method to re-activate connections after an update
  * wireguard: Show large buttons in show client/server pages
  * wireguard: Cosmetic fixes by yapf and isort
  * wireguard: Don't error out when wg0 server is not setup
  * wireguard: Add ability to set private key in client addition
  * wireguard: Accept all IPs on server in a client setup
  * wireguard: Update descriptions in form labels
  * wireguard: Only use network manager for connections to servers
  * wireguard: Handle client connections through network manager
  * wireguard: Update descriptions for client vs. server clarity
  * wireguard: Generate private key if needed when editing server
  * wireguard: Add validations in forms
  * wireguard: Ensure tests work without latest network manager
  * wireguard: Implement enabling/disabling app using a stored flag
  * wireguard: Enable/disable connections along with the app
  * wireguard: When a connection is edited, reactivate to apply changes
  * wireguard: Show public key even when connection is not active

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Nektarios Katakis ]
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * networks: form for configuring router
  * networks: create view & url for new form
  * networks: add link to main page for router config form
  * networks: add first boot step for router config helper
  * networks: modify as first boot wizard step
  * networks: save router config to kvstore

  [ James Valleroy ]
  * Translated using Weblate (French)
  * wireguard: Add skeleton for new app
  * wireguard: Implement adding client
  * wireguard: Show list of added clients
  * wireguard: Allow deleting a client
  * wireguard: Add client info view
  * wireguard: Form to add server
  * wireguard: List peers in client section
  * wireguard: Add server information view
  * wireguard: Generate key pair
  * wireguard: Show this box's public key
  * wireguard: Create network manager connection
  * wireguard: Encode public keys for use in URLs
  * wireguard: Refactor actions file
  * wireguard: Add views for editing and deleting clients and servers
  * wireguard: Make setup idempotent
  * wireguard: Write pre-shared key to tempfile
  * wireguard: Use network API to handle connections
  * wireguard: Add icon
  * wireguard: Replace nmcli use with libnm
  * restore: Remove app
  * repro: Remove app
  * networks: Update text for router setup
  * bind: Enable systemd sandbox options for bind9 service
  * functional_tests: Update geckodriver version to v0.26.0
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Rename TODO.Debian to TODO
  * debian: Add Expat license to copyright
  * debian: Update standards version to 4.5.0

  [ Dietmar ]
  * Translated using Weblate (German)

  [ nautilusx ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]
  * functional-tests: Login only once per session
  * functional-tests: Africa/Addis_Abada is gone?
  * functional-tests: Add tag @service-discovery
  * functional-tests: Make nav_to_module efficient
  * functional-tests: Avoid unnecessary trips to Home
  * functional-tests: Avoid warnings about markers
  * functional-tests: Minor refactoring
  * functional-tests: Mark backups and security with @system

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Jan 2020 19:23:04 -0500

plinth (20.0) unstable; urgency=medium

  [ Veiko Aasa ]
  * users: Fix test fixture that disables console login restrictions
  * gitweb: Add tests for views
  * samba: Improve actions script startup time
  * deluge: Manage starting/stoping deluged
  * deluge: Fix set default daemon

  [ Nektarios Katakis ]
  * openvpn: Enable support for communication among all clients
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)

  [ Sunil Mohan Adapa ]
  * gitweb: Fix flake8 error that is causing pipeline failures
  * storage: Ignore errors resizing partition during initial setup
  * storage: Make partition resizing work with parted 3.3
  * debian: Add powermgmt-base to recommends list
  * openvpn: Enable IPv6 for server and client outside the tunnel
  * networks: Refactor creating a network manager client
  * networks: Remove unused method
  * networks: Fix crashing when accessing network manager D-Bus API

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Joseph Nuthalapati ]
  * mediawiki: Use a mobile-friendly skin by default
  * mediawiki: Allow admin to set default skin
  * mediawiki: Fix functional tests depending on skin

  [ James Valleroy ]
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * openvpn: Add diagnostic for ipv6 port
  * matrixsynapse: Allow upgrade to 1.8.*
  * security: Add explanation of sandboxing
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Ralf Barkow ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Jan 2020 19:11:44 -0500

plinth (19.24) unstable; urgency=medium

  [ Thomas Vincent ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Veiko Aasa ]
  * app: Fix javascript doesn't run on first visit
  * samba: private shares
  * storage: Tests for the directory validation action
  * users: Add tests for the Samba user database

  [ James Valleroy ]
  * samba: Fix spelling in description
  * debian: Update French debconf translation (Closes: #947386)
    - Thanks to Jean-Pierre Giraud for the patch.
  * firewall: Support upgrading firewalld to 0.8
  * mldonkey: Add ProtectKernelLogs
  * deluge: Use systemd sandboxing features
  * infinoted: Use systemd sandboxing features
  * storage: Add systemd sandboxing features to udiskie service
  * upgrades: Add systemd sandboxing features to repository setup service
  * security: List whether each app is sandboxed
  * locale: Update translation strings
  * debian: Update Dutch debconf translation (Closes: #947136)
    - Thanks to Frans Spiesschaert for the patch.
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Nektarios Katakis ]
  * Translated using Weblate (Greek)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Kunal Mehta ]
  * mediawiki: Pass --quick when running update.php

  [ Sunil Mohan Adapa ]
  * help: Refactor to move app into __init__.py for consistency
  * app: Introduce API to return a list of all apps
  * app: Introduce API to run diagnostics on an app
  * apache: Implement diagnostic test for web server component
  * daemon: Implement diagnostic test for daemon component
  * daemon: Implement diagnostic test to check if a daemon is running
  * firewall: Implement new diagnostic tests to check port status
  * diagnostics: Use new component based API for all diagnostic tests
  * cosmetic: Yapf and isort fixes
  * daemon: Move diagnosing port listening into daemon module
  * daemon: Move diagnosing using netcat to daemon module
  * apache: Move diagnostics for checking URLs into apache module
  * app: Implement API to check if app/component has diagnostics
  * views: Don't require sending diagnostics module name separately
  * minidlna: Fix showing clients information
  * mediawiki: Fix problem with session cache failing logins

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ erlendnagel ]
  * Translated using Weblate (Dutch)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Dec 2019 21:17:58 -0500

plinth (19.23) unstable; urgency=medium

  [ Thomas Vincent ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Fred ]
  * Translated using Weblate (French)

  [ Alice Kile ]
  * show app icons in apps page
  * use single variable for referencing icon filename
  * fix formatting issues
  * fix formatting and template-related issues
  * properly implement header in app and setup pages
  * implement responsive layout for app page
  * fix toggle button html layout and responsive design css
  * config: fix minor syntax error
  * fix: implement requested changes

  [ James Valleroy ]
  * themes: css whitespace minor fixes
  * samba: Add icon to app page
  * minidlna: Add managed service and Daemon component
  * minidlna: Use single action to set media dir and restart
  * minidlna: Show icon on app page
  * minidlna: Fix webserver config name
  * minidlna: Only show shortcut to users in group
  * mumble: Keep icon_filename in moved view
  * cockpit: Filter out localhost URLs from displayed access list
  * users: Use service action to restart share group service
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * samba: recursively set open share directory permissions
  * users: Fix functional tests changing the language feature
  * app: Fix app checkbox status change functional tests
  * storage: Directory selection form and validator
  * transmission: New directory selection form

  [ Nektarios Katakis ]
  * feature: minidlna app
  * fix: minidlna.conf file permissions after editing
  * update minidlna svg
  * run sysctl after installation
  * mumble: Add option to set SuperUser password
  * cockpit: extend apps description with access info
  * cockpit: add list of valid urls to access the app.

  [ /rgb ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ adaragao ]
  * Translated using Weblate (Portuguese)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Dec 2019 18:38:46 -0500

plinth (19.22) unstable; urgency=medium

  [ Matt Conroy ]
  * pagekite: Get rid of tabs in the configuration page
  * openvpn: manual link points to incorrect page

  [ Joseph Nuthalapati ]
  * pagekite: Fix functional tests
  * pagekite: Show existing services only if there are any
  * pagekite: Make Custom Services look like it's under Configuration
  * pagekite: Use the new app toggle button
  * openvpn: Add client apps

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Fred ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Alice Kile ]
  * backups: fix title not appearing
  * diagnostics: don't run on disabled modules
  * apps: Remove link to webapps in app descriptions
  * Fix error with app toggle input
  * templates: Add toolbar for apps in app.html
  * toolbar: Move diagnostics button into dropdown menu

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Veiko Aasa ]
  * ssh: fix Avahi SFTP service file
  * diagnostics: fix IPv6 failures
  * matrix-synapse: Update requirement from buster-backports
  * samba: Users can enable a guest share
  * samba: user can select devices for sharing
  * samba: fixes and improvements
  * samba: fixes and improvements
  * app: fix javascript constant redeclaration error
  * samba: Fix javascript constant redeclaration error

  [ James Valleroy ]
  * debian: Update German debconf translation (Closes: #945387)
    - Thanks to Helge Kreutzmann for the patch.
  * samba: Add acl to managed_packages
  * samba: Fix restore command
  * samba: Move urls under apps/
  * functional_tests: Add basic samba tests
  * samba: Use register_group instead of create_group
  * samba: Only show shortcut to users in freedombox-share group
  * samba: Keep create_group in setup
  * diagnostics: Use a distinct class for Run Diagnostics button on this page
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * diagnostics: Use app.html instead of simple_app.html
  * firewall: Use app.html instead of simple_app.html
  * letsencrypt: Use app.html instead of simple_app.html
  * monkeysphere: Use app.html instead of simple_app.html
  * names: Use app.html instead of simple_app.html
  * power: Use app.html instead of simple_app.html
  * openvpn: Use app.html instead of simple_app.html
  * tor: Use app.html instead of simple_app.html
  * ikiwiki: Move the create button to manage section
  * gitweb: Move create button into manage section
  * networks: Move actions button into connection section
  * templates: Remove the now unused simple_app.html
  * users: Move create button into users section
  * minetest: Minor cosmetic fix
  * templates: Make internal zone and port forwarding info override-able
  * toolbar: Make diagnostics button looks like other drop down items
  * toolbar: Align extra actions drop down button to the right
  * toolbar: Rewamp toolbar code for simplicity and to fix issues

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Dec 2019 18:00:45 -0500

plinth (19.21) unstable; urgency=medium

  [ Veiko Aasa ]
  * gitweb: Allow to import from a remote repository
  * gitweb: Do not recursively scan for Git repositories
  * turbolinks: Disable turbolinks on links that don't point to /plinth/...

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Norwegian Bokmål)

  [ Birger Schacht ]
  * backups: Show proper error when SSH server is not reachable
  * ssh: Add the error of ssh-keyscan to the verification view
  * tor: Rename "Hidden Service" to "Onion Service"

  [ Joseph Nuthalapati ]
  * ejabberd: Handle case where domain name is not set
  * tahoe: Mark Tahoe-LAFS as an advanced app
  * README: Fix hyperlinks to badges and images
  * doc: dev: Add instructions to setup developer documentation
  * doc: dev: Mention where to find the user manual
  * doc: dev: Reduce toc depth to 2 levels to reduce noise
  * doc: dev: Fix headings
  * doc: dev: Add favicon to developer documentation site
  * app: Avoid showing empty configuration block
  * app: Fix broken functional tests
  * firstboot: reading firstboot-wizard-secret file
  * searx: Set safe_search to Moderate by default
  * clients: Improve code readability

  [ Sunil Mohan Adapa ]
  * backups: i18n for a string on verify ssh host page
  * backups: Simplify SSH fingerprint verification command
  * HACKING: Update with instructions for multiple OSes
  * CONTRIBUTING: Add more instructions on commits and MR changes
  * doc: Fix unavailability of manual images
  * tor: Fix port diagnostics by correcting port data type
  * tor: Expect obfs service to be also available on IPv6
  * tor: Listen on IPv6 for OrPort

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * HACKING: Fix provision with tests command
  * d/po: Run debconf-updatepo
  * locale: Update translation strings

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ Alice Kile ]
  * clients: implement launch button feature
  * app: Implement toggle button in app page
  * app: Use single form for app toggle and configuration
  * app: Make the toggle-button responsive

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 18 Nov 2019 19:35:38 -0500

plinth (19.20) unstable; urgency=medium

  [ Veiko Aasa ]
  * gitweb: Set correct access rights after enabling application
  * gitweb: Add tests for actions script
  * gitweb: Add functional tests
  * gitweb: avoid global environment variables in Apache configuration
  * gitweb: fix links that end with /HEAD
  * gitweb: Validate repository name also in actions script
  * gitweb: do not change working directory inside actions script
  * sharing: Fix wrong links on Apache2 directory index page

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * d/po/es: New translation file
  * d/po: Fix header comments

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * debian: Remove plinth transitional package
  * cfg: Fix test case failure due to incorrect path assumption
  * gitlab-ci: Fix path for HTML coverage report generation
  * gitweb: Set proper access after restoration of a backup
  * setup: Don't include actions/__pycache__ during installation
  * ssh: Fix flake8 failure by removing unused import
  * config: Use AppView and cleanup custom code
  * storage: Use AppView and cleanup custom code
  * doc: Install using makefile instead of setup.py
  * doc: Fetch and add Spanish manual
  * help: Fix showing manual pages in fallback cases
  * app: Fix a pytest warning in tests
  * setup.py: Set development status classifier to production/stable
  * setup.py: Add more topics to classifiers
  * doc: Add developer documentation using Sphinx
  * actions: Fix issue with docstring causing issues with Sphnix
  * Translated using Weblate (Swedish)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Thomas Vincent ]
  * Translated using Weblate (French)
  * backups: Fix a typo in backups upload form
  * Translated using Weblate (French)

  [ homycal ]
  * Translated using Weblate (French)

  [ Mattias Münster ]
  * Translated using Weblate (Swedish)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Nektarios Katakis ]
  * ssh: Option for disabling password authentication

  [ Joseph Nuthalapati ]
  * infinoted: Add missing manual page link
  * doc: Add directory for development documentation
  * doc: Skip empty lines when piping to wget
  * doc: Fix Unicode issues with the manual
  * doc: Remove language code from title
  * doc: Move build scripts into separate directory
  * doc: Minor cosmetic changes
  * doc: Move English manual to manual/en directory
  * help: Respect language preference when showing user manual
  * snapshot: Sort snapshot list from newest to oldest

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Fred ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ James Valleroy ]
  * config: Implement get_initial and form_valid
  * functional_tests: Update config form ids
  * coquelicot: Change quotes to ASCII
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 Nov 2019 19:15:27 -0500

plinth (19.19) unstable; urgency=medium

  [ Veiko Aasa ]
  * ikiwiki: Allow full Unicode text in wiki/blog title names
  * actions: Check with flake8
  * gitweb: New app for simple git hosting
  * users: reload Apache2 to flush LDAP cache after user operations
  * gitweb: update repository list where necessary
  * gitweb: fix Windows Git client download link in manifest
  * gitweb: add help text for description and owner fields in the form
  * gitweb: enable rename detection

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Birger Schacht ]
  * ssh: Show server fingerprints in SSH page

  [ James Valleroy ]
  * Translated using Weblate (French)
  * gitweb: Fix flake8 error
  * locale: Update translations strings
  * doc: Fetch latest manual

  [ Nevena Mircheva ]
  * Translated using Weblate (Bulgarian)

  [ Sunil Mohan Adapa ]
  * matrixsynapse: Remove unused letsencrypt action
  * ejabberd: Removed unused letsencrypt action
  * gitweb: Minor fixes after review
  * gitweb: Minor visual changes to templates
  * gitweb: Fix issue with elevated access to private repositories
  * frontpage: Show shortcuts that public even if need a group
  * searx, app, translation, language-selection: Fix license header
  * ikiwiki: Remove extra create button when no wiki/blog is present
  * cosmetic: yapf formatting

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Michael Breidenbach ]
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Matthias Dellweg ]
  * quassel: Add let's encrypt component for certficiates

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Oct 2019 18:49:35 -0400

plinth (19.18) unstable; urgency=medium

  [ Matthias Dellweg ]
  * diagnose: Move negating diagnose result inside try block

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * pagekite: Remove first wizard step for danube edition
  * pagekite: cosmetic: yapf and isort changes
  * debian: Remove python3-requests from depends list
  * users: Make UI close to rest of the apps
  * upgrades: Remove unnecessary subsubmenu
  * ikiwiki: Remove subsubmenu in favor of toolbar
  * networks: Remove subsubmenu in favor of toolbar buttons
  * backups: Remove unnecessary use of subsubmenu template
  * templates: Remove unused invocation of subsubmenu
  * templates: Simplify unnecessary override
  * templates: Provide subsubmenu functionality in app.html
  * dynamicdns: Use app.html instead of app-subsubmenu.html
  * i2p: Use app.html instead of app-subsubmenu.html
  * pagekite: Use app.html instead of app-subsubmenu.html
  * snapshot: Use app.html instead of app-subsubmenu.html
  * templates: Remove unused app-subsubmenu.html
  * deluge: Support deluge 2 by starting it properly
  * minetest: Remove mod-torches no longer available in testing/unstable

  [ James Valleroy ]
  * security: Add past vulnerabilities count
  * security: Move security report to new page
  * locale: Update translation strings
  * doc: Fetch latest manual
  * d/control: Add Rules-Requires-Root: no
  * d/control: Update Standards-Version to 4.4.1

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 07 Oct 2019 19:06:16 -0400

plinth (19.17) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Anxin YI ]
  * Translated using Weblate (Chinese (Simplified))

  [ Joseph Nuthalapati ]
  * firstboot: network connections not used, cleanup
  * firstboot: Add new help menu to firstboot navbar

  [ Sunil Mohan Adapa ]
  * letsencrypt: Update and fix tests involving domain changes
  * tor: Fix test case for getting status
  * firstboot: Hide left menu during first boot as intended

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Sep 2019 18:14:40 -0400

plinth (19.16) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * help: Add button to submit feedback
  * help: Add button for Support
  * help: Add button for Contribute
  * manual: Move PDF download link to HTML manual page
  * help: Convert help icon in the navbar to dropdown

  [ Sunil Mohan Adapa ]
  * help: Add more text to contribute page for donations
  * action_utils: Introduce utility for setting debconf answers
  * action_utils: Workaround problem with setting debconf answers
  * views: Fix failure in redirecting from language selection page
  * help: Make download as PDF a regular button
  * backups: Add missing slashes at the end of URLs
  * backups: Remove cancel button from add disk location page
  * backups: Fix removing local repository
  * backups: Simplify checking repository capabilities using flags
  * backups: Simplify listing repositories in index page
  * backups: Rename network_storage module to store
  * backups: Introduce method for checking if a repository is usable
  * backups: Minor cosmetic fixes
  * backups: Expose repository path as property
  * backups: Rename remove_repository method to remove
  * backups: Minor change to disk repository name
  * backups: Rename repo_path to borg_path for clarity
  * backups: Make mountpoint property private
  * backups: Use higher level method in views instead of store methods
  * backups: Implement hostname property on SSH repository
  * backups: Clarify two separate uses of name create_repository
  * backups: Separate repository loading from instantiation
  * backups: Minor cosmetic changes
  * backups: Minor simplification in running of action script
  * backups: Improve handling borg errors
  * backups: Minor simplification when adding remote repository
  * backups: Handle errors when adding disk repository
  * backups: Show repository error in archives table
  * backups: Show lock icon for encrypted repositories
  * backups: Show error when password is provided for unencrypted repo
  * backups: Don't show used disk choices when adding disk repo
  * backups: Show error when there are no disks available to add repo
  * backups: Move add repository buttons to the top
  * ejabberd: Fix listen port configuration for ejabberd 19.x
  * cockpit: Prevent restart on freedombox startup
  * ejabberd: Prevent restart on freedombox startup
  * ejabberd: Perform host/domain name operations only when installed
  * module_loader: Cosmetic changes by yapf
  * web_server: Remove log message about serving static directory
  * setup: Better log message when no apps need upgrades
  * module_loader: Remove log message when app is imported
  * actions: Improve log message about action execution

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Swann Martinet ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Danny Haidar ]
  * help: Minor updates to the statements on contribute page

  [ Joseph Nuthalpati ]
  * backups: Allow adding backup repositories on multiple disks
  * backups: Refactor class hierarchy in repository.py
  * backups: Save new backup location to plinth database

  [ James Valleroy ]
  * locale: Update translation strings

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 09 Sep 2019 18:20:03 -0400

plinth (19.15) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalpati ]
  * functional_tests: Fix site.is_available not handling default paths
  * functional_tests: Fix step definition "When I log out"
  * matrix-synapse: Allow installation of version 1.2 from backports

  [ James Valleroy ]
  * security: Hide vulnerability table by default
  * vagrant: Stop any ongoing unattended-upgrade
  * functional_tests: Use longer password when creating user
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Add lintian-override for package-installs-apt-preferences

  [ Sunil Mohan Adapa ]
  * names: Perform better layout of domain names table on small screens
  * cockpit: Apply domain name changes immediately
  * ejabberd: Prevent processing empty domain name
  * config: Send hostname change signal only after fully processing it
  * letsencrypt: Don't try to obtain certificates for .local domains
  * avahi: Expose .local domain as a proper domain
  * cockpit: Make essential and install by default
  * tt-rss: Force upgrade to 18.12-1.1 and beyond
  * doc: Fetch latest manual
  * README: Add more screenshots, update existing paths
  * matrixsynapse: Fix apache syntax errors introduce by 4b8b2e171c86d75
  * users: yapf cosmetic changes
  * users: Don't delete 'admin' group when running unit tests
  * users: Minor cosmetic refactoring
  * users: Don't fail badly when admin group does not exist
  * users: Minor fix to return value when getting last admin user
  * users: Cosmetic yapf and isort fixes
  * updates: Allow matrix-synapse 1.3 to be installed for buster users
  * javascript: Don't resubmit when refreshing the page
  * vagrant: Fix dpkg command for recovering from broken state
  * functional_tests: Fix create snapshot test failure
  * storage: Fix regression with restoring backups with storage

  [ bn4t ]
  * matrix-synapse: Use recommended reverse proxy configuration

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Aug 2019 18:55:49 -0400

plinth (19.14) unstable; urgency=medium

  [ James Valleroy ]
  * functional_tests: Fix delete backup path
  * tests: Test add custom shortcuts to frontpage
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Update standards version to 4.4.0
  * debian: Switch to debhelper-compat

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ pierre ]
  * Translated using Weblate (French)

  [ ZeroAurora ]
  * Translated using Weblate (Chinese (Simplified))

  [ Sunil Mohan Adapa ]
  * storage: Handle all device paths during eject
  * storage: Fix incorrect i18n when throwing and error
  * storage: yapf changes
  * setup: Clarify success log message when force upgrading
  * Yapf changes
  * firewall: Force upgrade to firewalld 0.7.x
  * frontpage: Fix regression with loading custom shortcuts
  * frontpage: Log a message when loading custom shortcuts
  * upgrades: Set apt configuration to allow release info change
  * tests: Fix flake8 warning about unused imports
  * Minor yapf fixes
  * names: Minor styling fixes
  * names: Don't enumerate services for domains supporting all
  * names: Introduce new API to manage domains
  * names: Declare domain types in various apps
  * names: Make all apps use new api to retrieve domain names
  * names: Use new API in all apps
  * letsencrypt: Revoke certificate only if it exists
  * letsencrypt: Fix problem with automatically obtaining certificates
  * cockpit: Don't error out when removing an unknown domain
  * ejabberd: Ensure that hosts are not duplicated in configuration
  * ejabberd: Use domain added signal for listening to domain changes
  * cockpit: Don't handle the domain changed signal
  * letsencrypt: Remove unused listen to domain change signal
  * config: Remove unused domain change signal
  * api: Fix regression with listing only enabled apps in mobile app

  [ Joseph Nuthalpati ]
  * upgrades: Use reusable collapsible-button style for logs

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Anxin YI ]
  * Translated using Weblate (Chinese (Simplified))

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Aug 2019 19:31:35 -0400

plinth (19.13) unstable; urgency=low

  [ Nikolas Nyby ]
  * Fix a handful of typos in docs and comments
  * Introduce flake8 checking
  * Fix typos in module init docs
  * Add flake8 to gitlib-ci

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * Minor changes to flake8 related updates
  * diaspora: Fix tests by reverting changes during flake8 clenaup
  * backups: Fix issue with showing index page
  * backups: Fix HTML template indentation, remove inline styling

  [ James Valleroy ]
  * help: Show security notice when backports are in use
  * security: Show vulnerability counts
  * locale: Update translation strings
  * doc: Fetch latest manual
  * Begin uploading to unstable again.
  * security: Fixup refactoring

  [ Joseph Nuthalapati ]
  * backups: Make UI more consistent with other apps
  * backups: Make backup location tables collapsible
  * flake8: Remove unused import

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Anxin YI ]
  * Translated using Weblate (Chinese (Simplified))

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Jul 2019 19:13:58 -0400

plinth (19.12) experimental; urgency=medium

  [ Miguel A. Bouzada ]
  * Added translation using Weblate (Galician)
  * Translated using Weblate (Galician)

  [ Sunil Mohan Adapa ]
  * dbus: Allow plinth user to own FreedomBox DBus service
  * service: Implement action for systemd try-restart
  * cockpit: Don't handle domains if app is not installed
  * dynamicdns: Send domain added signal properly during init
  * letsencrypt: Force commands to be non-interactive
  * letsencrypt: Remove renewal hooks implementation
  * letsencrypt: Remove old style hooks from all configuration files
  * letsencrypt: Remove deprecated logger.warn
  * letsencrypt: Remove special treatment for domain added from 'config'
  * letsencrypt: Implement DBus service for renewal notifications
  * letsencrypt: Add lineage information in status
  * letsencyrpt: Implement action to copy certificates
  * letsencrypt: Implement action to compare copied certificates
  * letsencrypt: Introduce component for handling certificates
  * letsencrypt: Add permanent hook to receive renewal notifications
  * letsencrypt: Trigger renewal certificate events in component
  * letsencrypt: Trigger events for obtain, revoke and delete
  * letsencrypt: Implement re-obtain separately
  * letsencrypt: Handling certificate renewals when daemon is offline
  * apache: Add let's encrypt certificate component
  * matrixsynapse: Add let's encrypt component for certficiates
  * ejabberd: Add let's encrypt component for managing certificates
  * ejabberd: Backup and restore TLS certificates
  * sso: Use new features of axes, log axes messages
  * Minor yapf and isort changes

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * backups: Add option to select/deselect all apps for backup or restore
  * backups: Change "select all" to a pure JavaScript implementation
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Chinese (Simplified))
  * sharing: Allow directories to be publicly shared
  * sharing: Add functional test for public shares
  * sharing: Add JavaScript to hide user groups for public shares
  * sharing: Simplify --is-public option
  * sharing: Indicate public shares in listing of shares

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ Elizabeth Sherrock ]
  * Translated using Weblate (Chinese (Simplified))

  [ Anxin YI ]
  * Translated using Weblate (Chinese (Simplified))

  [ Igor ]
  * Translated using Weblate (Russian)

  [ ZeroAurora ]
  * Translated using Weblate (Chinese (Simplified))

  [ James Valleroy ]
  * Translated using Weblate (Chinese (Simplified))
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Jul 2019 19:23:02 -0400

plinth (19.11) experimental; urgency=medium

  [ THANOS SIOURDAKIS ]
  * Added translation using Weblate (Greek)

  [ ZeroAurora ]
  * Translated using Weblate (Chinese (Simplified))

  [ Doma Gergő Mihály ]
  * matrixsynapse: Fix missing translation mark

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * backups: Improve UX of adding ssh remote
  * backups: Avoid creating duplicate SSH remotes
  * backups: YAPF formatting
  * backups: Text change on index page
  * backups: Make paramiko a dependency of freedombox package
  * debian: Add python3-paramiko to build dependencies
  * backups: Fix issue with repository not being initialized
  * backups: Minor refactoring in forms.py
  * backups: Add test for adding ssh remotes
  * backups: Avoid using `sudo` in tests
  * backups: Skipping tests temporarily
  * backups: tests: Fix issue with usage of fixture 'needs_root'
  * Add SSH hostkey verification
  * backups: ssh remotes: Refactoring
  * backups: Fix functional tests broken due to URL changes
  * Verify SSH hostkey before mounting
  * ui: Create reusable CSS class for collapsible-button
  * backups: Remove unnecessary context manager for paramiko SFTPClient
  * backups: Read file path of known_hosts directly from plinth.config
  * backups: Add regex validation for ssh_repository field

  [ Sunil Mohan Adapa ]
  * backups: Minor fixes to host verification view template
  * backup: Allow SSH directory paths with : in them
  * backups: Cleanup auto-mounting SSH repositories
  * backups: Minor styling changes
  * backups: Handle SSH keys for old stored repositories
  * backups: Require passphrase for encryption in add repository form
  * backups: Fix and refactor adding a new remote repository
  * backups: Remove known_hosts file from config file
  * backups: Fix issue with verifying SSH host keys
  * backups: Don't send passphrase on the command line
  * backups: Git ignore the .ssh folder in data folder
  * setup.py: Don't install directories matching ignore patterns
  * backups: Minor cleanup
  * backups: Un-mount SSH repositories before deleting them

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Andrey Vostrikov ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 08 Jul 2019 18:13:37 -0400

plinth (19.10) experimental; urgency=medium

  [ Sunil Mohan Adapa ]
  * Introduce firewall component for opening/closing ports
  * Introduce webserver component for managing Apache configuration
  * Introduce uwsgi component to manage uWSGI configuration
  * app: Rename get() method to get_component()
  * app: Add unique ID to each app class
  * Introduce daemon component to handle systemd units
  * radicale: Workaround issue with creating log directory
  * app: Set app as enabled only when the daemon is enabled
  * syncthing: Open firewall ports for listening and discovery

  [ James Valleroy ]
  * functional_tests: Add shortcut- prefix to test home page config
  * locale: Update translations strings
  * doc: Fetch latest manual

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ ssantos ]
  * Translated using Weblate (German)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ adaragao ]
  * Translated using Weblate (Portuguese)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Jun 2019 20:06:17 -0400

plinth (19.9) experimental; urgency=medium

  [ Danny Haidar ]
  * Added translation using Weblate (Bulgarian)

  [ Sunil Mohan Adapa ]
  * menu: Remove unused template submenu.html
  * menu: Removed unused templates, methods and properties
  * Introduce component architecture and menu component
  * Turn frontpage shortcut into an app component

  [ James Valleroy ]
  * config: Update migration to use app id
  * searx: Update to use shortcut component
  * config: Add option to show advanced apps
  * monkeysphere: Hide by default
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Joseph Nuthalapati ]
  * searx: Add option to allow public access to the application
  * searx: Preserve public_access setting
  * searx: Improve functional tests

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Jun 2019 19:18:52 -0400

plinth (19.8) experimental; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * i2p: Update SVG logo with standard units, size and margins
  * HACKING: Add guidelines for creating new icons
  * icons: Add new SVG icons for all apps
  * icons: Add license information for SVG icons
  * templates: Use SVG icons for apps page and shortcuts
  * icons: Ensure SVG presence for all non-app icons
  * icons: Update copyright information remaining icons
  * doc: Update the correct license for documentation
  * apache: Serve SVG files compressed using gzip

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ ssantos ]
  * Translated using Weblate (German)

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ ventolinmono ]
  * Translated using Weblate (Spanish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ James Valleroy ]
  * locate: Update translation strings
  * doc: Fetch latest manual
  * debian: Remove duplicate priority field
  * doc: Remove unused duplicate image

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 May 2019 18:11:25 -0400

plinth (19.7) experimental; urgency=medium

  [ LoveIsGrief ]
  * i2p: Use augeas for editing the router.config
  * i2p: Include default favorites after installation

  [ Sunil Mohan Adapa ]
  * i2p: Update license headers for consistent formatting
  * i2p: Minor flake8 and yapf fixes
  * i2p: Convert router configuration tests to pytest style
  * transmission: Fix issue with promoting menu item
  * tor: Fix issue with promoting/demoting menu item
  * apps: Fix showing apps background twice
  * apps: Style disable app icons according to design
  * apps: Style the title for disabled icons section
  * sharing: Always keep menu item in promoted state
  * apps: Promote/demote menu items for disabled apps too
  * tests: Add commonly used fixtures globally
  * tests: Remove unused test discovery code
  * custom_shortcuts: Fix issue with writing tests as different user
  * backups: Convert tests to pytest style
  * bind: Convert tests to pytest style
  * config: Convert tests to pytest style
  * diaspora: Convert tests to pytest style
  * letsencrypt: Convert tests to pytest style
  * names: Convert tests to pytest style
  * pagekite: Convert tests to pytest style
  * storage: Convert tests to pytest style
  * tor: Convert tests to pytest style
  * users: Convert tests to pytest style
  * actions: Convert tests to pytest style
  * cfg: Convert tests to pytest style
  * clients: Convert tests to pytest style
  * context_processors: Convert tests to pytest style
  * kvstore: Convert tests to pytest style
  * menu: Convert tests to pytest style
  * middleware: Convert tests to pytest style
  * network: Convert tests to pytest style
  * templatetags: Convert tests to pytest style
  * utils: Convert tests to pytest style
  * i2p: Rename test fixtures to avoid a minor warning
  * ejabberd: Include Bosh port 5280 in port forwarding information
  * repro: Show port forwarding information
  * Common template for showing port forwarding information
  * i2p: Show port forwarding information
  * bind: Show port forwarding information
  * ssh: Show port forwarding information

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Erik Ušaj ]
  * Added translation using Weblate (Slovenian)
  * Translated using Weblate (Slovenian)

  [ Karel Trachet ]
  * Translated using Weblate (Dutch)

  [ ssantos ]
  * Translated using Weblate (German)
  * Translated using Weblate (Portuguese)

  [ James Valleroy ]
  * apps: Separate enabled and disabled apps
  * apps: Add port forwarding info
  * service: Show port forwarding info when available
  * openvpn: Show port forwarding info
  * minetest: Fix flake8 error
  * matrixsynapse: Show port forwarding info
  * tahoe: Show port forwarding info
  * locate: Update translation strings
  * doc: Fetch latest manual

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 May 2019 19:47:52 -0400

plinth (19.6) experimental; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ CurlingTongs ]
  * Translated using Weblate (German)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ narendrakumar.b ]
  * letsencrypt: Provide link to configure domain if not configured

  [ James Valleroy ]
  * firewall: Get service ports details
  * firewall: Show ports details
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ LoveIsGrief ]
  * i2p: Add helper to modify the tunnel config
  * i2p: Open HTTP(S) and IRC ports on all interfaces on install
  * i2p: Add HTTP(S) and IRC ports to firewall
  * i2p: Enable application

  [ Sunil Mohan Adapa ]
  * i2p: flake8 and yapf fixes
  * i2p: Convert unit tests to pytest style
  * i2p: Update firewalld service descriptions
  * i2p: Disable the daemon before editing configuration
  * i2p: Don't enable proxies on external zone

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Apr 2019 19:18:01 -0400

plinth (19.5) experimental; urgency=medium

  [ LoveIsGrief ]
  * i2p: Add new application
  * i2p: Disable compression on /i2p/
  * i2p: apache: Catch more I2P locations
  * i2p: django: Add shortcuts to /i2p/... URLs
  * i2p: django: Additional information about /i2p location
  * i2p: todo: Add TODOs for I2P
  * i2p: todo: add more TODOs for I2P
  * i2p: idea: Browse eepsites directly from freedombox
  * i2p: todo: Add torrent tracker to list of favorites
  * i2p: django: Add description for the configuration shortcuts
  * i2p: django: Add i2p homepage to description
  * i2p: setup: Enrich I2P favorites
  * i2p: todo: Tick off a TODO and reword one
  * i2p: todo: Remove IDEA for browsing to .i2p sites in iframe
  * i2p: torrents: Link to the list of trackers
  * i2p: Add functional tests
  * functional_tests: Allow provisioning VM for functional tests
  * functional tests: Fix wheel errors when provisioning VM

  [ Sunil Mohan Adapa ]
  * i2p: Move data files into the app's data folder
  * i2p: Use project logo instead of mascot
  * i2p: Remove TODO in favor of issue tracker
  * apache: Add proxy_html module needed by i2p app
  * i2p: Backup/restore the correct state folder
  * i2p: Minor styling changes
  * i2p: Add diagnostic test for web interface port
  * i2p: Add main web interface to list of clients
  * i2p: Review and cleanup action script
  * i2p: Review and update views
  * i2p: Disable app until further fixes are done

  [ James Valleroy ]
  * functional_tests: Install python3-pytest-django
  * locale: Update translation strings
  * doc: Fetch manual

  [ wind ]
  * Translated using Weblate (Russian)

  [ Joseph Nuthalapati ]
  * storage: Use udisks to list disks and df for disk space utilization

  [ Igor ]
  * Translated using Weblate (Russian)

  [ CurlingTongs ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Apr 2019 18:47:17 -0400

plinth (19.4) experimental; urgency=medium

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * clients: Open web app in a new browser tab
  * matrix-synapse: Change client diagnostics url
  * minetest: Fix duplicate domain names being displayed in UI
  * storage: Do not show an eject button on /boot partitions
  * letsencrypt: Call letsencrypt manage_hooks with correct arguments
  * vagrant: Run plinth as user plinth in development environment

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * dynamicdns: Install module by default
  * locale: Update strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * storage: Don't check type of the disk for / and /boot
  * storage: Don't log error when checking if partition is expandable

  [ wind ]
  * Translated using Weblate (Russian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Apr 2019 20:31:54 -0400

plinth (19.3) experimental; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * vagrant: Rearrange steps of provision script
  * locale: Update translation strings

  [ Joseph Nuthalapati ]
  * dynamicdns: Break up dynamicdns.py into forms.py and views.py
  * dynamicdns: Move subsubmenu below description
  * firewall: Change "Current Status:" from p to h3
  * names: Add description
  * subsubmenu: Make description a customizable block
  * pagekite: Bring subsubmenu below description. Remove About section.
  * upgrades: Move subsubmenu below description
  * Include clients.html in service-subsubmenu.html
  * ikiwiki: Move subsubmenu below description

  [ Sunil Mohan Adapa ]
  * pagekite: Rename base template file
  * pagekite: Change the template section title
  * dynamicdns: Simplify template inheritance
  * ikiwiki: Consistent styling for delete warning page
  * templates: Minor styling change
  * functional_tests: Reorder tests to disable apps after tests
  * tests: Mark functional tests with functional mark
  * tests: Read functional tests conf file without assuming CWD
  * tests: Fix backups API test cases to work under all conditions
  * README: Provide simple instruction for installing FreedomBox
  * INSTALL.md: Simplify installation instructions
  * HACKING.md: Update instructions on installing dependencies
  * functional_tests: Update todo list by removing implemented tests
  * mediawiki: Fix tests to allow running from any directory
  * tests: Use pytest for running all tests
  * ci: Allow gitlab to parse test coverage results
  * main: Show service version in logs
  * setup: Automatically gather information about files to install
  * setup: Allow apps to have their own data directories
  * setup: Don't include data/ files as package data
  * module_loader: Specially load modules in development mode
  * setup: Move app enabling files to respective apps
  * setup: Move app data files into respective apps
  * setup: Remove unused /var/run directory

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)

  [ jonathan göhler ]
  * Translated using Weblate (German)

  [ Vincent Ladeuil ]
  * Translated using Weblate (French)

  [ David Maulat ]
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 18 Mar 2019 20:30:44 -0400

plinth (19.2) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * docs: Fix deprecation warnings in post-processor
  * tor: Fix deprecation warning W605 for '\' character in regex
  * utils: Simplify YAMLFile by removing the post_exit argument
  * config: Consolidate get_domainname() implementation into config
  * config: Move default-app configuration to a dedicated file
  * config: Fix Ikiwiki entries not showing up as default apps
  * config: Migrate default app configuration to new conf file
  * config: Rename Default App to Webserver Home Page
  * config: Add option to use Apache's default home page as home page
  * config: Remove Apache home page configuration from freedombox.conf
  * config: Fix error when setting JSXC as the home page
  * users: Add nscd as a dependency
  * Disable Coquelicot for Buster release
  * matrix-synapse: Fix LDAP login issue
  * config: Revert changes in freedombox.conf to avoid conffile prompt
  * config: Reset home page setting in freedombox.conf during migration
  * openvpn: Migration from easy-rsa 2 to 3 for existing installations
  * openvpn: Increment version number for easy-rsa 3 migration
  * snapshot: Fix failing functional test

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * tor: Styling changes due to yapf
  * tor: Use fixed 9001 port for relaying
  * utils: Handle exceptions in context management for YAMLFile
  * utils: Fix some flake8 warnings
  * tahoe: Styling changes
  * backups: Fix failing test case
  * web_server: Move shutdown handling to main
  * dbus: Add new module for D-Bus services
  * setup: Abstraction for getting managing packages of a module
  * setup: Filter packages to force upgrade
  * package: Implement identifying packages that need conffile prompts
  * package: Helper method to filter packages that need conffile prompt
  * setup: Trigger force upgrade for app that implement it
  * bind: Handle conffile prompt during upgrade
  * setup: Rush force upgrade in development mode
  * ttrss: Make functional test definitions specific to ttrss
  * cockpit: Pre-enable necessary apache modules
  * radicale, searx: Pre-enable necessary apache modules
  * letsencrypt: Pre-enable necessary apache modules
  * ikiwiki: Pre-enable necessary apache modules
  * sso: Pre-enable necessary apache modules
  * apache: Use cgid module instead of cgi
  * apache: Increment app version number
  * setup: Make additional info available for force upgrading
  * debian/copyright: Minor fixes
  * debian/copyright: Add full text for AGPL-3+
  * debian/copyright: Add license text for public-domain
  * debian/copyright: Add license text for GPL-2 and GPL-3
  * debian/copyright: Add license text for CC-BY-SA-3.0
  * debian/copyright: Update copyright for logos
  * static: Remove unused files
  * LICENSES: Remove files that are same license as rest of the source
  * config: Don't pass configuration file argument to action
  * openvpn: Fix issues with upgrade easy-rsa 2 to 3 migration
  * openvpn: Make frontpage shortcut appear after an upgrade
  * openvpn: Work around firewalld bug 919517
  * setup: Pass better data structure for force upgrade operation
  * utils: Introduce abstraction over distutils comparison of versions
  * firewalld: Implement upgrading from 0.4.x to 0.6.x
  * ttrss: Make setup process reusable
  * ttrss: Implement upgrade from 17.4 to 18.12

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Anjali Datla ]
  * Translated using Weblate (Telugu)

  [ Darkblaze ]
  * Translated using Weblate (Telugu)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Jag ]
  * vagrant: Use virtualbox linked clones / CoW to reduce startup times

  [ James Valleroy ]
  * Add 2019 to copyright years
  * Fix some paths in LICENSES
  * debian: Add copyright years for debian/*
  * radicale: Add description of web interface
  * ttrss: Add backup support
  * debian: Add copyright info for lato fonts
  * debian: Add copyright info for individual logo files
  * LICENSES: Add reference to debian/copyright
  * debian: Add copyright info for theme images
  * debian/copyright: Move all license texts to end
  * debian/copyright: Remove unnecessary fields for native package
  * debian/copyright: Move some app icons from LICENSES
  * debian/copyright: Fix typo in year
  * debian/copyright: Move more app icons from LICENSES
  * debian/copyright: Include some URLs dropped from LICENSES
  * debian/copyright: Move some more app icons from LICENSES
  * debian/copyright: Fix filename for tahoe-lafs logo
  * security: Migrate access config to new file
  * users: When ssh used in tests, add users to admin group
  * locale: Update translations strings

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 02 Mar 2019 14:45:55 -0500

plinth (19.1) unstable; urgency=medium

  [ James Valleroy ]
  * radicale: Log errors during upgrade
  * radicale: Bump version to 2
  * radicale: Remove obsolete diagnostics
  * radicale: Fix server URLs in client info
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * setup: Add option to handle configuration prompts during install
  * radicale: Simplify upgrading to newer packages
  * matrixsynapse: Remove hard-coded URL
  * matrixsynapse: Fix issues with showing certificate warning
  * letsencrypt: Fix issue with disabling matrixsynapse checkbox
  * matrixsynapse: Don't check for current domain in renew hook
  * matrixsynapse: Fix potential exposure of private key
  * matrixsynapse: Setup certificate after domain selection
  * matrixsynapse: Better checking for valid certificate

  [ Joseph Nuthalapati ]
  * matrixsynapse: Use Let's Encrypt certificates

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 14 Feb 2019 06:01:19 -0500

plinth (19.0) unstable; urgency=high

  [ J. Carlos Romero ]
  * mldonkey: Add some more clients to the module page
  * mldonkey: Add to the description the three available front-ends

  [ Sunil Mohan Adapa ]
  * monkeysphere: Fix handling of multiple domains and keys
  * monkeysphere: Fix regression with reading new apache domain config
  * apache: Cleanup domain configuration
  * apache: Add support for mod_ssl in addition to mod_gnutls
  * apache: Switch to mod_ssl from mod_gnutls
  * mldonkey: Add systemd service file with security options
  * mldonkey: Enable app
  * action_utils: Fix checking for URL availability
  * upgrades: Fix priority for buster-backports version
  * upgrades: Fix premature adding of buster-backports sources

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * locale: Update strings for translation
  * Switched to a new version number scheme: YY.N
    - YY is the year of release.
    - N is the release number within that year.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 09 Feb 2019 20:38:00 -0500

plinth (0.49.1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * ui: Fix regression with configure button in home page
  * backups: Rename 'Abort' buttons to 'Cancel'
  * backups: Use icon for add repository button
  * backups: Move subsubmenu below description
  * backups: Add title and description to other pages
  * backups: Add link to manual page
  * backups: Fix styling for upload size warning
  * backups: Increase timeout for SSH operations to 30 seconds
  * backups: Minor styling fixes

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * letsencrypt: UI: Fix checkbox disabling

  [ James Valleroy ]
  * datetime: Switch from chrony to systemd-timesyncd
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 07 Feb 2019 21:23:32 -0500

plinth (0.49.0) unstable; urgency=medium

  [ Prachi Srivastava ]
  * networks: remove unused html
  * security: Moves inline javascript to files
  * security: Moves input field focus javascript to django forms
  * help: Use freedombox package instead of plinth for version
  * repro: Disable app due to issues with Debian package

  [ Sunil Mohan Adapa ]
  * ui: Fix regression with card icon style in front page
  * js: Full librejs compatibility
  * js: Remove javascript license link from footer
  * backups: Remove incorrectly set buffer size during download
  * backups: Minor styling fixes
  * backups: Remove dead code
  * backups: Minor styling fixes
  * backups: Minor refactoring
  * backups: Fix incomplete download archives
  * backups: Improve performance of backup download
  * tor: Make a utility method public
  * action_utils: Expose URL checking utility for generic use
  * upgrades: Improve handling of backports
  * datetime: Fix diagnostic test to not ignore first two servers

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ J. Carlos Romero ]
  * mldonkey: show 'Learn more...' link in package page when installed

  [ James Valleroy ]
  * radicale: Handle migration from 1.x to 2.x
  * shadowsocks: Use resolvable domains in functional tests
  * radicale: Handle data migration for upgrade to 2.x
  * datetime: Switch from ntp to chrony
  * vagrant: Put hold on freedombox package during provision
  * repro: Also disable functional tests
  * monkeysphere: Re-enable functional tests
  * locale: Update translation strings

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * backports: Add buster-backports to apt sources list
  * debian: Add smoke test with autopkgtests (Closes: #878699)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 05 Feb 2019 22:55:53 -0500

plinth (0.48.0) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * ui: Fix top margin for content containers
  * ui: Rename page specific CSS classes
  * ui: Underline the logo along with 'Home' text when active
  * ui: Style frontpage application info like regular content
  * ui: Fix setting width of card-list at various page sizes
  * ui: Show help nav item text when navbar is collapsed
  * ui: Hide restart/shutdown items when navbar is collapsed
  * ui: Compact pages on extra small screen sizes
  * ui: Re-add background for home, apps and system pages in small sizes
  * fail2ban: Split and update configuration files
  * fail2ban: Pickup new configurations without reboot
  * mldonkey: Update description and minor updates
  * mldonkey: Disable app due to bug during restart
  * backups: Upgrade apps before restoring them
  * backups: Fix showing not-installed apps in create backup page
  * syncthing: Add backup/restore support
  * Serve default favicon for apps that don't provide one
  * radicale: Fix issue with configuration changes not applying
  * openvpn: Add backup/restore support
  * storage: Fix false error message visiting home page
  * storage, backups: Minor styling and yapf fixes
  * service: Fix warning to use collections.abc
  * help: Minor refactoring in get-logs action
  * mldonkey: Add functional test for uploading
  * axes: Minor fixes to configuration for IP blocking
  * infinoted: Wait for up to 5 minutes to kill daemon

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * ci: Export freedombox.deb as build artifact instead of plinth.deb
  * matrix-synapse: Fix startup error caused by bind_address setting
  * matrix-synapse: Use '::' as the IPv6 bind address
  * backups: Automatically install required apps before restore
  * backups: Add a loader to the restore button to indicate progress

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * django: Remove deprecated AXES_BEHIND_REVERSE_PROXY
  * radicale: Only set hosts for radicale 1.x
  * radicale: Don't change auth type for radicale 2.x
  * radicale: Use rights file by default for radicale 2.x
  * radicale: Add functional tests for setting access rights
  * help: Use journalctl to show status log
  * help: Add action script to read logs from journal
  * help: Add functional test to check status logs page
  * locale: Update translation strings
  * doc: Fetch latest manual from wiki

  [ Prachi Srivastava ]
  * fail2ban: Enable bans for apache auth failures

  [ J. Carlos Romero ]
  * mldonkey: Add new module for the eDonkey network
  * mldonkey: Add backup/restore support

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 28 Jan 2019 19:22:19 -0500

plinth (0.47.0) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * ci: Don't install fuse and fuse3 packages in the CI environment
  * snapshot: Fix snapshots filling up the disk
  * snapshot: ui: Remove NUMBER_MIN_AGE setting and add FREE_LIMIT
  * snapshot: Enable TIMELINE_CLEANUP and NUMBER_CLEANUP by default
  * snapshot: Improve description
  * snapshot: Merge the functionality of the migrate command into setup
  * snapshot: Fix failing tests
  * snapshots: Handle installation on non-btrfs filesystems
  * snapshot: Handle "Config in use" error

  [ James Valleroy ]
  * radicale: Add tests for well-known URLs
  * radicale: Don't modify default file for radicale >= 2.1.10
  * radicale: Add support for radicale 2.x
  * setup: Fix spelling error
  * radicale: Switch to uwsgi for radicale 2.x
  * radicale: Create collections folder before starting uwsgi
  * Update translation strings
  * Fetch latest manual
  * debian: Update debhelper compat version to 12

  [ Sunil Mohan Adapa ]
  * radicale: Redirect to well-known URLs according to version
  * syncthing: Use exact matches when enforcing trailing '/'
  * snapshot: Minor styling fixes
  * snapshot: Update descriptions and UI options
  * snapshot: Refactor configuration migration
  * main: Separate out Django setup into a separate module
  * main: Separate out CherryPy code into a separate module
  * Show Gujarati in the list of UI languages
  * cockpit: Add link to manual page
  * cockpit: Update description
  * firewalld: Flush iptables rules before restarting firewall
  * backups: Don't fail tests when borg is not installed
  * backups: yapf fixes
  * django: Use Argon2 password hash
  * setup: Handle showing setup page after app completes installation
  * setup: Minor flake8 fixes
  * setup: Reduce refresh time when application is already installed
  * setup: Don't perform is-package-manager-busy checks when not needed
  * action_utils: Implement utilities for managing uwsgi configurations
  * searx: Use action utils for uwsgi configuration management
  * radicale: Don't keep radicale service running
  * icons: Fixes for switching to fork-awesome
  * Fix i18n for menu strings

  [ Prachi Srivastava ]
  * Replace glyphicons with forkawesome icons

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 14 Jan 2019 22:08:54 -0500

plinth (0.46.1) unstable; urgency=medium

  [ prolinux ukraine ]
  * Translated using Weblate (Ukrainian)

  [ Joseph Nuthalapati ]
  * clients: Rename DAVdroid to DAVx5

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * debian: Replace and break older versions of plinth

  [ James Valleroy ]
  * debian: Fix spelling errors in lintian override comment

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 04 Jan 2019 23:17:45 -0500

plinth (0.46.0) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ prolinux ukraine ]
  * Translated using Weblate (Ukrainian)

  [ Sunil Mohan Adapa ]
  * logging: Don't log static file requests
  * logging: Make cherrypy log to the main log
  * logging: Don't log to a log file
  * logging: Log to systemd journal directly
  * logging: Separate logging init logic into a module
  * logging: Implement colors for console messages
  * searx: Update outdated Apache configuration
  * sso: Update outdated Apache configuration
  * letsencrypt: Use macros for configuring sites
  * letsencrypt: Remove outdated Apache configuration
  * logging: Remove references to old log files
  * debian: Alter control file indentation
  * storage: Add parted as dependency module
  * debian: Add dependencies from freedombox-setup
  * sudoers: Allow all admin users to become superusers
  * Move update-motd script from freedombox-setup
  * debian: Break current version of freedombox-setup
  * Move preseed file from freedombox-setup
  * debian: Use description from freedombox.org
  * debian: Ignore debian/debhelper-build-stamp
  * debian: Fix lintian warning about vcs ignore file
  * debian: Don't change ownership recursively in postinst
  * debian: Update short description
  * debian: Rename plinth package to freedombox

  [ James Valleroy ]
  * vagrant: Cleanup for obsolete log files
  * debian: Move Recommends to binary package
  * locale: Run update_translations
  * doc: Fetch latest manual from wiki
  * debian: Standards-Version is now 4.3.0

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Dec 2018 16:46:25 -0500

plinth (0.45.0) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * udiskie: Finish merging udiskie into storage
  * apache: Switch to php-fpm from mod_php

  [ Allan Nordhøy ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Italian)
  * Translated using Weblate (Norwegian Bokmål)

  [ Herdir ]
  * Translated using Weblate (French)

  [ Michael Pimmer ]
  * Backups: first UI sceleton for remote / encrypted backups
  * Backups: allow testing the connection of ssh locations
  * Backups, remote repositories: implement init, info and some test
  * Backups, remote repositories: uniform parameter handling
  * Backups, remote repositories: start using sshfs
  * Backups, remote repositories: integrate to backups index page
  * Backups, remote repositories: re-use template for root location
  * Backups, remote repositories: use object-oriented repositories
  * Backups, remote backups: fix unittests
  * Backups, remote repositories: create/delete/restore of remote repos
  * Backups, remote repositories: change network_storage to dict
  * Backups, remote repository: adapt functional tests
  * Backups: remove unittests to backups test directory
  * Backups: remove archive name when creating an archive
  * Backups: support for encrypted repositories
  * Backups: Cleanup and improved error handling
  * Backups: functional tests update; restoring backup bugfix
  * Backups: allow creating archive in unmounted repository
  * Backups: allow using keyfile as credentials for sshfs mounts
  * Backups: notify that credentials of remote backups are stored
  * Backups: unittests for accessing repository with borg directly
  * Backups: bump module version

  [ James Valleroy ]
  * backups: Make validator errors translatable
  * functional_tests: Move backup test into backups feature

  [ ssantos ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Dec 2018 19:05:51 -0500

plinth (0.44.0) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Robert Martinez ]
  * Add gray noise background
  * Add white Card
  * add footer padding

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ James Valleroy ]
  * ejabberd: bosh port moved to 5443
  * apache: Run setup again to reload
  * ejabberd: Change BOSH port from 5280 to 5443
  * Revert "ci: Use python3.6 when installing dependencies"
  * ci: Install jquery packages for coverage
  * functional_tests: Confirm when deleting all snapshots
  * Translated using Weblate (Spanish)
  * Update translation strings

  [ Joseph Nuthalapati ]
  * vagrant: clear logs and plinth database on destroying box
  * minetest: Change list of mods to what's available in Debian
  * Add instructions on how to use "WIP" in merge requests
  * clients: Fix distortion of the client apps buttons
  * snapshots: Fix default snapshot listing
  * firewalld: Use nftables instead of iptables
  * snapshots: Place the subsubmenu below the description

  [ ssantos ]
  * Translated using Weblate (German)
  * Translated using Weblate (Portuguese)

  [ Prachi Srivastava ]
  * Changes delete all to delete selected in snapshot
  * Adds toggle to select all for deletion
  * Changes functional test to select All and delete snapshots
  * Ignores warnings in pytest while running functional test

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 03 Dec 2018 19:47:04 -0500

plinth (0.43.0) unstable; urgency=medium

  [ Michael Pimmer ]
  * Backups: export and download archives in one step
  * Backups: uploading and import with temporarily stored file
  * Backups: Restore directly from archive
  * Backups: Don't fail when borg doesn't find files to extract
  * Backups: clean up exporting archives functionality
  * Backups: relative paths for borg extract in action script
  * Backups: fix test
  * Backups: clean up forms, names and templates
  * Functional tests: minor documentation changes
  * Backups: Stream archive downloads/exports
  * Backups: do not hardcode uploaded backup file path
  * Backups: minor cleanups
  * Backups: show free disk space on upload+restore page
  * Backups: functional test to download and restore an archive
  * Backups: minor adaption of upload file size warning
  * Backups: minor fixes of functional tests
  * Functional tests: check that browser waits for redirects to finish
  * Functional tests: fix waiting for redirects
  * Functional tests: assert that module installation succeeded
  * Cherrypy: Do not limit maximum upload size
  * Backups: Make Manifest a dict instead of a list

  [ James Valleroy ]
  * functional_tests: Remove backup export steps
  * functional_tests: Remove remaining backup export steps
  * functional_tests: Add sso tags
  * upgrades: Internationalize string and apply minor formatting

  [ Anthony Stalker ]
  * Translated using Weblate (Czech)

  [ Joseph Nuthalapati ]
  * vagrant: Destroy Plinth development database when box is destroyed
  * sso: Make auth-pubtkt tickets valid for 12 hours
  * openvpn: Migration from easy-rsa 2 to 3
  * openvpn: is-setup checks for non-empty dh.pem file
  * openvpn: Always write the latest server configuration on setup

  [ ssantos ]
  * Translated using Weblate (Portuguese)

  [ Robert Martinez ]
  * Update module terminology improvements
  * Incorporate feedback from MR

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Nov 2018 17:25:31 -0500

plinth (0.42.0) unstable; urgency=medium

  [ Robert Martinez ]
  * Fix wrong color in mobile menu

  [ James Valleroy ]
  * snapshot: Handle snapper list output change
  * functional_tests: Fix steps with domain parameter

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * tor: Add functional tests for relays and hidden services
  * tor: Enable backup/restore
  * upgrades: Add functional tests
  * upgrades: Enable backup/restore
  * monkeysphere: Handle importing new OpenSSH format keys
  * monkeysphere: yapf reformatting
  * tests: Change the domain to be an FQDN
  * monkeysphere: Add functional tests for import/publish keys
  * monkeysphere: Enable backup/restore
  * monkeysphere: Skip functional tests until bugs are resolved
  * letsencrypt: Enable backup/restore
  * tahoe: Minor changes to facilitate functional tests
  * tahoe: Add functional tests
  * tahoe: Enable backup/restore
  * tahoe: yapf run
  * udiskie: unmount drive as superuser

  [ buoyantair ]
  * Translated using Weblate (Telugu)

  [ Michael Pimmer ]
  * Actions: use local plinth in development mode
  * Actions: path in development mode: do not preserve PYTHONPATH

  [ ButterflyOfFire ]
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Italian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 Nov 2018 18:41:15 -0800

plinth (0.41.0) unstable; urgency=medium

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ ButterflyOfFire ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * debian: Add Russian translation of debconf template (Closes: #910848)
    - Thanks to Lev Lamberov for the patch.
  * deluge: Handle prompt to change default password
  * functional_tests: When creating backup, scroll window to top
  * backups: Handle permission error during chown

  [ Joseph Nuthalapati ]
  * vagrant: Increase memory to 2GiB
  * vagrant: Increase number of CPUs to 2
  * datetime: Add functional test for setting time zone
  * datetime: Enable backup/restore
  * tests: More accurately compute waited time
  * deluge: Add functional test for uploading a torrent
  * deluge: Enable backup/restore
  * avahi: Enable backup/restore (no data)
  * backups: Enable backup/restore (no data currently)
  * bind: Add functional tests
  * bind: Enable backup/restore
  * security: Add functional tests for restricted logins
  * security: Enable backup/restore
  * snapshot: Fix issue with setting configuration
  * snapshot: Add functional tests for setting configuration
  * backups: Implement app hooks
  * snapshot: Enable backup/restore
  * deluge: Add missing backups tag in functional tests
  * ssh: Enable backup/restore
  * firewall: Enable backup/restore (no data)
  * diagnostics: Enable backup/restore (no data)
  * names: Enable backup/restore (no data)
  * power: Enable backup/restore (no data)
  * storage: Enable backup/restore (no data)
  * backups: Make plinth the owner of the backup archives
  * backups: Fix issue with showing exports from disks without labels
  * storage: Minor styling with urlencode call in template
  * backups: Don't rely on disk labels during export/restore

  [ Michael Pimmer ]
  * Backups: bugfix for downloading extracted archive files

  [ rafael ]
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Oct 2018 19:48:50 -0400

plinth (0.40.0) unstable; urgency=medium

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ James Valleroy ]
  * ci: Prevent installing fuse
  * upgrades: Don't change origins pattern list
  * upgrades: Keep config file when disabling
  * debian: Add Portuguese translation for debconf messages (Closes: #909745)
    - Thanks to "Traduz" - Portuguese Translation Team for the patch.
  * home: Also display card title above icon
  * functional_tests: Make coquelicot password entry more robust
  * functional_tests: Check ejabberd contact list more robustly

  [ Augusto Borin ]
  * Translated using Weblate (Portuguese)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ BO41 ]
  * Translated using Weblate (German)

  [ David Maulat ]
  * Translated using Weblate (French)

  [ Robert Martinez ]
  * Translated using Weblate (German)
  * Add tint effect on card icons under "Apps"
  * Change maximum cards per row
  * Change card text style and position

  [ Joseph Nuthalapati ]
  * Don't disable installation when apt lists are empty
  * backups: Relax schema for backup manifest data
  * backups: Remove empty keys in backup manifest data
  * backups: Rename the backups API module
  * mediawiki: Backup/restore settings also
  * backups: Rename test_backup to test_api
  * backups: List apps that don't require backup too
  * backups: Minor styling fixes
  * cockpit: Add clients and backup manifests
  * mumble: Implement backup/restore
  * privoxy: Enable backup/restore (no data)
  * backups: Allow restoring backups with no files
  * roundcube: Enable backup/restore (no data)
  * searx: Enable backup/restore (no data)
  * jsxc: Enable backup/restore (no data)
  * coquelicot: Enable backup/restore
  * coquelicot: Implement functional tests with uploading file
  * tests: Reduce time for polling in functional tests
  * transmission: Implement upload torrent functional test
  * transmission: Enable backup/restore
  * coquelicot: Fix upload file functional test
  * mediawiki: Run update script for 1.31 upgrade
  * quassel: Enable backup/restore
  * shadowsocks: Enable backup/restore
  * backups: Implement disabling web configuration during backup
  * sharing: Enable backup/restore
  * pagekite: Add functional tests
  * pagekite: Enable backup/restore
  * tests: Add missing backups tag on functional tests
  * vagrant: Get rid of apt warning during provisioning
  * customization: Serve static files from customization directory
  * customization: Create customization path in /var/www
  * customization: Serve custom shortcuts through the REST API
  * customization: Show custom shortcuts on frontpage

  [ Michael Pimmer ]
  * Backup module: Implement downloading archives
  * Backup module: Implemented uploading files
  * Backup module: added some unittests; minor doc updates

  [ Federico Ceratto ]
  * Translated using Weblate (Italian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 09 Oct 2018 06:01:50 -0400

plinth (0.39.0) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * Fix typo in the description meta tag
  * backups: Support multiple backups in one day
  * backups: Check if paths exist before passing them to borgbackup
  * backups: Reword the no-apps-installed message
  * backups: Make getting all apps method public
  * backups: Minor styling fixes
  * backups: Minor refactoring in finding exported archive
  * backups: Simplify getting included apps during restoring
  * udiskie: Merge into storage module

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ James Valleroy ]
  * backups: Validate backup manifests
  * backups: Move manifest validation into backups app
  * backups: Fix iteration over loaded modules
  * users: Reset groups before testing register_group
  * backups: List supported and installed apps when creating
  * backups: Implement process manifests for Packet
  * backups: Provide a default backup name
  * backups: Select all apps by default
  * backups: Use paths from selected apps
  * backups: Fix and test service shutdown and restore
  * backups: Patch actions for shutdown services test
  * backups: Disable create archive when no supported apps are installed
  * backups: Dump manifests file and include it in backup
  * backups: Name borg repo folder more clearly
  * backups: Include app versions in manifest file
  * backups: Use valid filename for export
  * backups: Don't display time as separate column
  * backups: Confirm that archive exists before restoring
  * backups: Add apps selection to restore form
  * backups: Use valid filename for manifest
  * backups: When restoring, only list apps included in backup
  * backups: Use backups API for restore
  * backups: Add more basic tests for backups API
  * functional_tests: Test dynamicdns backup and restore
  * ikiwiki: Add sites folder to backup data
  * functional_tests: Test ikiwiki backup and restore
  * functional_tests: Test mediawiki backup and restore
  * functional_tests: Test repro config backup and restore
  * backups: Rename 'Create archive' to 'New backup'
  * functional_tests: More robust checks using eventually
  * backups: Show disabled 'New backup' button when no apps installed
  * backups: Enable module
  * backups: Create folder if needed during setup
  * functional_tests: Only select app under test for new backup
  * functional_tests: Test ejabberd backup and restore
  * functional_tests: Ensure that backups app is installed before test
  * debian: Don't make backup of /etc/security/access.conf (Closes: #909484)
  * Bump Standards-Version to 4.2.1
  * Cleanup udiskie module

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Sep 2018 19:23:04 -0400

plinth (0.38.0) unstable; urgency=medium

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ BO41 ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Vignan Lavu ]
  * mediawiki: Enable SVG support for MediaWiki

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * Install ncurses-term during vagrant file provision
  * docs: Fix MediaWiki manual page download failing
  * manual: Remove footer for manual pages using Python XML module
  * upgrades: Clean up old kernel packages during automatic upgrades
  * turbolinks: Make the progress bar white and thicker

  [ James Valleroy ]
  * debian: Add German translation of debconf messages (Closes: #907787)
    - Thanks to Helge Kreutzmann for the patch.
  * tests: Make coverage package optional

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Sep 2018 18:12:06 -0400

plinth (0.37.0) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ James Valleroy ]
  * backups: Simplify export of backup archive files
  * backups: Add list of exported archives
  * backups: Restore from exported archive
  * vagrant: Clarify post-up message
  * debian: Add Dutch translation of debconf messages (Closes: #906945)
    - Thanks to Frans Spiesschaert for the patch.
  * Bump Standards-Version to 4.2.0

  [ Joseph Nuthalapati ]
  * vagrant: Vagrantfile changes for ease of development
  * install: Use Post/Response/Get pattern for reloads

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Aug 2018 19:15:08 -0400

plinth (0.36.0) unstable; urgency=medium

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ James Valleroy ]
  * Fix validation error in Hindi translation
  * Fix validation error in Spanish translation
  * Add backups info to apps
  * ejabberd: Cleanup config file upgrade
  * Add license info for Lato fonts
  * ci: Run test coverage and get report
  * Commit patch for French debconf translation (Closes: #905933)
    - Thanks to jean-pierre giraud for the patch.

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Hemanth Kumar Veeranki ]
  * Translated using Weblate (Telugu)
  * Remove deprecated settings from already existing config files
  * Add functional test to enable/disable Message Archive Management

  [ Joseph Nuthalapati ]
  * Fix validation error in Spanish translation
  * Translated using Weblate (Hindi)
  * Trim the translation strings in Letsencrypt template where missing
  * backups: Add core API for full/apps backup
  * mediawiki: Fix issue with re-installation
  * mediawiki: Enable Instant Commons
  * mediawiki: Fix images throwing 403s
  * turbolinks: Reload page using JavaScript
  * functional tests: Fix failing test change default app

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Robert Martinez ]
  * Add woff2 fonts

  [ Prachi Srivastava ]
  * Translated using Weblate (Hindi)

  [ manikanta varma datla ]
  * Disable launch button for web client when not installed

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Aug 2018 18:24:33 -0400

plinth (0.35.0) unstable; urgency=medium

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Bart Notelaers ]
  * Translated using Weblate (Dutch)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Praveen Illa ]
  * Translated using Weblate (Telugu)

  [ Jayasuganthi ]
  * mediawiki: Enable short URLs

  [ Joseph Nuthalapati ]
  * mediawiki: Override Debian settings in FreedomBoxSettings.php
  * functional_tests: Fix first test failing on a pristine VM
  * debian: Remove Bdale Garbee from the list of uploaders
  * Add turbolinks
  * turbolinks: Replace style elements in head with blocks in body
  * functional_tests: Use body instead of html for state change check
  * turbolinks: Disable caching on application visits
  * configuration: Option to set a default app for FreedomBox
  * configuration: Use augeas to edit Apache files
  * configuration: Fix parsing error in retrieving default app

  [ వీవెన్ ]
  * Translated using Weblate (Telugu)

  [ Johannes Keyser ]
  * Translated using Weblate (German)
  * text stripped from icons for mediawiki, radicale, tahoe-lafs

  [ Hemanth Kumar Veeranki ]
  * Clarify description for radicale shared calendar/addressbook
  * Remove deprecated `iqdisc` in ejabberd config

  [ Robert Martinez ]
  * Adding link to HACKING.md
  * Fix ejabberd logo #1336

  [ Sunil Mohan Adapa ]
  * udiskie: Move udisks2 methods to separate module
  * storage: Fix parsing issues when mount point has spaces
  * udiskie: Remove the unused ejectable property
  * utils: Remove unused method
  * udiskie: Add eject functionality for a drive
  * udiskie: Also list read-only filesystems
  * udiskie: Remove internal networks warning
  * udiskie: Show special message when no storage device available

  [ James Valleroy ]
  * udiskie: Import glib and udisks only inside methods

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Jul 2018 19:04:51 -0400

plinth (0.34.0) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * firstboot: Prompt for secret during firstboot welcome
  * firstboot: Add debconf translations for wizard secret dialog
  * l10n: Fix build error due to partially translated string in Hindi
  * ci: Install python3-coverage before running tests
  * backups: Temporarily hide app till implementation is complete

  [ James Valleroy ]
  * postinst: Fix indents and untabify
  * lintian: Add override for no-debconf-config
  * Translated using Weblate (Italian)
  * ci: Use python3.6 when installing dependencies
  * functional_tests: Rename features, organize by app
  * backups: New app to manage borgbackup archives
  * backups: Allow valid filenames as archive names
  * backups: Set LANG=C.UTF-8 when extracting archive
  * backups: Move repository location under /var/lib

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Bart Notelaers ]
  * Translated using Weblate (Dutch)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Jul 2018 19:16:08 -0400

plinth (0.33.1) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Joseph Nuthalapati ]
  * Change get-group-users to a simpler implementation
  * users: Replace disabled with readonly for admin group checkbox
    (Closes: #902892)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 04 Jul 2018 10:32:23 -0400

plinth (0.33.0) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norsk bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Русский)

  [ Pavel Borecki ]
  * Translated using Weblate (Čeština)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Joseph Nuthalapati ]
  * Fix mistake in Hindi translation template
  * firewall: Display information that a service is internal only
  * users: Don't show Create User form to non-admin users
  * Translated using Weblate (Hindi)
  * users: Redirect to users list on successful user creation
  * packages: Button to refresh package lists

  [ Hemanth Kumar Veeranki ]
  * Add a way to refine shortcuts
  * Restrict removal of last admin user
  * Use logos instead of icons in the apps page

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Bart Notelaers ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * users: Update Change Password menu for non-admin users
  * package: Add option to skip recommends
  * udiskie: New module for automatic mounting of removable media

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Sunil Mohan Adapa ]
  * udiskie: Use glib library for dbus interaction

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Jul 2018 20:15:50 -0400

plinth (0.32.0) unstable; urgency=medium

  [ Allan Nordhøy ]
  * Translated using Weblate (Norsk bokmål)

  [ Pavel Borecki ]
  * Translated using Weblate (Čeština)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Русский)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Hemanth Kumar Veeranki ]
  * Hide mediawiki frontpage shortcut when private mode is enabled
  * Translated using Weblate (Telugu)
  * Enable image uploads in mediawiki at startup

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Michael Pimmer ]
  * Use djangos url reverse mechanism instead of hardcoding urls
  * Add ./run --develop option to use relative config/file paths
  * Add documentation for the './run --develop' option
  * Adapt test and documentation to changes of '--develop' option
  * Adapt .md files to four spaces for correct lists
  * Merge ./run --debug into --develop option
  * Remove unused imports and variables

  [ Sunil Mohan Adapa ]
  * yapf and isort fixes
  * Fix client info table size and flickering
  * Resize all main content
  * Remove unnecessary submenu override in 403.html
  * help: Show cards in the index page
  * snapshot: Remove unnecessary column sizing
  * users: Remove unnecessary column sizing
  * networks: Center align connection information
  * networks: Remove unnecessary column sizing
  * pagekite: Convert a two column page to one column
  * pagekite: Remove unnecessary column sizing
  * letsencrpt: Remove unnecessary column sizing
  * monkeysphere: Remove unnecessary column sizing
  * names: Remove unnecessary column sizing
  * sso: Adjust size of login form
  * storage: Remove unnecessary column sizing
  * tor: Increase the size of the status tables
  * help: Center the FreedomBox logo on about page
  * help: Remove the duplicate index URL and menu item
  * firewall: Resize the info table to full width
  * Increase language selection form to full width
  * first_setup: Remove unnecessary content sizing
  * first_boot: Remove unnecessary content sizing
  * diagnostics: Remove unnecessary content sizing
  * frontpage: Fix card sizing

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * mediawiki: Make private mode and public registrations mutually exclusive
  * mediawiki: Image uploads: improve logic and add functional tests
  * first-setup: Automatically expand root partition

  [ kotibannu541 ]
  * Translated using Weblate (Telugu)

  [ Nikhil Sankesa ]
  * Translated using Weblate (Telugu)

  [ Nikhil501 ]
  * Translated using Weblate (Telugu)

  [ Sandeepbasva ]
  * Translated using Weblate (Telugu)

  [ James Valleroy ]
  * mediawiki: Untabify template

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Manish Tripathy ]
  * Apply new card based design

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 18 Jun 2018 20:36:30 -0400

plinth (0.31.0) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Robert Pollak ]
  * Translated using Weblate (German)

  [ Hemanth Kumar Veeranki ]
  * Translated using Weblate (Telugu)
  * Added an option to enable/disable private mode in mediawiki

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * searx: Don't depend on libapache2-mod-proxy-uwsgi

  [ Joseph Nuthalapati ]
  * users: Fix user permissions not being saved
  * users: internationalize a string
  * mediawiki: Run update script for 1.30 upgrade
  * shortcuts: Fix urls for ikiwiki shortcuts

  [ James Valleroy ]
  * mediawiki: Handle missing config lines for private mode

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 Jun 2018 18:16:00 -0400

plinth (0.30.0) unstable; urgency=medium

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Joseph Nuthalapati ]
  * setup: Remove unavailable as a state in setup_helper

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 May 2018 17:15:47 -0400

plinth (0.29.1) unstable; urgency=high

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * security: Fix issue with Plinth locked out from sudo

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 08 May 2018 05:20:45 -0400

plinth (0.29.0) unstable; urgency=high

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Hemanth Kumar Veeranki ]
  * Add an option to enable/disable public registrations in mediawiki

  [ Joseph Nuthalapati ]
  * mediawiki: enable/disable public registrations - refactoring & tests
  * security: Allow console login access to user plinth
  * tt-rss: Skip the check for SELF_URL_PATH

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Sunil Mohan Adapa ]
  * searx: Fix issue with uwsgi crashing

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 07 May 2018 18:45:02 -0400

plinth (0.28.0) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Add locale for Lithuanian (lt)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Johannes Keyser ]
  * Translated using Weblate (German)
  * setup: disable install button for currently unavailable apps

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * Bump Standards-Version to 4.1.4

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 23 Apr 2018 21:03:39 -0400

plinth (0.27.0) unstable; urgency=medium

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ James Valleroy ]
  * snapshot: Disable python formatting for description
  * debian: Move Lintian source-level overrides to preferred location
  * debian: Bump debhelper compat version to 11
  * debian: Use https for copyright format url
  * debian: Bump standards version to 4.1.3
  * debian: Remove unused lintian override
  * middleware: Skip 'installed' message for essential apps
  * snapshot: Don't increment version
  * snapshot: Clarify form label and help text
  * snapshot: Format code with yapf

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Максим Якимчук ]
  * Translated using Weblate (Ukrainian)

  [ Jonny Birkelund ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * users: Fix admin group appearing twice in permissions
  * apps: Fix app names and short descriptions not being translated
  * snapshots: Move manual page link to the index page
  * snapshots: Fix tests broken by UI changes
  * language: Fix tests broken by recent feature
  * tests: Improve waiting for installation and configuration
  * Fix tests for firstboot, users and groups
  * tests: snapshots: Remove find_by_value usages
  * test: sharing: Fix tests that check text in English
  * tor: Make tests independent of language
  * tests: Recover from server restart during installation
  * tests: Fix tests depending on language being English
  * tests: Fix delete_user fixture
  * UI: Fix progress bar not appearing
  * snapshots: Fix for permissions issue when updating configuration

  [ Shubham Agarwal ]
  * snapper: enable/diable apt snapshots

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 09 Apr 2018 19:34:05 -0400

plinth (0.26.0) unstable; urgency=high

  [ 关羽 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ anonymous ]
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * snapshots: Update description
  * searx: Rewrite url from /searx to /searx/
  * manual: Link to manual from each service
  * manual: Fix manual page links for tor and power templates

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Robert Martinez ]
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * Workaround security issues in django-axes
  * ssh, avahi, apache: Fix default value for setup arguments
  * ssh: Add comment about regenerating SSH keys
  * apache: Only regenerate snake oil cert when needed
  * apache: Explicitly enable the latest version of PHP module
  * apache: Increase module version number to fix php7.2

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * Update doc-base for current html manual file

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Mar 2018 20:18:57 -0400

plinth (0.25.0) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * coquelicot: Rename Plinth to FreedomBox in license headers
  * functional-tests: Merge plinth-tester into plinth
  * searx: Add basic functional tests
  * snapshots: Refactoring and indentation changes
  * Translated using Weblate (Telugu)
  * ttrss: update client apps
  * sharing: Update description
  * sharing: CSS styling fixes and text changes

  [ James Valleroy ]
  * infinoted: Always check ownership of cert files in setup

  [ Алексей Докучаев ]
  * Translated using Weblate (Russian)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Sunil Mohan Adapa ]
  * doc: Fix generation of HTML fragment
  * users: Generalize styling for multi-select widget
  * sharing: Finish implementation
  * sharing: Add functional tests
  * Support Django 2.0

  [ Shubham Agarwal ]
  * snapshots: Add submenu section in UI

  [ Prachi ]
  * sharing: Add app to share disk folders using various protocols

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Mar 2018 18:40:31 -0400

plinth (0.24.0) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * Add file-sharing application Coquelicot to FreedomBox
  * Translated using Weblate (Telugu)
  * mediawiki: Allow shortcut to be publicly visible on front page
  * clients: Add and correct Client Apps
  * api: fix icon_url
  * searx: New app for Searx metasearch engine

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * Rename Plinth to FreedomBox in various places
  * debian: Update copyright to FreedomBox Authors
  * setup.py: Update website to freedombox.org
  * Add locale for Hungarian (hu)
  * locale: Update the language selection form
  * config: Remove language selection from config page
  * Don't use async for method parameters
  * searx: Increase the secret key length to 64 bytes

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Sai Kiran Naragam ]
  * locale: Anonymous users can set preferred language
  * locale: Adds preferred language for logged in user

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Johannes Keyser ]
  * Translated using Weblate (German)
  * matrixsynapse: Fix mail attribute for ldap login

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Feb 2018 18:22:23 +0100

plinth (0.23.0) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Fetch latest manual from wiki
  * Translated using Weblate (Telugu)
  * snapshot: Enable Delete All only with non-default snapshots

  [ Joseph Nuthalapati ]
  * jsxc: consistent url format
  * Translated using Weblate (Telugu)
  * sso: Increase timeout to 60 minutes
  * YAPF formatting for actions/auth_pubtkt
  * transmission: Add .png logo
  * snapshot: Delete All should skip currently active snapshot
  * config: Move the method get_hostname to __init__.py
  * snapshots: Refactoring and text changes
  * snapshots: Increment version to 2

  [ drashti kaushik ]
  * Translated using Weblate (Gujarati)

  [ uday17 ]
  * Translated using Weblate (Telugu)

  [ Sandeepbasva ]
  * Translated using Weblate (Telugu)

  [ kotibannu541 ]
  * Translated using Weblate (Telugu)

  [ Arshadashu ]
  * Translated using Weblate (Telugu)

  [ Nikhil Sankesa ]
  * Translated using Weblate (Telugu)

  [ sandeepgurram ]
  * Translated using Weblate (Telugu)

  [ prudhvi ]
  * Translated using Weblate (Telugu)

  [ chilumula vamshi krishna ]
  * Translated using Weblate (Telugu)

  [ pranava pari ]
  * Translated using Weblate (Telugu)

  [ Nikhil501 ]
  * Translated using Weblate (Telugu)

  [ Michal Čihař ]
  * Translated using Weblate (Telugu)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ anil kukmar soma ]
  * Translated using Weblate (Telugu)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Vikas Singh ]
  * Font: Change Helvetica to Lato
  * theme: Update CSS to use Lato font

  [ Aakanksha Saini ]
  * Snapper: Modify configurations to reduce disk usage

  [ James Valleroy ]
  * Add fonts-lato as dependency
  * Update translation strings
  * Add lintian override for symlink to Lato font file

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Feb 2018 19:17:31 -0500

plinth (0.22.0) unstable; urgency=medium

  [ Drashti Kaushik ]
  * Translated using Weblate (Gujarati)
  * Translated using Weblate (Hindi)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Ikmaak ]
  * Translated using Weblate (Dutch)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * ci: Replace CircleCI configuration with GitLab CI configuration
  * firstboot: Fix caching issue in collecting first_boot steps
  * HACKING: Commands to run a single test method, class or module
  * first_setup: UX improvements for the first setup page
  * matrix-synapse: Fix YAML format issues.

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * Add locale for Ukrainian (uk)
  * ci: Update badge to use Gitlab CI instead of Circle CI
  * Update Github URLs with Salsa URLs
  * tor: Ensure that is-enabled status is show properly

  [ Vikas Singh ]
  * actions: Allow not printing error when an action fails

 -- Sunil Mohan Adapa <sunil@medhas.org>  Tue, 30 Jan 2018 14:41:25 +0530

plinth (0.21.0) unstable; urgency=medium

  [ Aakanksha Saini ]
  * navigation bar: change label 'Configuration' to 'System'
  * storage: Removed beta warning for expanding partition
  * groups: Consistent listing of groups
  * syncthing: Restrict administration to users in group syncthing

  [ Allan Nordhøy ]
  * Spelling: configuration, log in, wiki

  [ Johannes Keyser ]
  * doc: update HACKING, CONTRIBUTING and INSTALL information
  * help: Show menu on smaller screens also

  [ Joseph Nuthalapati ]
  * Complete some of the pending changing in renaming some files to .md

  [ Shubham Agarwal ]
  * diagnostics: Enable button when enabled but not running

  [ Sunil Mohan Adapa ]
  * openvpn: Upgrade to the new Debian way
  * Add explicit dependency on e2fsprogs (Closes: #887223).

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Jan 2018 15:07:03 -0500

plinth (0.20.0) unstable; urgency=high

  [ James Valleroy ]
  * bind: Rework getting and changing config
  * bind: Don't use forwarders by default

  [ Johannes Keyser ]
  * ejabberd: Remove redundant button Client Apps
  * ejabberd: Minor description cleanups

  [ Joseph Nuthalpati ]
  * mediawiki: Add wiki application

  [ Sunil Mohan Adapa ]
  * users: Make sure first run actually works
  * bind: Add information about current utility
  * storage: Make tests run on special filesystems

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jan 2018 15:04:02 -0500

plinth (0.19.0) unstable; urgency=medium

  [ James Valleroy ]
  * users: Use own copy of ldapscripts config
  * users: Handle upgrade for ldapscripts config
  * vagrant: Avoid debconf prompts while provisioning
